2008-12-31  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: Released GEGL 0.22
	* configure.ac: updated to 0.22

2008-12-31  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/ff-load.c: (get_cached_region),
	* operations/external/jpg-load.c: (get_cached_region),
	* operations/external/png-load.c: (get_cached_region),
	* operations/external/v4l.c: (get_cached_region): make these ops
	request a cache the size of the bounding box of the file (only load
	data once).

2008-12-31  Øyvind Kolås  <pippin@gimp.org>

	* operations/affine/affine.c: (process) removed unused variable.

2008-12-31  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (gegl_init_i18n): call setlocale (LC_ALL, "")

2008-12-31  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: (file_is_gegl_xml), (main): output the parsed and
	reformmated XML using g_printf instead of g_print to preserve utf8
	(why is this needed?)
	* gegl/gegl-init.c: (gegl_exit): output time instrumentation using
	g_printf instead of g_print

2008-12-30  Kevin Cozens  <kcozens@cvs.gnome.org>

	The configure.ac file still needs changes related to building
	without docs enabled. Also, --without-gtk will break the build.
	
	* configure.ac: A lot of changes which add support for --without
	so GEGL can be built without some of its (optional) dependencies.

	* operations/external/Makefile.am: Don't build SVG load op if
	building without Cairo.

2008-12-28  Øyvind Kolås  <pippin@gimp.org>

	Simplified code for functions returning a dereferenced on stack
	GeglRectangle structs from *roi arguments.

	* gegl/operation/gegl-operation-composer.c:
	(get_required_for_output):
	* gegl/operation/gegl-operation-composer3.c:
	(get_required_for_output):
	* gegl/operation/gegl-operation-filter.c:
	(get_required_for_output):
	* gegl/operation/gegl-operation-source.c: (get_cached_region):
	* gegl/operation/gegl-operation.c: (get_required_for_output):

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: updated draft NEWS.

2008-12-28  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: re-enable export dialog and menu item.

2008-12-27  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/exr-load.cpp: Restore exr-load to behave like
	before the source op base class no longer dictated caching the full
	extent. (EXR supports sparse reading of data; thus the behavior could
	be improved quite a bit.)

2008-12-27  Sven Neumann  <sven@gimp.org>

	* operations/external/ff-load.c (prepare): fix compilation with
	newer versions of FFmpeg.

2008-12-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]: (gegl_path_to_string),
	(gegl_path_parse_string), (gegl_path_parameter_get_names):
	
	gegl_path_parameter_get_names,
	made count argument be a pointer. Made an initial implementation of
	serialization for the path parameters. a '!' is followed by the name
	of a parameter (up to the next space char). The path itself is then
	encoded using '_' as the node instructions.

2008-12-19  Étienne Bersac  <bersace03@laposte.net>

	* gegl/buffer/gegl-buffer.c (gegl_buffer_set_extent): Add a check
	before calling gegl_buffer_get_extent(). Avoid segfault.

2008-12-16  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/operation/gegl-operation-source.c (get_bounding_box):
	Update warning given when subclasses does not override this
	method.

2008-12-08  Sven Neumann  <sven@gimp.org>

	* tools/operation_reference.c (list_properties): fix compiler
	warning "format not a string literal and no format arguments".

2008-12-06  Øyvind Kolås  <pippin@gimp.org>

	Added a transform property to the path op, that allows specifying a
	transformation matrix to be applied when flattening the path.

	* gegl/gegl-matrix.[ch]: (gegl_matrix3_parse_string),
	(gegl_matrix3_to_string): added functions that parse from svg style
	transforms, as well as serializes to that format.
	* gegl/property-types/gegl-path.[ch]: (transform_data), (flatten_nop),
	(flatten_copy), (flatten_rel_copy), (bezier2), (flatten_curve),
	(gegl_path_list_flatten), (gegl_path_get_matrix),
	(gegl_path_set_matrix), (ensure_flattened), (gegl_path_init),
	(gegl_path_get_n_nodes): added a transform property to the path, this
	transform is applied at the flattening stage of rendering paths.
	* operations/external/path.c: (prepare), (get_bounding_box),
	(gegl_path_is_closed), (process), (gegl_chant_class_init): add
	transform property.

2008-12-06  Øyvind Kolås  <pippin@gimp.org>

	* operations/core/shift.c: (attach), (gegl_chant_class_init): warn
	when using the shift operation.

2008-12-06  Øyvind Kolås  <pippin@gimp.org>

	* examples/gegl-slicer.c: (main): added a utility for slicing images
	into subcomponents based on descriptions in a text file.

2008-12-06  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/png-save.c: (gegl_buffer_export_png),
	(process): allow forcing the bitdepth down to 8bit.

2008-12-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl.h.in: make gegl_node_add_child and gegl_node_remove_child
	public API.

2008-12-03  Øyvind Kolås  <pippin@gimp.org>

	s/gegl:shift/gegl:translate/

	* examples/geglbuffer-add-image.c: (main):
	* examples/geglbuffer-clock.c: (main):
	* operations/common/layer.c: (prepare), (attach):

2008-12-03  Øyvind Kolås  <pippin@gimp.org>

	* operations/affine/affine.c: (op_affine_class_init), (process): made
	the affine op not cache it's results, also make it pass the data
	through like nop if the transform is the identity transform and create
	a shifted sub-buffer for integer translates and translates using the
	"nearest" resampler.
	* bin/editor.c: (gegl_node_get_translation), (move_rel):
	s/gegl:shift/gegl:translate/
	* bin/gegl.c: s/gegl:shift/gegl:translate/

	The gegl:shift operation will be deprecated in the next GEGL release.

2008-11-27  Øyvind Kolås  <pippin@gimp.org>

	* operations/affine/matrix.c:
	* operations/affine/matrix.h: moved these,..
	* operations/affine/Makefile.am: ..

	* gegl/Makefile.am: .. here, and made it be GeglMatrix3 instead of
	just Matrix3.
	* gegl/gegl-matrix.c:
	* gegl/gegl-matrix.h:
	* gegl/gegl-plugin.h:

	Fixed up affine op to use the new code.

	* operations/affine/affine.c: (op_affine_init),
	(get_source_matrix), (get_bounding_box), (detect),
	(get_required_for_output), (get_invalidated_by_change),
	(affine_generic), (process):
	* operations/affine/affine.h:
	* operations/affine/chant.h:
	* operations/affine/reflect.c: (create_matrix):
	* operations/affine/rotate.c: (create_matrix):
	* operations/affine/scale.c: (create_matrix):
	* operations/affine/shear.c: (create_matrix):
	* operations/affine/transform.c: (create_matrix):
	* operations/affine/translate.c: (create_matrix):

2008-11-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-eval-mgr.c: (gegl_eval_mgr_new): do not reference
	potential NULL property on operation, "notify" property changed 
	signals should be relayed through the node.

2008-11-27  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/path.c: (detect): only cause detects inside the
	path if opacity is > 0.8

2008-11-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-filter.c:
	(gegl_operation_filter_process): only unref input buffer if there was
	one.

2008-11-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-source.c: (get_cached_region): do not
	default to cache the full result of a source renderer.

2008-11-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: (flatten_rel_copy): only copy the
	number of points relevant for the instruction. 
	(gegl_path_parse_string): handle path descriptions with minimal
	amounts of white space.

2008-11-25  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]: improved API consistency.
	* bin/editor.c: synced up with above.

2008-11-25  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: fix broken \ at end of line.

2008-11-24  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/path.c: (gegl_chant_class_init): initialize
	correct superclass' process() vfunc.

2008-11-24  Øyvind Kolås  <pippin@gimp.org>

	* operations/affine/transform.c: (create_matrix): added an op
	that makes an affine op from a string (like <g> in svg).
	* operations/affine/module.c: (gegl_module_register): register
	transform op.
	* operations/affine/Makefile.am: added new op.

2008-11-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-filter.c:
	(gegl_operation_filter_process): allow NULL inputs.

2008-11-24  Øyvind Kolås  <pippin@gimp.org>

	Updated code to refer to new gegl:path op.

	* bin/editor.c: (add_path), (spiro_open), (spiro_close),
	(nodes_press_event), (nodes_expose), (gui_keybinding),
	(stroke_press_event), (editor_set_active), (create_window):
	* bin/gegl.c:
	* examples/gegl-paint.c: (paint_press): 

2008-11-24  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/path.c: added new op that takes over the
	roles of gegl:fill and gegl:stroke, it uses mostly the same names
	for properties as the svg fill op. The op can be used both as a filter
	and as an image source.
	* operations/external/Makefile.am: added new op.
	* operations/external/stroke.c: removed.
	* operations/external/fill.c: removed.

2008-11-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: (gegl_path_stamp),
	(gegl_path_stroke): removed debug printf.

2008-11-24  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/v4l.c: (update), (process): made the v4l source
	able to auto-update.

2008-11-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-color.c: added entry for "none" color which
	 is fully transparent.

2008-11-23  Sven Neumann  <sven@gimp.org>

	* tools/operation_reference.c (list_properties): don't unref a
	NULL object.

2008-11-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: Create the default value of color properties in
	in the constructor if they are no set manually in the varargs.
	* gegl/property-types/gegl-color.c: (gegl_param_color_get_type),
	(gegl_param_spec_color), (gegl_param_spec_color_from_string):

2008-11-23  Sven Neumann  <sven@gimp.org>

	* configure.ac: we actually need GLib 2.16.

2008-11-22  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/v4l.c: (update), (process): added an fps
	parameter that makes it into a continously self updating image source.

2008-11-22  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: (gegl_path_remove),
	(gegl_path_replace): made -1 mean the last node of the path.

2008-11-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: (gegl_path_get_bounds): do not
	include 'z' instructions when computing the bounding box of paths.

2008-11-20  Øyvind Kolås  <pippin@gimp.org>

	Made dragging inside closed shapes move the shape itself.

	* bin/editor.c: (add_path), (spiro_close), (move_rel),
	(nodes_press_event), (nodes_release_event),
	(nodes_motion_notify_event), (nodes_expose), (gui_keybinding):
	* operations/external/stroke.c: (process), (detect):
	* gegl/gegl-chant.h: temporary duct tape solution to unintialized path.

2008-11-20  Sven Neumann  <sven@gimp.org>

	* bin/gegl.c (main): fixed compiler warnings.

2008-11-20  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (insert_node_after), (nodes_press_event): always
	insert the same node type as the selected node when subdividing.

2008-11-19  Øyvind Kolås  <pippin@gimp.org>

	Made a 'z' instruction (shared with normal mixed bezier/linear paths)
	also be the closed curve indicator for spiro curves. Made the GUI
	for all nodes appear the same and give all nodes the same
	functionality when the path is closed.

	* bin/editor.c: (spiro_is_closed), (spiro_close),
	(nodes_press_event), (nodes_motion_notify_event), (nodes_expose):
	* bin/gegl-path-spiro.c: (gegl_path_spiro_flatten),
	(gegl_path_spiro_init):
	* gegl/property-types/gegl-path.c: (gegl_path_get),
	(gegl_path_closest_point):

2008-11-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: (gegl_path_closest_point): skip '0'
	typed nodes when traversing.

2008-11-19  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor-optype.c: (gegl_typeeditor_optype): fix invalid free.
	* bin/gegl.c: (main): enlarged splash, making it a canvas.

2008-11-19  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (select_node), (add_path), (spiro_close),
	(nodes_press_event), (nodes_expose), (stroke_press_event),
	(move_rel): Made clicking on the opposite end of the path close it.
	* bin/gegl-path-spiro.c: (gegl_path_spiro_flatten),
	(gegl_path_spiro_init): Indicate closed curves with a special start
	node of type '0'

2008-11-19  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (nodes_press_event): allow splitting segments by
	click-dragging when end nodes are active.

2008-11-18  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (nodes_motion_notify_event): made the active status of
	end nodes sticky (you need to click another node to change focus, this
	is to avoid unexpected focus switches when appending poly line
	segments.

2008-11-18  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: commit to kind of make spiros work, probably breaking
	other stuff :d

2008-11-18  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-path-spiro.c: (gegl_path_spiro_flatten): make spiro curves
	be closed when the initial node is "O".

2008-11-18  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/stroke.c: (process): do both fill and stroke in
	this op. (needs better logic for hit detection now,.. as well as
	avoiding to stroke if stroke opacity / color has alpha==0.0)

2008-11-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]: (gegl_path_remove): fix removing
	of first node.
	(gegl_path_closest_point): added out_param indicating last node.
	(gegl_path_stroke): do not clear here (it is done by the stroke op
	itself.)

2008-11-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-xml.c: (serialize_properties): don't put trailing spaces
	at the end of strings from serialized GeglPaths.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/linear-gradient.c: added a linear gradient
	renderer.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/radial-gradient.c: added a simple radial
	gradient renderer center/edge points and the end color stops to
	use. Blending of the gradient is done using non-premultiplied
	colors.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-view.c: (gegl_view_class_init), (set_property),
	(get_property), (expose_event): added a "block" property that makes
	GeglView not blit dirt cache data but always block for a re-render.
	* bin/editor.c: (create_window): make the testbed use blocking render.
	* examples/gegl-paint.c: (main): make backing buffer be in "RaGaBaA
	float".

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* examples/gegl-paint.c: (paint_press): add an initial move-to
	command at the beginning of new paths.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: create a dummy gegl_path when requested if it
	is NULL.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: (gegl_buffer_constructor): removed
	debug printf.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-context.c:
	(gegl_operation_context_get_target): use gegl_buffer_new_ram for
	temporary buffers passed in the graph.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: added gegl_buffer_new_ram.
	* gegl/buffer/gegl-buffer.c: (gegl_buffer_constructor),
	(gegl_buffer_new_ram), (gegl_buffer_create_sub_buffer),
	(gegl_buffer_new_from_format): added gegl_buffer_new_ram an internal
	method that makes the buffer created use the memory backend.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-storage.c: (gegl_tile_storage_constructor):
	avoid using g_object_set.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-handler.[ch]: (gegl_tile_handler_set_source):
	added accessor method.
	* gegl/buffer/gegl-tile-handler-chain.c:
	(gegl_tile_handler_chain_rebind): use accesor methods/macros instead
	of g_object_get and g_object_set.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-context.[ch]:
	(gegl_operation_context_new), (gegl_operation_context_destroy),
	(gegl_operation_context_get_target): made GeglOperationContext be a
	struct the is slice allocated instead of a full blown GObject.
	* gegl/graph/gegl-node.c: (gegl_node_remove_context),
	(gegl_node_add_context): use the new functions to create/destroy
	the GeglOperationContexts.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-eval-mgr.[ch]: (gegl_eval_mgr_class_init),
	(gegl_eval_mgr_init), (gegl_eval_mgr_finalize),
	(change_notification), (gegl_eval_mgr_apply), (gegl_eval_mgr_new):
	* gegl/process/gegl-eval-mgr.h: reuse the visitors between runs,
	avoid recomputing some of the static state.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-context.c:
	(gegl_operation_context_set_property),
	(gegl_operation_context_add_value): made the operation context
	bail out early if the same property is added multiple times.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-visitor.[ch]: (gegl_visitor_reset): added method
	to make a visitor ready for reuse.

2008-11-16  Hubert Figuiere  <hub@figuiere.net>

	* gegl/property-types/gegl-paramspecs.h: Surround by
	G_BEGIN_DECLS and G_END_DECLS.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: (dispose), (ensure_eval_mgr),
	(gegl_node_apply_roi), (gegl_node_blit), (gegl_node_process):
	* gegl/graph/gegl-node.h: keep a cached eval_mgr with the node.
	* gegl/process/gegl-eval-mgr.[ch]: (gegl_eval_mgr_apply): made
	the eval mgr keep track of the node and pad it is computing for.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler-linear.c: (gegl_sampler_linear_get):
	removed unused variable.

2008-11-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-cr-visitor.c: (visit_node): folded logic of need
	visitor into this visitor pass.
	* gegl/process/gegl-eval-mgr.c: (gegl_eval_mgr_apply): removed called
	to need visitor.
	* gegl/process/gegl-need-visitor.c: removed.
	* gegl/process/gegl-need-visitor.h: removed.
	* gegl/process/Makefile.am: removed file.

2008-11-15  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/operation/gegl-operation-context.c (emptybuf): Address
	valid compiler warning.

2008-11-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: replace gegl_buffer_lock() and
	gegl_buffer_unlock() with dummy defines for now, they show up when
	profiling and are not of use of current single threaded GEGL
	rendering.

2008-11-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: (gegl_buffer_create_sub_buffer):
	if the requested sub-buffer is equal to the buffers extent or
	is NULL, return the provided parent and add a reference to it.

2008-11-15  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/opacity.c: (gegl_chant_class_init): flipped
	operation_class->no_cache to FALSE. Inserting an opacity op with
	opacity of 1.0 can be used as an explicit cache in the graph.

2008-11-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c: (box_filter): unrolled and
	optimized the inner loop a bit.

2008-11-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.[ch]: (gegl_node_invalidated),
	(gegl_node_apply), (invalidate_have_rect),
	(gegl_node_set_operation_object), (gegl_node_get_bounding_box),
	(gegl_node_process), (gegl_node_get_cache): keep track of whether
	we have a valid computed have_rect in the node or not to avoid
	needlessly traversing the graph to recompute the value.

2008-11-14  Michael Schumacher  <schumaml@cvs.gnome.org>

	* gegl/gegl-init.c (pid_is_running): added Microsoft Windows
	version of this function.

2008-11-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c:
	(gegl_buffer_tile_iterator_next), (gegl_buffer_iterator_add),
	(iterator_buf_pool_get), (iterator_buf_pool_release), (ensure_buf),
	(gegl_buffer_iterator_next): added a small pool of buffers to be used
	for intermediate copies.

2008-11-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile.[ch]: made gegl_tile_offset, gegl_tile_indice
	and gegl_tile_get_data macros.

2008-11-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c: (gegl_buffer_iterator_add),
	(ensure_buf), (gegl_buffer_iterator_next): do allocation of temporary
	buffers on demand.

2008-11-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c: (gegl_buffer_iterator_add),
	(gegl_buffer_iterator_next): avoid gegl_buffer_get for the non-direct
	case when reading has not been requested.

2008-11-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c:
	(gegl_buffer_clear): replaced for loop with memset.

2008-11-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-storage.h: store the max z value seen instead
	of whether we've seen != 0.
	* gegl/buffer/gegl-tile.c: (_gegl_tile_void_pyramid): bail out at the
	appropriate z-level for the underlying storage.
	* gegl/buffer/gegl-tile-handler-zoom.c: (get_tile): update z value
	seen.

2008-11-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-handler-cache.c: made functions inline.
	* gegl/buffer/gegl-tile-handler-empty.c: removed unneeded cast.

2008-11-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c: enclose definition of counters
	for direct access in the DEBUG_DIRECT ifdef.

2008-11-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: (gegl_buffer_command),
	(gegl_buffer_class_init): improved naming of command callback for
	backtraces.

2008-11-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-handler.[ch]: made gegl_tile_handler_chain_up
	a macro.

2008-11-13  Øyvind Kolås  <pippin@gimp.org>

	Gave the command functions names reflecting the file they live in to
	improve profile readability.
	* gegl/buffer/gegl-buffer.c: 
	* gegl/buffer/gegl-sampler-linear.c: 
	* gegl/buffer/gegl-tile-backend-file.c:
	* gegl/buffer/gegl-tile-backend-ram.c:
	* gegl/buffer/gegl-tile-backend-tiledir.c:
	* gegl/buffer/gegl-tile-handler-cache.c:
	* gegl/buffer/gegl-tile-handler-chain.c:
	* gegl/buffer/gegl-tile-handler-empty.c:
	* gegl/buffer/gegl-tile-handler-log.c:
	* gegl/buffer/gegl-tile-handler-zoom.c:
	* gegl/buffer/gegl-tile-handler.c: 
	* gegl/buffer/gegl-tile-source.c: 
	* gegl/buffer/gegl-tile-source.h:

2008-11-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-source.[ch]: made gegl_tile_source_command be
	a macro instead of a function.

2008-11-13  Sven Neumann  <sven@gimp.org>

	* bin/editor-optype.c (gegl_typeeditor_optype): fixed string and
	avoid an unnecessary strdup.

2008-11-12  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]: (path_calc_values): use the same
	approach as the stroker when computing the values. Added function to
	compute closest point for coordinates.

2008-11-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl.h.in: include gegl-path.h

	* bin/editor.c: Clean up includes,.
	* bin/gegl-node-editor.c: ..
	* bin/gegl-path-smooth.c: .
	* bin/gegl-path-spiro.c: .
	* bin/gegl-store.c:  
	* bin/gegl-tree-editor-action.c: .

2008-11-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/Makefile.am: install gegl-path.h

2008-11-11  Étienne Bersac  <bersace03@gmail.com>

	* operations/core/convert-format.c: Copy input to output buffer.

2008-11-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]: (gegl_path_freeze),
	(gegl_path_thaw), (gegl_path_emit_changed): added freeze and thaw
	functions to the path, the full extent of the path fill be invalidated
	upon the final thaw. Recursive hypothermia is permitted.

2008-11-11  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (sumdist), (path_smoothen), (stroke_release_event),
	(gui_press_event): add a very simple, rather broken, slow, path
	smoothener.

2008-11-11  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/fill.c: (gegl_chant_class_init): cache the
	result of fills. (ping ponging changes).

2008-11-11  Sven Neumann  <sven@gimp.org>

	* configure.ac: test different ways to include avformat.h and
	define HAVE_LIBAVFORMAT_AVFORMAT_H accordingly.

	* operations/external/ff-load.c
	* operations/workshop/external/ff-save.c: include the avformat.h
	header according to the results of the configure tests.

2008-11-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-cache.c: (gegl_rectangle_expand): fix expansion for
	negative x,y coordinates.

2008-11-10  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: Made the use of the stroke tool a bit saner. The
	properties now reflect the current active stroke correctly after
	having drawn the stroke. A default black brush is chosen if painting
	starts from a layer that is not an existing stroke layer.

2008-11-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-cache.c: (gegl_rectangle_expand),
	(node_invalidated), (gegl_cache_invalidate):  expand invalidated
	regions to be align with coordinates divisible by 8 in both
	directions. This improves improves the performance of GeglProcessor
	when it iterates the resulting dirtied rectangles in the GeglRegion.
	* gegl/property-types/gegl-path.c: removed similar expansion.

2008-11-10  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (cairo_gui_expose), (gui_press_event): made the pie
	menu a bit more friendly.

2008-11-10  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (gui_press_event), (gui_release_event): made pie menu
	remain visible on right mouse button release. After it is brought up
	it is activate with left mouse button click inside the pies, all other
	clicks will cancel the menu.

2008-11-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (pid_is_running): replace test for dir in /proc
	with posix compliant (kill (pid, 0) == 0).

2008-11-10  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-init.c (swap_clean): gegl_swap_dir() may return NULL,
	so don't pass the return value unchecked to g_dir_open().

2008-11-10  Sven Neumann  <sven@gimp.org>

	* configure.ac: test for the presence of avformat.h in the
	expected location.

2008-11-10  Sven Neumann  <sven@gimp.org>

	* configure.in: added --without-libavformat option to disable build
	of the FFmpeg video frame operations.

	* operations/external/Makefile.am
	* operations/workshop/external/Makefile.am: AVCODEC was folded into
	AVFORMAT.

	* operations/workshop/external/ff-save.c
	* operations/external/ff-load.c: include <libavformat/avformat.h>.

2008-11-10  Sven Neumann  <sven@gimp.org>

	* operations/external/ff-load.c: fix include path for avformat.h.
	The pkg-config file will pull in the proper include path for us.

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (raise_item), (gui_press_event): renamed raise command
	to raise_item to avoid collision with system function call.

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (raise), (lower), (gui_press_event):
	* bin/gegl-tree-editor-action.c: (gegl_move_item_up),
	(gegl_move_item_down): added raise/lower commands to the menu when in
	move mode.

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-tree-editor-action.c: (gegl_remove_item): added a function
	to remove a node from the tree programatically.
	* bin/editor.c: (remove_item): hooked the remove action up to remove
	the parent of the currently selected item, this should remove the
	selected drawable, and it's filters as well since they are the
	children of the parent (the composite op).

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-config.c: (gegl_config_init): changed tile size to 64x128
	* gegl/operation/gegl-operation-point-filter.c: 
	(gegl_operation_point_filter_class_init): do not cache results of
	point filters.
	* gegl/property-types/gegl-path.c: (gegl_param_vector_init),
	(gegl_path_stroke): clear only the region bein rerendered.
	* operations/external/fill.c: (gegl_chant_class_init): do not cache
	fills, as they are cheap to redo.

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* operations/generated/svg-12-porter-duff.rb: made the output
	boundingbox of src-in op be the bounding box of input only. This
	makes the dropshadow op have save extents again.

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-context.c: (emptybuf),
	(gegl_operation_context_get_target): keep an 0x0 sized buffer around
	that is shared by all needs for such a buffer to be passed as a dummy
	token between nodes.

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: created draft NEWS from ChangeLog entries.

2008-11-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-composer.c:
	(gegl_operation_point_composer_class_init): enable caching for point
	composers.

2008-11-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-config.c: (gegl_config_init): increased the default
	chunk-size (number of output pixels computed simultanously) from
	256*256 to 1024*1024.

2008-11-08  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (cairo_gui_expose), (gui_press_event): made moving the
	default action (instead of just selecting).

2008-11-08  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/text.c: (prepare)
	* operations/external/fill.c: (prepare): cache in "RaGaBaA float"
	assuming multiple rerenders.

2008-11-08  Øyvind Kolås  <pippin@gimp.org>

	* examples/hello-world.c: (main): s/"display"/"gegl:display"

2008-11-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c: (gegl_buffer_iterator_next):
	added instrumentation code (disabled by default) that counts how
	many of the pixels ended up being accessed with direct memory access
	in tiles, and how many are accessed through temporary buffers.

2008-11-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (pid_is_running), (swap_clean), (gegl_exit),
	(gegl_post_parse_hook): Made GEGL clean up the swap dir on launch
	for all swap files belonging to non running processes, also fixed
	the glob used to find the current process' swaps.

2008-11-08  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: updated splash, fixed utf8 encodings of names and
	removed reference to deprecated winding property.

2008-11-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (gegl_config), (gegl_post_parse_hook): treat
	gegl_config() as a singleton that initializes its own base, this
	hopefully allows the introspection to work.

2008-11-07  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_set): avoid unneeded
	sub buffer.
	* gegl/buffer/gegl-buffer-iterator.c:
	(gegl_buffer_tile_iterator_init), (gegl_buffer_tile_iterator_next),
	(gegl_buffer_iterator_add), (gegl_buffer_iterator_next): refactored
	away the scan iterator sitting in front of the tile iterator, operate
	directly on the tiles.

2008-11-07  Øyvind Kolås  <pippin@gimp.org>

	* examples/hello-world.c: (main): add prefix to op-name.

2008-11-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_set): avoid creating
	a temporary sub_buffer since object creation is expensive.

2008-11-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c: Modified code to only pass
	accesses spans the full tile width as direct pointers to the tile data
	(as well as correct format). For all other cases convert to a
	temporary linear buffer. (gegl_buffer_tile_iterator_next),
	(gegl_buffer_scan_iterator_next), (gegl_buffer_iterator_next): 

2008-11-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c: (gegl_buffer_iterator_add),
	(gegl_buffer_iterator_next): add scan compatible and format compatible
	as bitmask flags on the iterator.

2008-11-04  Øyvind Kolås  <pippin@gimp.org>

	Only send pyramid void messages for tile storages where the zoom
	handler has seen a tile with z!=0.
	* gegl/buffer/gegl-tile-handler-zoom.c: (get_tile):
	* gegl/buffer/gegl-tile-storage.c: (gegl_tile_storage_constructor):
	* gegl/buffer/gegl-tile-storage.h:
	* gegl/buffer/gegl-tile.c: (gegl_tile_void_pyramid):

2008-11-03  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_iterate),
	(gegl_buffer_set), (gegl_buffer_get): refactored code to get away from
	a temporary buffer needed for most gegl_buffer_get's.

2008-11-03  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: added FIXME that
	gegl_buffer_create_sub_buffer needs optimizing (It uses g_object_new
	and is called by gegl_buffer_get making object creation a bottleneck
	for a lowlevel operation that should be fast.)

2008-11-03  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/stroke.c: (prepare): use RaGaBaA float.

2008-11-03  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: (gegl_processor_set_rectangle): do
	not intersect with the incoming rectangle with the bounding box of the
	composition (computing the bounding box is expensive and not yet cache, the
	rectangle can be frequently reset).

2008-11-03  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-composer.c:
	(gegl_operation_composer_process2): s/"over"/"gegl:over"/

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: #include "gegl-path-smooth.h"
	* bin/editor.c: removed unusded variables.
	* bin/Makefile.am: fix whitespace issues.

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/introspect.c: (process): move unused variable
	inside #if 0 block.

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (width_motion_notify_event), (cairo_gui_expose),
	(gui_press_event), (gui_motion_event): do not take the node shift
	into account when computing moves (since we only need relative
	coordinates and the local ones depends on the change itself.)

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (stroke_press_event), (stroke_motion_notify_event):
	disable use of dynamics by default (it slows things down too
	much for now).

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* bin/Makefile.am: added rules to build commands for pie menu.
	* bin/editor.c: reorganized path/stroke/pie-menu interaction code to
	be a statemachine,.. editor.c is getting a bit bulky. Added code
	to modify existing linewidth markers. The painting code currently has
	the overhead of a simple dynamics engine.
	* bin/gegl-node-editor.c: (type_editor_path):
	* bin/gegl-view.c: (button_press_event):

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: cache length of path, and
	incrementally updated it on line_to's.

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: (gegl_path_stroke): when stroking
	make the linewidth and opacity parameter paths act as weights on the
	values from properties.

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: (subpath_changed),
	(gegl_path_add_parameter_path), Make changes to subpaths cause a full
	invalidation of the parent path object.
	(gegl_path_stamp), (gegl_path_stroke): take parameter scaling factors
	from "linewidth" and "opacity" path parameters if they are available.
	* gegl/property-types/gegl-path.h:
	* operations/external/stroke.c: (get_bounding_box), (process),
	(gegl_chant_class_init): pass in extra information that might be
	useful to limit un-needed composites of stamps outside the roi.

2008-11-02  Michael Natterer  <mitch@gimp.org>

	* operations/common/opacity.c: always take the "value" property
	into account even if there is an aux mask input. This way we can
	optimize one node away when a graph has both opacity and mask
	nodes (as in the gimp layer stack).

2008-11-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]: cleaned up header and made
	it possible to query a path if it has any interpolated parameters.

2008-11-01  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/fill.c: removed unused winding parameter.
	* bin/gegl.c: added an empty stroke op on top of the GEGL logo,
	select this node in the treeview to start adding strokes on top
	of the drawing.

2008-11-01  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-view.c: (gegl_view_class_init), (button_press_event),
	(button_release_event), (motion_notify_event): do zoom on middle
	mouse, since the editor now uses right mouse button for a
	context-menu.

2008-11-01  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: refactored cairo code that shows on screen drawings
	and pointer interaction code to operate with a state machine for
	different modes. (menu_clear), (menu_add), (path_editor_keybinding),
	(fill_press_event), (fill_release_event), (fill_motion_notify_event),
	(cairo_expose), (cairo_gui_expose), (stroke_press_event),
	(stroke_release_event), (stroke_motion_notify_event),
	(gui_press_event), (gui_motion_event), (gui_release_event),
	(editor_set_active), (editor_main).

2008-11-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: (gegl_path_insert): fix slice
	allocation to only allocate enough memory for stored coordinates.

2008-11-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-composer.c:
	(gegl_operation_composer_process2): quiten gcc about variable that
	really is only accessed when set.

2008-11-01  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: (main): initialize the smooth path (used for stroking)

2008-11-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]:
	(gegl_path_is_empty): added a new call to quickly determine if there
	are any control points in the path.
	(ensure_tail): added caching code for the tail of the linked list
	to avoid having to traverse it fully on each add.
	(flatten_copy), (flatten_rel_copy), (gegl_path_list_append),
	(gegl_path_clear), (gegl_path_remove), (gegl_path_replace),
	(gegl_path_append),
	(gegl_path_list_append_item): make use of the cache tail to speed up
	instruction appends.

2008-10-31  Manish Singh  <yosh@gimp.org>

	* bin/gegl.c: follow gegl-spiro -> gegl-path-spiro rename here too.

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.[ch]: (gegl_operation_invalidate):
	added a boolean argument as a final argument, if TRUE the op
	requests that it's output cache should be cleared for the region
	that is invalidated.
	* gegl/graph/gegl-node.[ch]: (gegl_node_invalidated),
	(source_invalidated), (property_changed),
	(gegl_node_insert_before):
	* operations/external/fill.c: pass TRUE.
	* operations/external/stroke.c: pass FALSE.
	* operations/common/open-buffer.c: pass FALSE.

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/stroke.c: moded ..
	* operations/external/stroke.c: .. here and added cairo based
	hitdetection (for fixed/max linewidth).
	* operations/external/Makefile.am: added new file.

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* bin/Makefile.am: added gegl-path-smooth.[ch]

	* bin/gegl-spiro.c: 
	* bin/gegl-spiro.h: renamed to:
	* bin/gegl-path-spiro.c: 
	* bin/gegl-path-spiro.h: 

	And split out the path smoother to:
	* bin/gegl-path-smooth.c: [NEW]
	* bin/gegl-path-smooth.h: [NEW]

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: Moved static globals for interaction code into a struct
	(path_editor_keybinding), (fill_press_event),
	(fill_release_event), (fill_motion_notify_event), (cairo_expose),
	(stroke_press_event), (stroke_release_event),
	(stroke_motion_notify_event), (editor_set_active):

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (fill_press_event), (fill_release_event),
	(fill_motion_notify_event), (stroke_press_event),
	(stroke_release_event), (stroke_motion_notify_event),
	(path_changed), (editor_set_active): made pointer events when the
	selected node is a gegl:stroke append to the path and a new path
	insert above it uppon button release, making it ready to start the
	cycle afresh.
	* bin/gegl-tree-editor-action.[ch]: (gegl_add_child): exposed to rest
	of GEGL binary.

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.c: removed ad-hoc code for path
	changes, special cased the damaged rectangle when appending line-to
	instructions to the path.

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: changed the path change singaling behavior,
	ops having a GeglPath property now needs to have a path_changed
	function within the compilation unit, that will be invoked when
	the path property changes.
	* operations/external/fill.c: (path_changed): changed ..
	* operations/workshop/stroke.c: (path_changed): .. accordingly.

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: (render_rectangle): Initial steps
	aiming towards more tile aligned access for the chunks that are pulled
	by GeglProcessor.

2008-10-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-cache.c: (gegl_cache_invalidate): turn of
	forced blanking of regions that are invalidated.

2008-10-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]:
	Reduce memory usage by making the information kept about each control
	point depend on it's type. External API remains the same as before,
	the changes only affect internal storage (and how far the array
	at the end of the struct can be accessed in const * returns.
	
	(copy_data),
	(gegl_path_list_append_item), (flatten_copy), (flatten_rel_copy),
	(gegl_path_list_destroy), (gegl_path_item_free),
	(gegl_path_remove), (gegl_path_insert), (gegl_path_replace),
	(gegl_path_parameter_path), (gegl_path_stroke): 

2008-10-29  Øyvind Kolås  <pippin@gimp.org>
	* bin/editor.c: (editor_set_active): make the paths of strokes
	editable.

2008-10-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]: added lists of key/value
	pairs for auxiliary information for positions along the path.

2008-10-21  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c (gegl_processor_work): Simplified
	by putting duplicated code in one place.

2008-10-21  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/operation/gegl-operation-filter.c
	(gegl_operation_filter_process): Remove fixed FIXME.

2008-10-21  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/operation/gegl-operation.h: Clarified the documentation of
	GeglOperationClass::process().

	* gegl/process/gegl-processor.c (gegl_node_new_processor): Added a
	FIXME about how to get rid of the GeglOperationSink dependency.

2008-10-21  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/operation/gegl-operation.h: Update docs for
	GeglOperationClass::process(), the 'result_rect' parameter is now
	called 'roi'.

2008-10-21  Øyvind Kolås  <pippin@gimp.org>

	* examples/gegl-paint.c: (paint_press): used s/"vector"/"path"/
	* operations/workshop/external/gluas.c: update chant to file_path.

2008-10-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl.h.in: missed in s/Vector/Path/ replace.
	* operations/workshop/stroke.c: (process), (gegl_chant_class_init):
	updated to work with new path api.

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-path.[ch]: (gegl_path_replace): renamed from
	gegl_path_replace_knot.
	* bin/editor.c: (path_editor_keybinding), (motion_notify_event):

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: renamed this ..
	* gegl/property-types/gegl-vector.h: .. and this to ..
	* gegl/property-types/gegl-path.c: .. this and ..
	* gegl/property-types/gegl-path.h: .. this.

	These files needed updating:
	* bin/editor.c:
	* bin/gegl-node-editor.c:
	* bin/gegl-spiro.c:
	* bin/gegl.c:
	* examples/gegl-paint.c:
	* gegl/gegl-chant.h:
	* gegl/gegl-types.h:
	* gegl/gegl-xml.c:
	* gegl/operation/gegl-operation.h:
	* gegl/property-types/Makefile.am:
	* gegl/property-types/gegl-paramspecs.c:
	* gegl/property-types/gegl-paramspecs.h:
	* operations/common/layer.c:
	* operations/common/load.c:
	* operations/common/magick-load.c:
	* operations/common/raw-load.c:
	* operations/external/ff-load.c:
	* operations/external/fill.c: 
	* operations/external/jpg-load.c:
	* operations/external/openraw.c:
	* operations/external/png-load.c:
	* operations/external/svg-load.c:
	* operations/external/v4l.c:
	* operations/workshop/stroke.c:

2008-10-20  Martin Nordholts  <martinn@svn.gnome.org>

	* operations/common/introspect.c: Adapt it so that it is
	attachable to the GEGL bin graph without crashing (still doesn't
	work though).

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.[ch]: 
	(gegl_vector_path_add): new API call replacing move_to, line_to etc.
	(gegl_vector_add): new API call replacing move_to, curve_to etc.
	* bin/gegl-spiro.c: (moveto), (lineto), (curveto),
	(points_to_bezier_path): use the new var_args powered internal path
	list API.

2008-10-20  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl.c 
	* bin/gegl-options.[ch]: Copy --g-fatal-warnings from GIMP so that
	one can pass control to the debugger as soon as something goes
	wrong.

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* bin/Makefile.am: depending on HAVE_SPIRO not HAVE_GTK (doh!).

2008-10-20  Sam Hocevar  <sam@zoy.org>

	* operations/external/openraw.c: (gegl_chant_class_init): don't
	declare variables after code blocks.
	* bin/gegl-spiro.c: (gegl_vector_spiro_flatten): remove unused
	variable.

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c:
	* bin/gegl-tree-editor.c:
	* bin/gegl-view.c: beginnings of an ad-hoc generic path manipulation
	gui.

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_parse_svg_path):
	made perser tolerant of skipped path instructions (doesn't do M->L)
	properly yet.

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-spiro.c: (gegl_vector_spiro_flatten),
	(points_to_bezier_path), (gegl_vector_spiro_flatten2),
	(gegl_spiro_init): added a new knot type '*' used for a simpler all
	control points on curve path. (should probably be replaced with
	catmull-rom interpolation and placed in its own file).

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.[ch]: allow registering multiple
	path flattening algorithms, algorithms can be chained (both spiros
	and at least one other alogrithms produce beziers instead of linetos).

2008-10-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_add_knot):
	make this actually add the knot instead of replacing the one at the
	position indicated.

2008-10-19  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor-optype.c: (gegl_typeeditor_optype): replaced hint in
	entry with one that hopefully is more gramatically correct.

2008-10-19  Øyvind Kolås  <pippin@gimp.org>

	* bin/Makefile.am: build gegl-spiro if spiro is available.
	* bin/gegl-spiro.c: file to initialize GeglVector with knowledge about
	spiro knot types as well as logic to flatten a spiro path to a
	piece-wize linear path (through beziers).
	* bin/gegl-spiro.h: 
	* bin/gegl.c: (main): initialize gegl-spiro

2008-10-19  Kevin Cozens  <kcozens@cvs.gnome.org>

	* configure.ac: Added checks for the spiro library.

2008-10-19  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/fill.c: (detect), (gegl_chant_class_init): use
	cairo for hit detection.

2008-10-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-cache.c: (gegl_cache_invalidate): clear region
	being invalidated in the cache (the cache is being used as the abyss
	when the bounding-box shrinks.)

2008-10-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: use slice allocator when
	allocating new chain alements for a path.

2008-10-18  Kevin Cozens  <kcozens@cvs.gnome.org>

	* configure.ac: Use m4_define to set required version of libopenraw.

2008-10-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.[ch]: refactored and made it
	possible to add external path flatteneres. Making it posisble to
	add new methods to interpret, smoothen and flatten paths.

2008-10-18  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/fill.c: moved
	* operations/external/fill.c: .. here and made it render using cairo.
	* operations/external/Makefile.am: added fill.c's dependencies.

2008-10-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.[ch]: (gegl_vector_parse_svg_path):
	simplified and made more robust.

	Added the following API:
	(gegl_vector_get_knot_count), (gegl_vector_get_knot),
	(gegl_vector_remove_knot), (gegl_vector_add_knot),
	(gegl_vector_replace_knot), (gegl_vector_knot_foreach).

2008-10-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-xml.c: (serialize_properties): Do not insert an extra
	newline at the start of serialized path data.

2008-10-16  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-view.c: (gegl_view_class_init), (detected_event),
	(button_press_event): added a detected event which is emitted when
	the hit detection in GEGL detects that a mouse press starts at a
	node in the composition, the implementation and semantics of what
	is considered a hit is not well defined at the moment.
	* bin/editor.c: (cb_detected_event), (create_window): print a debug
	message about which node was hit.

2008-10-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-xml.c: (start_element): special case layer elements and
	make them generate gegl:layer ops.

2008-10-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-xml.c: (start_element), (add_stack): special case clone
	elements and make them generate gegl:clone ops.

2008-10-15  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/fill.c: (get_cached_region),
	(gegl_chant_class_init): cache the bounding box of the fill, this
	forces a re-render of the boundingbox each time the fill changes,
	until clipping to roi is added to the fill code this should be faster.

2008-10-15  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/checkerboard.c: (get_bounding_box): revert
	accidental commit of a rather limited bounding box.

2008-10-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_fill),
	(gegl_vector_stroke), (gegl_vector_get_length),
	(gegl_vector_get_bounds), (gegl_vector_calc),
	(gegl_vector_calc_values): bail out on NULL vector arguments.

2008-10-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_get_bounds): 
	bail out if no vector is provided.

2008-10-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: (gegl_node_set_op_class): when failing to
	find an op create a 'gegl:nop' op instead of 'nop'.

2008-10-15  Øyvind Kolås  <pippin@gimp.org>

	* tools/create-reference.rb: do not add a gegl- prefix to the op names
	for the devhelp index as they are now already prefixed by gegl:

2008-10-14  Michael Natterer  <mitch@gimp.org>

	* operations/affine/chant.h
	* operations/common/*.c
	* operations/core/*.c
	* operations/external/*.c
	* operations/generated/math.rb
	* operations/generated/other-blend.rb
	* operations/generated/svg-12-blend.rb
	* operations/generated/svg-12-porter-duff.rb
	* operations/workshop/*.c
	* operations/workshop/external/*.c: prefix all operation names
	with "gegl:".

	* bin/editor.c
	* bin/gegl-tree-editor-action.c
	* bin/gegl.c
	* docs/gallery/clones.xml
	* examples/2geglbuffer.c
	* examples/gegl-paint.c
	* examples/geglbuffer-add-image.c
	* examples/geglbuffer-clock.c
	* examples/hello-world-video.c
	* examples/hello-world.c
	* gegl/graph/gegl-node.c
	* tools/introspect.c: changed accordingly.

2008-10-14  Sven Neumann  <sven@gimp.org>

	* bin/editor.c: minor cleanups.

2008-10-14  Hubert Figuiere  <hub@figuiere.net>

	* configure.ac: require libopenraw 0.0.5 or later.

2008-10-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_fill),
	(gegl_operation_vector_prop_changed): fixed horizontal anti aliasaing,
	re-added GeglVectorKnot and Point definitions that were accidentally
	removed from the .c file.

2008-10-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: integrated relative paths with
	the new flattened cache framework.

2008-10-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: keep an internal cached flattened
	path.

2008-10-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (find_knot_type), (path_add2),
	(gegl_vector_parse_svg_path): use the KnotInfo data structure to
	determine the number of coordinate pairs to load for each knot type.

2008-10-13  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/fill.c: (gegl_chant_class_init): do not 
	override default cacheing behavior.

2008-10-12  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-node-editor.c: (type_editor_vector_changed),
	(type_editor_vector), (property_editor_general): Duplicated the string
	handling to also work for vectors.

2008-10-12  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.[ch]: restricted to the absolute
	subset of svg path commands for now (M, L and C). Added
	gegl_vector_to_svg_path which directly translates the Path list into
	a condensed ascii form compatible with SVG paths.
	* gegl/gegl-xml.c: (serialize_properties): write GeglVectors out as
	a string.

2008-10-11  Sven Neumann  <sven@gimp.org>

	* configure.ac: removed G_DISABLE_SINGLE_INCLUDES from compiler
	flags as this breaks the build with glib 2.18 and gtk+ 2.12.

2008-10-11  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: use new more compact beizer paths for the characters of
	the GEGL logo.

2008-10-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (bezier2), (flatten_curve),
	(path_flatten), (gegl_vector_fill): make a line_to to the final
	control point at the end of flatttening bezier components.

2008-10-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: bezier curve interpretation
	rework. The path is now stored non-flattened, no API to introspect
	and modify the points on the path yet though.

2008-10-11  Øyvind Kolås  <pippin@gimp.org>

	* AUTHORS: updated artists section.

2008-10-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_fill): accumulate
	horizontal contribution to do AA, the supersampling grid now in use is
	4x4, this can be programattically increased to increase the fidelity
	of the resulting rendering.

2008-10-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_buffer_accumulate),
	(gegl_vector_fill): do vertical antialiasing on spans by accumulating
	subscanlines. (5 subscanlines currently used).

2008-10-06  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: replace splash with the real GEGL logo, currently
	to aliased to serve as the splash of the stable release.

2008-10-06  Sven Neumann  <sven@gimp.org>

	* configure.ac: restored alignment of configure status output.

2008-10-06  Hubert Figuiere  <hub@figuiere.net>

	* operations/workshop/external/gtk-display.c: 
	include graph/gegl-node.h for a missing prototype.

2008-10-05  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: post release version bump to 0.0.21

========================== 0.0.20 released ==================================

2008-10-05  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: bumped version for release.
	* NEWS: updated.
	* bin/gegl.c: evolved splash screen.

2008-10-05  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/color-temperature.c: include config.h and
	gi18n-lib.h

2008-10-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: improved handling of vectors.
	* operations/common/fill.c: new operation to fill a vector.

2008-10-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-xml.c: (param_set), (serialize_properties): parse
	properties that are GeglVectors as SVG paths.
	* gegl/property-types/gegl-vector.[ch]: (gegl_vector_parse_svg_path):
	added SVG path parser that directly builds a path for the GeglVector
	object.

2008-10-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-composer.c:
	(gegl_operation_composer_process2): only check the in_abyss if
	in is defined.

2008-10-03  Hubert Figuiere  <hub@figuiere.net>

	* gegl/gegl.h.in (enum): 
	* gegl/buffer/gegl-buffer.h (enum): remove trailing ',' for
	strict compilation options.

2008-10-03  Michael Natterer  <mitch@gimp.org>

	* bin/gegl-node-editor.c (adjustment_from_param_spec): set the
	adjustment's page size to 0 and not to page_inc.

2008-10-03  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-node-editor.c: (adjustment_from_param_spec): removed 
	g_warn_if_reached to avoid having to bump glib requirement yet.
	Closing bug #552470.

2008-10-03  Øyvind Kolås  <pippin@gimp.org>

	* AUTHORS: added yahvuu at gmail.com.
	* NEWS: added item about strings marked for translation.

2008-10-03  Øyvind Kolås  <pippin@gimp.org>

	Applied patches from  yahvuu at gmail.com for bug #307195 that
	marks strings in operation for translation.

	* operations/*/*.c:

2008-10-03  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler-cubic.c: (gegl_sampler_cubic_get):

	Removed redundant clearing of newval, spotted by Nicolas Robidoux
	(bug #540540).

2008-10-03  Øyvind Kolås  <pippin@gimp.org>

	Applied patch witch cosmetic improvements from  Nicolas Robidoux
	for bug #552159 cleaning up the YAFR code.

	* gegl/buffer/gegl-sampler-yafr.c:
	* gegl/buffer/gegl-sampler-yafr.h:
	* gegl/buffer/gegl-sampler.c:

2008-10-01  Øyvind Kolås  <pippin@gimp.org>

	* AUTHORS: added Sam Hocevar and Nicolas Robidoux.
	* NEWS: summarized changes from changelog and collected list of
	contributors.

2008-09-05  Øyvind Kolås  <pippin@gimp.org>

	Added YAFR sampler from Nicolas Robidoux from bug #550569, this
	is a sampler with seemingly better quality than cubic with good
	performance, it could perhaps form the default method used for
	enlargement in combination with a different approach for scaling
	down.

	* gegl/buffer/gegl-sampler-yafr.c: new file
	* gegl/buffer/gegl-sampler-yafr.h: new file.

	* gegl/buffer/Makefile.am: ..
	* gegl/buffer/gegl-buffer-access.c: ..
	* gegl/buffer/gegl-buffer.c: ..
	* gegl/buffer/gegl-buffer.h: ..
	* gegl/buffer/gegl-sampler.c: .. updated to add a new sampler.

2008-09-05  Sven Neumann  <sven@gimp.org>

	* gegl/operation/gegl-operation-composer3.c
	* gegl/operation/gegl-operation-point-composer3.c: formatting.

2008-08-16  Hubert Figuiere  <hub@figuiere.net>

	* operations/external/openraw.c: 
	* operations/external/Makefile.am:
	* configure.ac:
	RAW loader using libopenraw. Libopenraw is now an optional
	dependency.

2008-08-16  Øyvind Kolås  <pippin@gimp.org>

	Applied slightly modified patch from Luidnel Maignan that adds
	point composers with 3 inputs as requested in bug #548007.

	* gegl/operation/gegl-operation-composer3.c: new file
	* gegl/operation/gegl-operation-composer3.h: new file
	* gegl/operation/gegl-operation-point-composer3.c: new file
	* gegl/operation/gegl-operation-point-composer3.h: new file
	* gegl/operation/Makefile.am: added new files.

	Added the new classes to the following places:
	* gegl/gegl-chant.h: allow subclassing the new classes with the
	chanting framework.
	* gegl/gegl-plugin.h: include the new headers.
	* gegl/operation/gegl-operation-processors.c: make the type-aware
	functions pointer lookup aware of the new classes.

2008-08-07  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: updated minimal glib requirement to 2.14.0
	Fixing (bug #545331).

2008-07-29  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-chant.h: renamed chant_parent_class to
	gegl_chant_parent_class. Removed ##type_parent_class as that was
	only an alias for gegl_chant_parent_class.

	* operations/common/layer.c
	* operations/common/load-buffer.c
	* operations/common/load.c
	* operations/common/mblur.c
	* operations/common/open-buffer.c
	* operations/common/rectangle.c
	* operations/external/ff-load.c
	* operations/external/text.c
	* operations/external/v4l.c: changed accordingly.

2008-07-29  Sven Neumann  <sven@gimp.org>

	* operations/common/layer.c
	* operations/common/load-buffer.c
	* operations/common/load.c
	* operations/common/mblur.c
	* operations/common/open-buffer.c
	* operations/common/rectangle.c
	* operations/external/ff-load.c
	* operations/external/text.c
	* operations/external/v4l.c: use chant_parent_class instead of
	doing the g_type_class_peek_parent() dance.

2008-07-29  Sven Neumann  <sven@gimp.org>

	* operations/common/color-temperature.c: cache the coefficients
	that depend on the temperature properties instead of recalculating
	them in each call to process().

2008-07-29  Sven Neumann  <sven@gimp.org>

	* operations/common/color-temperature.c: renamed properties to not
	abbreviate 'temperature'. Some minor cleanups.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-tile-backend-file.c (finalize): always unref
	self->file, not only when the file existed.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-tile-storage.c (gegl_tile_storage_finalize):
	plugged a memory leak.
	(set_property): use g_value_dup_string (value) instead of
	g_strdup (g_value_get_string (value)).

	* gegl/buffer/gegl-sampler-cubic.c (set_property): ditto.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-buffer.c (gegl_buffer_new_from_format): plugged
	memory leak. Moved filename-related code to the code path where it
	is used and commented out some unused code.

2008-07-19  Hubert Figuiere  <hub@figuiere.net>

	* AUTHORS:
	* bin/gegl.c (DEFAULT_COMPOSITION): Fix typo in my first name. And
	add accent in the last.

2008-07-02  Manish Singh  <yosh@gimp.org>

	* gegl/buffer/gegl-buffer.h: typo fix: destory->destroy

2008-07-01  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: applied patch from Marianne Gagnon fixing make install
	on Mac OS X (Bug #539504)

2008-07-01  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/gaussian-blur.c: commited patch from
	yahvuu at gmail.com fixing shift and adding new default filtermode
	'auto'. bug #518970

2008-07-01  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-node-editor.c: (type_editor_boolean_changed),
	(type_editor_numeric_changed), (type_editor_string_changed),
	(hbox_type_editor), (type_editor_color), (type_editor_boolean),
	(adjustment_from_param_spec), (type_editor_numeric),
	(type_editor_string), (property_editor_general): added support for
	node editors using spinbuttons ito allow wasy adjustments within
	property limits, patch from yahvuu at gmail.com bug #539953.

2008-07-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler-cubic.c: (gegl_sampler_cubic_get): commited
	reworked bits of patch from Geert Jordaens that adds gcc vector
	extension based SSE code paths to cubic. Bug #540540

2008-07-01  Øyvind Kolås  <pippin@gimp.org>

	Made the linear buffer access API of GeglBuffer public.

	* gegl/buffer/gegl-buffer-linear.h: removed.
	* gegl/buffer/Makefile.am: updated.
	* gegl/buffer/gegl-buffer-private.h: removed include of
	gegl-buffer-linear.h
	* gegl/buffer/gegl-buffer.h: moved definitions of linear buffer API
	here.
	* tests/buffer/buffer-test.c: do not directly include the
	gegl-buffer-linear.h header from the GEGL sourcetree anymore.

2008-06-23  Øyvind Kolås  <pippin@gimp.org>

	Documentation improvements (mostly orthographic) from Peter
	(gib_mir_mehl at gmx.net).

	* gegl/buffer/gegl-buffer.c:
	* gegl/buffer/gegl-buffer.h:
	* gegl/gegl-config.c:
	* gegl/graph/gegl-node.c:
	* gegl/operation/gegl-operation.h:
	* gegl/process/gegl-processor.c:
	* operations/affine/affine.c:
	* operations/affine/rotate.c:
	* operations/common/c2g.c:
	* operations/common/difference-of-gaussians.c:
	* operations/common/introspect.c:
	* operations/common/rectangle.c:
	* operations/common/stretch-contrast.c:
	* operations/external/display.c:
	* operations/external/save-pixbuf.c:
	* operations/workshop/snn-percentile.c:

2008-06-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-color.c: (gegl_color_get_string): applied
	change from Peter gib_mir_mehl at gmx.net.

2008-06-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler-lanczos.c: (gegl_sampler_lanczos_get):
	added comment about section that can be moved from the sampler
	function to prepare to avoid per sampling overhead.

2008-06-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler.[ch]: (gegl_sampler_get_ptr): added a
	function used to prime a linear buffer with all needed samples for
	interpolation.

	For all the interpolators, removed unneded alpha multiplications
	(we're interpolating on premultiplied pixels), also moved linear and
	cubic to skip unneeded function calls in innerloop.
	* gegl/buffer/gegl-sampler-cubic.c:
	* gegl/buffer/gegl-sampler-lanczos.c:
	* gegl/buffer/gegl-sampler-linear.c:
	* gegl/buffer/gegl-sampler-nearest.c:

2008-06-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler.c: (gegl_sampler_prepare): reset the
	valid rectangle when prepare is called.
	* operations/affine/affine.c: (process): reset the valid rectangle
	before starting processing.

2008-06-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler.c: (gegl_sampler_get_from_buffer): fetch
	the 64x64 context buffer based on the specific requested pixel and
	not the center of interpolation. We might want to split this down
	so that we can ensure that the needed context exist in the 64x64
	buffer, thus allowing the samplers to rely on the context being
	available within a 64 pixels wide buffer.

2008-06-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler.h: added update of GeglSampler that should
	have gone in with the previous commit.

2008-06-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler.c: (gegl_sampler_get),
	(gegl_sampler_get_from_buffer): modified to fetch a 64x64 buffer of
	data around the requested pixel (when the buffer doesn't already
	contain the desired data). The samplers could probably be further
	modified to assume this 64x64 buffer in their code.

2008-06-17  Øyvind Kolås  <pippin@gimp.org>

	* tests/buffer/buffer-test.c: moved the tests into individual .c files
	in the tests subdir.
	* tests/buffer/Makefile: updated to handle test per file architecture.
	* tests/buffer/tests/: new dir (with 37 new files).

2008-06-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: moved the linear API ..
	* gegl/buffer/gegl-buffer-linear.h: into it's own header.
	* gegl/buffer/Makefile.am: added gegl-buffer-linear.h
	* gegl/buffer/gegl-buffer-linear.c: made all accesor functions take
	a GeglRectangle instead of passing width and height as individual ints.
	* gegl/buffer/gegl-buffer-iterator.h: improved documentation.
	* tests/buffer/Makefile: output which files are only found in output
	after running.

2008-06-17  Øyvind Kolås  <pippin@gimp.org>

	* tests/buffer/buffer-test.c: (linear_modify), (linear_from_data),
	(linear_from_data_rows), (linear_proxy_modify): updated tests
	according to API.

	* tests/buffer/reference/linear_from_data_rows:
	* tests/buffer/reference/linear_proxy_modify:
	* tests/buffer/reference/test_gegl_buffer_iterator1:
	* tests/buffer/reference/test_gegl_buffer_iterator1sub: added
	reference images.

2008-06-16  Øyvind Kolås  <pippin@gimp.org>

	Reverted:

	Extended the gegl-chanting and the build system to easily allow
	defining an alternate process function that will be compiled to mmx
	and sse by gcc, coupled with runtime cpu detection at class init time
	to determine which variant to use.

	* configure.ac: make USE_SSE available to makefiles.
	* gegl/Makefile.am: install gegl-cpuaccel.h
	* gegl/gegl-chant.h: added logic to detect various SIMD compile modes,
	generating different .o 's based on compiler flags.
	* gegl/gegl-plugin.h: include gegl-cpuaccel.h
	* operations/Makefile-operations.am: added separete recipe for
	compiling .c files that contains the string GEGL_SIMD.

	* operations/common/brightness-contrast.c:
	* operations/common/invert.c:
	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-porter-duff.rb: The rest, updated to
	specify their SIMD code using GEGL_SIMD.

2008-06-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-linear.c: (gegl_buffer_linear_open): added
	format parameter, which might be NULL to use the buffers format and
	made it fake a buffer if dimensions are not right or format does not
	match.
	(gegl_buffer_linear_close): free the linear proxy buffer.
	* gegl/buffer/gegl-buffer-private.h:
	* tests/buffer/buffer-test.c: (linear_modify),
	(linear_from_data_rows), (linear_proxy_modify): added new test and
	slightly clarified others.

2008-06-16  Sam Hocevar  <sam@zoy.org>

	* gegl/graph/gegl-node.c: do not try to assign a va_list variable to
	NULL, it's opaque and gcc will error out; instead, just zero its
	bytes.

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	Extended the gegl-chanting and the build system to easily allow
	defining an alternate process function that will be compiled to mmx
	and sse by gcc, coupled with runtime cpu detection at class init time
	to determine which variant to use.

	* configure.ac: make USE_SSE available to makefiles.
	* gegl/Makefile.am: install gegl-cpuaccel.h
	* gegl/gegl-chant.h: added logic to detect various SIMD compile modes,
	generating different .o 's based on compiler flags.
	* gegl/gegl-plugin.h: include gegl-cpuaccel.h
	* operations/Makefile-operations.am: added separete recipe for
	compiling .c files that contains the string GEGL_SIMD.

	* operations/common/brightness-contrast.c: 
	* operations/common/invert.c: 
	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-porter-duff.rb: The rest, updated to
	specify their SIMD code using GEGL_SIMD.

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-linear.c: Made it possible to create linear
	buffers from existing data that have a rowstride != bpp * width.

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.[ch]: (gegl_node_set_need_rect): replaced
	x,y,width,height arguments with a GeglRectangle.
	* gegl/operation/gegl-operations.c:
	(gegl_operation_set_source_region):
	* gegl/process/gegl-eval-mgr.c: (gegl_eval_mgr_apply):
	* gegl/process/gegl-prepare-visitor.c: (visit_node):

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/Makefile.am:
	* gegl/operation/Makefile.am:
	* gegl/graph/gegl-node.[ch]: made operation contexts be stored in a
	hash table.

	* gegl/graph/gegl-operation-context.c:
	* gegl/graph/gegl-operation-context.h: moved these ...

	* gegl/operation/gegl-operation-context.c: ... here.
	* gegl/operation/gegl-operation-context.h: also made the set_rect
	functions take rectangles as the argument.

	* gegl/operation/gegl-operations.c:
	* gegl/process/gegl-cr-visitor.c:
	* gegl/process/gegl-debug-rect-visitor.c:
	* gegl/process/gegl-eval-visitor.c: fixed include path.
	* gegl/process/gegl-processor.c: fix include path, updated api use.

2008-06-15  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c: Revert change that moved
	initilaization stuff from _new to _constructor. It borked
	`gegl foo.xml -o bar.png'.

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/Makefile.am: added gegl-simd.h
	* gegl/gegl-plugin.h: moved g4float macros and typedef 
	* gegl/gegl-simd.h: .. here

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	renamed GeglNodeContext GeglOperation context and replaced the node
	field with an operation field.

	* gegl/gegl-plugin.h:
	* gegl/gegl-types.h:
	* gegl/graph/Makefile.am:
	* gegl/graph/gegl-node-context.c:
	* gegl/graph/gegl-node-context.h:
	* gegl/graph/gegl-node.c: 
	* gegl/graph/gegl-node.h:
	* gegl/graph/gegl-operation-context.c:
	* gegl/graph/gegl-operation-context.h:
	* gegl/operation/gegl-operation-composer.c:
	* gegl/operation/gegl-operation-filter.c:
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-sink.c:
	* gegl/operation/gegl-operation-source.c:
	* gegl/operation/gegl-operation.c:
	* gegl/operation/gegl-operation.h:
	* gegl/operation/gegl-operations.c:
	* gegl/process/gegl-cr-visitor.c:
	* gegl/process/gegl-debug-rect-visitor.c:
	* gegl/process/gegl-eval-mgr.c:
	* gegl/process/gegl-eval-visitor.c:
	* gegl/process/gegl-processor.c:
	* operations/common/introspect.c:
	* operations/common/load-buffer.c:
	* operations/common/magick-load.c:
	* operations/common/open-buffer.c:
	* operations/common/raw-load.c:
	* operations/common/remap.c:
	* operations/core/clone.c:
	* operations/core/crop.c:
	* operations/core/nop.c:
	* operations/core/shift.c:
	* operations/workshop/rawbayer-load.c:

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/Makefile.am: do not install gegl-config.c as if it was a
	header.

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-linear.c:
	(gegl_buffer_linear_new_from_data): added rowstride parameter,
	(gegl_buffer_linear_close): added the linear buffer itself as a
	parameter. Only the API changed, the logic is not implemented yet.
	* gegl/buffer/gegl-buffer-private.h: updated prototypes.
	* tests/buffer/buffer-test.c: (linear_modify), (linear_from_data):
	updated use of code.

2008-06-15  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/operation/gegl-operation-sink.h): Describe the needs_full
	class variable.

2008-06-15  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/operation/gegl-operation.c (get_bounding_box): Refactor
	away return in-the-middle and update warning message.

2008-06-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-sampler.c: (gegl_sampler_get_from_buffer):
	indentation.
	* operations/affine/affine.c: (affine_generic), (process): migrated to
	use GeglBufferIterator for efficiency (patch from Geer Jordaens).

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c
	(gegl_processor_set_rectangle)
	(gegl_processor_constructor): Refactor away return:s in the middle
	of these functions.

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c: Organize #includes.

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c: Further general cleanup.

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c: Prefix local functions with
	gegl_processor_.

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c: Formating. Adjusted newlines,
	added brackets around single-lined ifs, and aligned stuff.

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c: Made the processing rectangle
	accessible as a GObject property.

	(gegl_processor_set_rectangle): When passed a NULL rectangle, use
	the bounding box of the input node.

	(gegl_node_new_processor): Simply pass the rectangle to
	g_object_new().

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: bumped version to 0.0.19.

========================== 0.0.18 released ==================================

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: bumped version to 0.0.18.
	* NEWS: updated with last minute changes.

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: fixed typo in splash.
	* bin/editor-optype.c: (gegl_typeeditor_optype): do not add to size
	group if it doesn't exist.

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: (set_property): remove change to quieten
	gcc, the variable is not used but we need something of it's type, and
	what it can be initialized with varies from platform to platform.

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	Bug 360888 – Adapt cubic and lanczos samplers for new framework

	This bug is fixed now, further improvements might be desirable for the
	code but all the interpolation code is in a working state now.

	* gegl/buffer/gegl-sampler.c: 
	(gegl_sampler_type_from_interpolation): enable lanczos and cubic.
	* gegl/buffer/gegl-sampler-cubic.c:
	* gegl/buffer/gegl-sampler-lanczos.c:
	* gegl/buffer/gegl-sampler-linear.c:

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: commited new splash with updated list of contributors.

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c: Function definition cleanups.

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/gegl-config.c (gegl_config_init): Formating.

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/process/gegl-processor.c: Aligned static function
	prototypes.

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: updates news.

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: changes that should have been
	included in previous commit.

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	Applied patch from Bug #360888 - Adapt cubic and lanczos samplers for
	new framework.

	The patch isn't closed yet, but the code for nearest and linear is
	stable now and the rest of the code delta is quite large. The patch
	has been adapted to not introduce new API and the cubic and lanczos
	filters are disabled due to artifacts.

	* gegl/buffer/gegl-buffer-access.c:
	* gegl/buffer/gegl-buffer-types.h:
	* gegl/buffer/gegl-buffer.c:
	* gegl/buffer/gegl-buffer.h:
	* gegl/buffer/gegl-sampler-cubic.c:
	* gegl/buffer/gegl-sampler-lanczos.c:
	* gegl/buffer/gegl-sampler-linear.c:
	* gegl/buffer/gegl-sampler-nearest.c:
	* gegl/buffer/gegl-sampler.c:
	* gegl/buffer/gegl-sampler.h:
	* operations/affine/affine.c:
	* operations/affine/affine.h:

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* operations/workshop/stroke.c (get_bounding_box): Format

2008-06-14  Martin Nordholts  <martinn@svn.gnome.org>

	* examples/gegl-paint.c: Some cleanup.

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* examples/gegl-paint.c: (paint_press), (main): modified the default
	stroke to be thicker, and black.
	* gegl/property-types/gegl-vector.c: (gegl_vector_stamp): fixed
	rendering by swapping the x/y coordinates (actually the loops) in the
	brush rendering/compositing code.

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	reviewed by: <delete if not using a buddy>

	* examples/gegl-paint.c: (paint_press), (main):

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	Made the stroke operation only emit and draw changes around the region
	where lines segments have been added to the path.

	* gegl/property-types/gegl-vector.c: (gegl_vector_stamp):
	* operations/workshop/stroke.c: (process):

2008-06-14  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor-optype.c: (gegl_typeeditor_optype): added descriptive
	label in front of top operation entry, also changed the help string
	in the entry.

2008-06-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_stamp): reverted
	migration to buffer iterators since it seems like it has caused a
	regression.

2008-06-13  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor-optype.c: (chain_in_operation): show the structure view
	when a new operation has been added. (need now that the popup is
	properly gone).

2008-06-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-color.c:
	(gegl_param_spec_color_get_default): added call to retrieve the
	default color from a color paramspec.
	* operations/generated/math.rb: pass floating point values to property
	installer.
	* tools/operation_reference.c: (list_properties): added default,
	minimum and maximum values to output listing.

2008-06-13  Michael Natterer  <mitch@gimp.org>

	* configure.ac: use G_DISABLE_DEPRECATED for glib < 2.17, add
	G_DISABLE_SINGLE_INCLUDES to CPPFLAGS unconditionally.

2008-06-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_clear): fixed access
	to data in iterator.

2008-06-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operations.c: moved
	gegl_operation_calc_source_regions
	* gegl/property-types/gegl-vector.c: here.

2008-06-13  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: depend on the newest released babl, version 0.0.22.

2008-06-13  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/Makefile.am: removed accidentally added
	invert-simd target.

2008-06-12  Øyvind Kolås  <pippin@gimp.org>

	* tools/create-reference.rb: fixed link to glossary.

2008-06-12  Øyvind Kolås  <pippin@gimp.org>

	s/BABL_ACCURACY/BABL_TOLERANCE/

	* gegl/gegl-config.c: (get_property), (set_property),
	(gegl_config_class_init):
	* gegl/gegl-config.h:
	* gegl/gegl-init.c: (gegl_post_parse_hook):

2008-06-12  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-config.c: (get_property), (set_property),
	(gegl_config_class_init): s/BABL_ERROR/BABL_ACCURACY/

2008-06-11  Manish Singh  <yosh@gimp.org>

	* docs/Makefile.am: delete duplicate references to
	gegl-operation-filter.h.html.

2008-06-12  Øyvind Kolås  <pippin@gimp.org>

	Made GeglBuffer be the object setting it's default tile-width and
	tile-height properties according to gegl_config() instead of
	gegl-tile-storage.

	* gegl/buffer/gegl-buffer.c: (gegl_buffer_class_init):
	* gegl/buffer/gegl-tile-storage.c: (gegl_tile_storage_class_init):

2008-06-12  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_stamp): migrated
	innerloop to user iterator.

2008-06-11  Øyvind Kolås  <pippin@gimp.org>

	* tests/buffer/buffer-test.c: added three new tests.
	* tests/buffer/reference/linear_from_data:
	* tests/buffer/reference/linear_modify:
	* tests/buffer/reference/linear_new: new reference images.

2008-06-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/Makefile.am: added gegl-buffer-linear.c
	* gegl/buffer/gegl-buffer-private.h: new functions for dealing with
	linear buffers (internal only for now).
	* gegl/buffer/gegl-buffer-linear.c: new file with the main logic to
	use GeglBuffer with linear buffers as backing store.
	* gegl/buffer/gegl-buffer.c: (set_property): width and height were
	swapped.
	(gegl_buffer_constructor): pass tile_width and height to tile_storage,
	(gegl_buffer_new_from_format): added tile_width and tile_height
	arguments.
	* gegl/buffer/gegl-tile-storage.c: (gegl_tile_storage_constructor):
	set the "cache" data on the tile-storage itself as well.
	* gegl/buffer/gegl-tile.[ch]: (default_free), (dispose),
	(gegl_tile_init), (gegl_tile_new): added a destroy callback for the
	tile data in a tile.

2008-06-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_clear): ported to use
	GeglBufferIterator.

2008-06-11  Sven Neumann  <sven@gimp.org>

	* gegl/operation/Makefile.am: tried to fix confusion with public
	and internal header files. Install $(public_headers) instead of
	$(OPERATION_headers).

2008-06-10  Øyvind Kolås  <pippin@gimp.org>

	Added more buffer tests and their associated reference images.

	* tests/buffer/buffer-test.c:
	* tests/buffer/reference/test_gegl_buffer_iterator2:
	* tests/buffer/reference/test_gegl_buffer_iterator2sub:
	* tests/buffer/reference/test_gegl_buffer_iterator3:
	* tests/buffer/reference/test_gegl_buffer_iterator3sub:
	* tests/buffer/reference/test_gegl_buffer_iterator4:
	* tests/buffer/reference/test_gegl_buffer_iterator4sub:

2008-06-10  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: removed unneeded include.
	* gegl/gegl-config.c: (gegl_config_class_init): changed the range of
	CHUNK_SIZE to 1-max int.

2008-06-10  Øyvind Kolås  <pippin@gimp.org>
	
	* gegl/buffer/gegl-buffer-iterator.c: Reverted commit with message
	'Made GeglBufferIterator potentially able of handling different
	pyramid levels' since it caused regressions.

2008-06-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: (set_property): quieten gcc.

2008-06-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: refer to GeglOperationTemporal correctly.
	* gegl/gegl-plugin.h: include gegl-operation-temporal.h
	* gegl/operation/gegl-operation-temporal.c: rewrote to use
	gegl_buffer_copy, also register the private data in class_init.

2008-06-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c:
	(gegl_buffer_tile_iterator_init), (gegl_buffer_tile_iterator_next),
	(gegl_buffer_scan_iterator_init), (gegl_buffer_iterator_add): Made
	GeglBufferIterator potentially able of handling different pyramid levels

2008-06-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c: removed FALSE statement that
	caused conversions on all subsequently added iterator buffers.

2008-06-09  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/opacity.c: (process):
	* operations/common/threshold.c: (process):
	* operations/core/convert-format.c: (process): added 'const' to the
	GeglRectangle *roi argument in process().

2008-06-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c: (gegl_buffer_iterator_add),
	(gegl_buffer_iterator_next): create a temporary sub buffer the size
	of the roi for each buffer iterated over, this fixed roi problems.

2008-06-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/Makefile.am: added missing gegl-operation-temporal.h

2008-06-09  Sven Neumann  <sven@gimp.org>

	* gegl/operation/gegl-operation-point-render.h: added 'const' to
	the GeglRectangle* roi argument in process().

	* operations/common/brightness-contrast.c
	* operations/common/checkerboard.c
	* operations/common/color-temperature.c
	* operations/common/color.c
	* operations/common/contrast-curve.c
	* operations/common/grey.c
	* operations/common/invert.c
	* operations/common/levels.c
	* operations/common/noise.c
	* operations/common/svg-huerotate.c
	* operations/common/svg-luminancetoalpha.c
	* operations/common/svg-saturate.c
	* operations/common/value-invert.c
	* operations/common/whitebalance.c: const-ified the roi argument.
	
2008-06-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.c:
	(gegl_buffer_scan_compatible): improved test making more cases
	succeed.
	(gegl_buffer_iterator_add), (gegl_buffer_iterator_new):
	* gegl/buffer/gegl-buffer-iterator.h: made the buffer iterator
	construction functions take a const GeglRectangle * instead of passing
	the rois by value.

	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_copy):
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c:
	* gegl/operation/gegl-operation-point-render.c: updated according to
	API changes.

2008-06-08  Øyvind Kolås  <pippin@gimp.org>

	Added a new temporal base class, to be used as a base class for
	operations operating on video needing access to data from neighbouring
	frames.

	* gegl/operation/gegl-operation-temporal.c: new file.
	* gegl/operation/gegl-operation-temporal.h: new file.
	* operations/common/Makefile.am: added new files.

2008-06-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-processors.c: (dispatch),
	(gegl_class_register_alternate_vfunc): added more logging.

2008-06-06  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/svg-matrix.c: (process): cadded const to argument.

2008-06-06  Øyvind Kolås  <pippin@gimp.org>
	
	Added four new gegl_buffer_copy (buffer iteration) tests with
	reference outputs. (Some of these tests as well as two other tests
	currently fail after the refactoring the iteration api into place.

	* tests/buffer/buffer-test.c:
	(test_gegl_buffer_copy_upper_left),
	(test_gegl_buffer_copy_upper_right),
	(test_gegl_buffer_copy_lower_right),
	(test_gegl_buffer_copy_lower_left): 
	* tests/buffer/reference/test_gegl_buffer_copy_lower_left:
	* tests/buffer/reference/test_gegl_buffer_copy_lower_right:
	* tests/buffer/reference/test_gegl_buffer_copy_upper_left:
	* tests/buffer/reference/test_gegl_buffer_copy_upper_right:

2008-06-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: incremented ABI version.

2008-06-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.[ch]: made each iterated buffer
	have it's own roi argument.

	Updated the following files according to iterator API.
	* gegl/operation/gegl-operation-point-composer.h: added output roi to
	process() argument.
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c:
	* gegl/operation/gegl-operation-point-filter.h:
	* gegl/operation/gegl-operation-point-render.c:
	* operations/generated/math.rb:
	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-blend.rb:
	* operations/generated/svg-12-porter-duff.rb:

2008-06-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.[ch]: added gegl_buffer_get_format accessor.

2008-06-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: (gegl_processor_class_init): made the
	minimum chunk size 1pixel.

2008-06-06  Øyvind Kolås  <pippin@gimp.org>

	* operations/core/crop.c: (get_required_for_output): report the
	intersection of crop with request.

2008-06-04  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-iterator.[ch]: trimmed down
	GeglBufferIterator to a tiny babl powered API.

	* gegl/buffer/gegl-buffer-access.c: ported to new API.
	* gegl/operation/gegl-operation-point-composer.c: ..
	* gegl/operation/gegl-operation-point-filter.c: ..
	* gegl/operation/gegl-operation-point-render.c: ..

2008-06-04  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/Makefile.am: added gegl-buffer-iterator.[ch]
	* gegl/buffer/gegl-buffer-access.c: moved iterator logic ..
	* gegl/buffer/gegl-buffer-iterator.c: .. here.
	* gegl/buffer/gegl-buffer-private.h: moved iterator struct and methods
	* gegl/buffer/gegl-buffer-iterator.h: .. here

2008-06-04  Øyvind Kolås  <pippin@gimp.org>

	* bin/Makefile.am: removed reference to removed file gegl-bin-types.h

2008-06-04  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: synced up with changelog.

2008-06-04  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (gegl_post_parse_hook): removed debug printf.

2008-06-04  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-storage.c: depend on gegl_config()'s
	tile_width and tile_height for default values. (should be more dynamic
	than default of paramspec, but this will do for now.)

	* gegl/gegl-config.c: added GEGL_TILE_SIZE --gegl-tile-size
	configuration which takes 128x128 type settings.
	* gegl/gegl-config.h:
	* gegl/gegl-init.c:

2008-06-04  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: added roi to scan iterator
	struct, removed accesor macro.
	* gegl/buffer/gegl-buffer-access.c: handle roi of scan iterator
	internally.

	Updated code using scan iterator to use roi from iterator struct.
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c:
	* gegl/operation/gegl-operation-point-render.c:

2008-06-03  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c:
	(gegl_buffer_scan_iterator_init), (gegl_buffer_scan_iterator_next):
	made the locking of the buffer when using the scan iterator for write
	access implicit.
	(gegl_buffer_copy): removed unneeded lock/unlcok.
	* gegl/operation/gegl-operation-point-composer.c: ..
	* gegl/operation/gegl-operation-point-filter.c: ..
	* gegl/operation/gegl-operation-point-render.c: removed unneeded
	lock/unlock pair.

2008-06-03  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-composer.c:
	(gegl_operation_point_composer_process): use direct tile access when
	possible from input/output buffers.

2008-06-03  Øyvind Kolås  <pippin@gimp.org>

	Enable scan iteration for compositing.

	* gegl/buffer/gegl-buffer-access.c:
	(gegl_buffer_scan_iterator_next), (gegl_buffer_scan_compatible),
	(gegl_buffer_tile_iterator_next), (gegl_buffer_iterate),
	(gegl_buffer_copy): commit earlier missed changes.
	* gegl/buffer/gegl-buffer-private.h: fix prototype for scan
	compatible.
	* gegl/operation/gegl-operation-point-composer.c:
	(gegl_operation_point_composer_process): process using scan iterator
	when possible.
	* gegl/operation/gegl-operation-point-filter.c: commit missed file
	from earlier commit.

2008-06-03  Øyvind Kolås  <pippin@gimp.org>

	* operations/generated/other-blend.rb: fixed off by one in simd loop.
	* operations/generated/svg-12-porter-duff.rb: fixed off by one in simd
	loop.

2008-06-02  Øyvind Kolås  <pippin@gimp.org>
	
	* gegl/buffer/gegl-buffer-access.c:
	(gegl_buffer_scan_compatible): added x and y offsets as arguments.
	(gegl_buffer_copy): use scan iterator if buffers are scan compatible.
	* gegl/buffer/gegl-buffer-private: updated prototype.
	* gegl/operation/gegl-operation-point-composer.c: make use of scan
	iterator like the filter op only fetching aux when the buffers
	are scan compatible.
	* gegl/operation/gegl-operation-point-filter.c: updated check for scan
	compatibility.

2008-06-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-composer.c: re-enabled fast
	paths when roi makes compositing unnecesary for over op.
	* gegl/operation/gegl-operation-point-filter.c: use
	gegl_operation_get_format()
	* gegl/operation/gegl-operation.c: (gegl_operation_get_format): add a
	warning when no pad|format is found.

2008-06-02  Øyvind Kolås  <pippin@gimp.org>

	Made the process functions contain the full prefix of the class to
	make backtraces more readable.
	* gegl/operation/gegl-operation-composer.c:
	* gegl/operation/gegl-operation-filter.c:
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c:
	* gegl/operation/gegl-operation-point-filter.h:
	* gegl/operation/gegl-operation-point-render.c:
	* gegl/operation/gegl-operation-sink.c:
	* gegl/operation/gegl-operation-source.c:

2008-06-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c:
	(gegl_buffer_tile_iterator_next): removed unused variable.

2008-06-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: quieten gcc.

2008-06-02  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/noise.c: (process), (gegl_chant_class_init):
	ported to be a subclass of GeglOperationPointRender.

2008-06-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c:
	(gegl_buffer_tile_iterator_init), (gegl_buffer_scan_iterator_init),
	(gegl_buffer_scan_iterator_next), (gegl_buffer_tile_iterator_next):
	modified to make the roi for the scan iterator reported be correct.
	* gegl/buffer/gegl-buffer-private.h: modified computation of roi.
	* gegl/operation/gegl-operation-point-render.c: override some of the
	base source op's modifications of base operation wrt caching.
	* operations/common/checkerboard.c: port to be subclass of
	point-render.
	* operations/common/color.c: (gegl_chant_class_init): removed
	initialization now moved to base class.

2008-06-01  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/color.c: (process), (gegl_chant_class_init): base
	the color op on gegl-operation-point-render insteal of
	gegl-operation-source. One copy and buffer allocation less.

2008-06-01  Øyvind Kolås  <pippin@gimp.org>

	Add point-render operation that does as few as possible copies when
	rendering potentially based on x,y coordinates in buffer.

	* gegl/operation/gegl-operation-point-render.c: new file.
	* gegl/operation/gegl-operation-point-render.h: new file.
	* gegl/gegl-plugin.h:
	* gegl/gegl-chant.h: made available to plug-ins.
	* gegl/operation/Makefile.am: added new files.

2008-06-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: incremented ABI version.
	* gegl/operation/gegl-operation-point-filter.[ch]: added roi as an
	argument for the point filter process() function.

	Modified the process() vfuncs for the following operations accordingly:

	* operations/common/brightness-contrast.c: 
	* operations/common/color-temperature.c: 
	* operations/common/contrast-curve.c: 
	* operations/common/grey.c: 
	* operations/common/invert.c: 
	* operations/common/levels.c: 
	* operations/common/svg-huerotate.c: 
	* operations/common/svg-luminancetoalpha.c: 
	* operations/common/svg-matrix.c: 
	* operations/common/svg-saturate.c: 
	* operations/common/value-invert.c: 
	* operations/common/whitebalance.c: 
	* operations/core/convert-format.c: 

2008-06-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: added
	gegl_buffer_scan_iterator_get_rectangle to get the coordinates of the
	buffer represented by a linear buffer.
	* gegl/buffer/gegl-buffer-access.c: improved naming.

2008-05-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: (gegl_node_set_op_class): bail out early and
	do not touch the var_args if first_property == NULL.

2008-05-28  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: (gegl_processor_progress): removed
	g_warning used for temporary development debug printf.

2008-05-28  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/color-temperature.c: (process): copy the alpha
	component from input to output.

2008-05-28  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/mblur.c: (process), (gegl_chant_class_init): fixed
	initialization of private data.

2008-05-25  Øyvind Kolås  <pippin@gimp.org>

	Add the ability to configure the default chunk size used during
	processing, this is the amount of pixels the output is computed for
	when doing one iteraiton of work for a processor. For now this needs
	to be set configured before GEGL is initialized to take effect.
	* gegl/gegl-config.[ch]: also fixed the installed property for
	cache-size.
	* gegl/gegl-init.c: (gegl_post_parse_hook):
	* gegl/process/gegl-processor.c: (gegl_processor_class_init):

2008-05-22  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-load.c: (gegl_buffer_load): made the
	construction call to create the gegl buffer to fill with data pass
	width and height correctly from the header.

2008-05-22  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: (gegl_node_get_valist),
	(gegl_node_set_property): removed warnings about use of deprecated
	"class" virtual property for the nodes.

2008-05-21  Kevin Cozens  <kcozens@cvs.gnome.org>

	Fix for problem when building on a Mac.

	* configure.ac: Added check for linux/videodev.h and set HAVE_V4L
	if available.

	* operations/external/Makefile.am: Only build the v4l operation if
	HAVE_V4L is set.

2008-05-20  Hubert Figuiere  <hub@figuiere.net>

	* gegl/buffer/gegl-tile-backend-file.c (ensure_exist): 
	Fix ensure_exist() to really create the file (posix).
	Use dup() for the input fd.

2008-05-20  Michael Natterer  <mitch@gimp.org>

	* operations/external/Makefile.am: comment out V4L section until
	there is a proper configure check.

2008-05-18  Manish Singh  <yosh@gimp.org>

	* configure.ac: added reference to new examples/data directory.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* examples/2gegl.c: renamed to:
	* examples/2geglbuffer.c:
	* examples/clock.c: renamed to:
	* examples/geglbuffer-clock.c:
	* examples/geglbuffer-add-image.c: added.
	* examples/multiplayer-paint.sh: make use of new files.
	* examples/Makefile.am: added subdir data
	* examples/data: added
	* examples/data/Makefile.am: added
	* examples/data/surfer.png: added
	* configure.ac: added examples/data/Makefile

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* NEWS:
	* AUTHORS: added Hubert Figuiere.

2008-05-17  Hubert Figuiere  <hub@figuiere.net>

	Made gio an optional dependency and revert to standard posix
	io if it is missing.

	* configure.ac:
	* gegl/gegl-init.c:
	* gegl/buffer/gegl-buffer-load.c:
	* gegl/buffer/gegl-tile-storage.c:
	* gegl/buffer/gegl-buffer-save.c:
	* gegl/buffer/gegl-buffer-access.c:
	* gegl/buffer/gegl-buffer.c:
	* gegl/buffer/gegl-buffer-index.h:
	* gegl/buffer/gegl-tile-backend-file.c:
	* gegl/buffer/Makefile.am:

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	Removed no-node-caches configuration option, since this is now handled
	by the no-cache property on GeglNode instead.

	* gegl/gegl-config.c: (get_property), (set_property),
	(gegl_config_class_init), (gegl_config_init):
	* gegl/gegl-config.h:
	* gegl/gegl-init.c: (gegl_post_parse_hook):
	* gegl/graph/gegl-node-context.c:
	(gegl_node_context_remove_property), (gegl_node_context_add_value),
	(gegl_node_context_get_target):


2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: removed deprecated includes.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* NEWS:
	* AUTHORS: synced up NEWS and AUTHORS.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	Removed initial broken thread enabled processing from GEGL,
	paralellization should be attempted through multiple processes instead
	of multiple threads instead.

	* configure.ac: 
	* gegl/gegl-init.c:
	* gegl/graph/gegl-node.c:
	* gegl/process/gegl-eval-mgr.c:
	* gegl/process/gegl-processor.c:

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-options.[ch]: moved GeglOptions typedef to .h file.
	* bin/gegl-bin-types.h: removed.

	* bin/gegl-options.h:
	* bin/editor.h:
	* bin/gegl.c: (main):
	* bin/gegl-bin-gui-types.h: simplified.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* examples/multiplayer-paint.sh: improved launcher script with a
	monitor using the gegl binary that has live update of clock and the
	two concurrent painters.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* examples/2gegl.c: tool to convert image files to native GeglBuffers.
	* examples/clock.c: test/toy to write the current timestamp
	continously to a geglbuffer.
	* examples/gegl-paint.c: modified default values of strokes.
	* examples/multiplayer-paint.sh: added a launcher for multiplayer
	paint, modify it to refer to a local image file.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.[ch]:  added a "dont-cache" property to make a
	GeglNode (and it's children) avoid allocating cache buffers and
	instead pass temporary buffers.
	* gegl/graph/gegl-node-context.c: (gegl_node_context_get_target): obey
	the request to not use a cache.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* examples/hello-world.c:
	* examples/hello-world-video.c: moved here from docs.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* Makefile.am: added examples subdir.
	* configure.ac: added examples/Makefile.am
	* examples/: new dir.
	* examples/Makefile.am: added a make file with wildcards that builds,
	dists and cleans .c files, each .c file in the dir turns into an
	executable.
	* examples/gegl-paint.c: a tiny drawing app.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-bin-gui-types.h: removed GeglView from list of types.
	* bin/gegl-view.[ch]: (button_press_event): made it less dependent on
	the rest of the GEGL binary code base.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node-context.c: (gegl_node_context_set_object):
	applied patch from Sven Anders (sven at anduras.de) that avoids some
	crashes when some ops do not exist. bug #(522293).

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: (main): fix unportable use of realpath (bug #525050)
	spotted by dmacks@netspace.org.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/stroke.c: added operation that renders a stroked
	path, using the path object, the actual rendering code currently
	resides in the vector code and should probably be moved here.

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-config.[ch]: (get_property), (set_property),
	(gegl_config_class_init), (gegl_config_init): added a node_caches
	property.
	* gegl/gegl-init.c: (gegl_post_parse_hook): added a
	GEGL_NO_NODE_CACHES --gegl-no-node-caches configuration setter.
	* gegl/graph/gegl-node-context.c: (gegl_node_context_get_target):
	obey the configuration for whether to use a cache or temporary buffer
	for the target buffer written to by operations.

2008-05-16  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/brightness-contrast.c:
	(process_simd): fixed buggy loop.
	* operations/common/invert.c: (process_g4f): and another one.

2008-05-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-processors.c:
	(gegl_class_register_alternate_vfunc): code reorganization.
	(dispatch): cache the found codepath for a given quality, made the
	order the checked for strings are used be:

	choice = reference;
	if (gegl_config()->quality <= 1.0  && simd) choice = simd;
	if (gegl_config()->quality <= 0.75 && good) choice = good;
	if (gegl_config()->quality <= 0.25 && fast) choice = fast;

	Register the following operations with the new name "simd" instead of
	g4float.
	* operations/common/brightness-contrast.c:
	* operations/common/invert.c:
	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-porter-duff.rb:

2008-05-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-filter.c: avoid unneeded
	mallocs.

2008-05-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c:
	(gegl_buffer_class_init), (gegl_buffer_try_lock), (gegl_buffer_lock),
	(gegl_buffer_unlock): added gegl_buffer_lock which is blocking, as
	well as made all the functions work equally well with shared and non
	shared buffers.

2008-05-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c: added gegl_buffer_scan_iterator.
	* gegl/buffer/gegl-buffer-private.h: added iterator data structures
	for tiles as well as scanlines.
	* gegl/buffer/gegl-tile.c: use gegl_malloc for allocating aligned
	tile memory.
	* gegl/operation/gegl-operation-point-filter.c: make use of scan
	iteration when possible between formats.

2008-05-15  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/whitebalance.c: (process): do not assume that
	input buffer == output buffer.

2008-05-11  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: detailed most new changes.

2008-05-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.c: (gegl_vector_stamp): allocate
	some extra space for the brush, to include potential rounding issues
	with the roi computation.

2008-05-06  Øyvind Kolås  <pippin@gimp.org>

	Improved indentation/argument naming/docs.

	* gegl/operation/gegl-operation-area-filter.h:
	* gegl/operation/gegl-operation-filter.h:
	* gegl/operation/gegl-operation-sink.h:
	* gegl/operation/gegl-operation-source.h:
	* gegl/operation/gegl-operation.h:
	* operations/common/brightness-contrast.c: (process_simd),
	(gegl_chant_class_init):

2008-05-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-source.h: improved docs.
	* gegl/buffer/gegl-tile-storage.c: (tile_storage_idle): return TRUE
	if work was done.

2008-05-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: update GeglVector's binding for new chanting.

2008-05-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.h: added new method gegl_buffer_clear()
	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_clear):

2008-05-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.[ch]: ported to use floating point
	instead of fixedpoint/integer for coordinates. Initial port of brush
	stamping core from horizon for a gegl_vector_stroke method.

2008-05-04  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/rectangle.c: added new operation that renders a
	rectangle of a solid color.

2008-05-03  Øyvind Kolås  <pippin@gimp.org>

	* tools/create-reference.rb: expanded room for function arguments.

2008-05-02  Øyvind Kolås  <pippin@gimp.org>

	Added some documentation to internal tile level interface to
	GeglBuffer, renamed the invalidated command to refetch.

	* gegl/buffer/gegl-tile-source.h: added fake funcction calls to be
	documented in lieu of the macros.
	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_set):
	* gegl/buffer/gegl-buffer-private.h:
	* gegl/buffer/gegl-buffer-share.c:
	* gegl/buffer/gegl-buffer.c: (get_tile), (gegl_buffer_try_lock),
	(gegl_buffer_unlock):
	* gegl/buffer/gegl-tile-backend-file.c: (load_index),
	(file_changed), (gegl_tile_backend_file_constructor):
	* gegl/buffer/gegl-tile-handler-cache.c: (command):
	* gegl/buffer/gegl-tile-handler-log.c:
	* gegl/buffer/gegl-tile.h:
	* gegl/buffer/gegl-buffer.h:

2008-05-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-color.[ch]: (gegl_color_float4): added
	utility accessor function (might be removed again).

2008-05-01  Étienne Bersac  <bersace03@gmail.com>

	* gegl/property-types/Makefile.am (INCLUDES): Added
	$(top_srcdir)/gegl/buffer in include path to fix building in
	preperttypes directory.

2008-04-30  Øyvind Kolås  <pippin@openedhand.com>

	* gegl/property-types/gegl-vector.[ch]: expanded the drawing commands
	set to be more complete, also added gegl_vector_fill which does a
	simple alias fill of a GeglColor for a single path.

2008-04-30  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/color-temperature.c: (convert_k_to_rgb):
	Commited new version of op from Jan Heller that replaces large lookup
	table that is used outside innerloop with a function approximating it.

2008-04-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-file.c: (write_header),
	(gegl_tile_backend_file_class_init): check GeglBufferHeader and
	GeglBufferBlock struct sizes for sanity at launch.

2008-04-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-index.h: removed unused structs and improved
	documentation.
	* gegl/buffer/gegl-buffer.h: mended docs.

2008-04-30  Øyvind Kolås  <pippin@gimp.org>

	* tools/create-reference.rb: make documentation for operations appear
	in devhelp.

2008-04-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.h: added new public API to GeglBuffer
	gegl_buffer_load, gegl_buffer_write and gegl_buffer_open.
	* gegl/buffer/gegl-buffer-load.c:
	* gegl/buffer/gegl-buffer-load.h:
	* gegl/buffer/gegl-buffer-private.h:
	* gegl/buffer/gegl-buffer-share.c:

2008-04-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.h:
	* gegl/gegl.h.in: added missing documentation.

2008-04-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/Makefile.am: added gegl-debug.h
	* gegl/buffer/Makefile.am: added gegl-buffer-load.h

2008-04-29  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/v4l.c: added v4l source operation from gggl.
	* operations/external/v4lutils/: added v4lutils from effectv.
	* operations/external/Makefile.am: updated.

2008-04-28  Øyvind Kolås  <pippin@gimp.org>

	Made on disk-buffers opened on disk perform locking when invoking
	gegl_buffer_set, this allows transparent use of the buffers for writes
	since only one write will happen at a time. (At the moment the lock
	is implemented in the files header, and a GeglBuffer might get stuck
	in a locked state on disk if gegl is aborted when it holds the lock.)

	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_set): lock buffer
	on write if the buffer is shared.
	* gegl/buffer/gegl-buffer-index.h: fixed flags for header.
	* gegl/buffer/gegl-buffer-private.h:
	* gegl/buffer/gegl-buffer.c:
	(gegl_buffer_is_shared): new function reports if the buffer is shared
	(gegl_buffer_try_lock): tries to lock a shared buffer, if failed try
	again a bit later.
	(gegl_buffer_unlock): unlock a locked buffer, allows other clients to
	use the buffer.
	* gegl/buffer/gegl-tile-backend-file.[ch]: added _try_lock() _unlock()
	* gegl/buffer/gegl-tile-backend.[ch]: added shared flag to backend.

2008-04-28  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-file.c:
	(gegl_tile_backend_file_constructor): only add a monitor when opening
	an already existing file.

2008-04-28  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-tile-backend-file.c (finalize): unref the file
	monitor.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/write-buffer.c: added operation that allows
	writing to an already existing GeglBuffer (as opposed to save-buffer
	which emits a buffer.)

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-load.c: (gegl_buffer_read_index): removed
	debug printf.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: added signal "changed" which is relaying
	for the storage's changed signal. (might not work entirely correctly
	with sub buffers.)
	* gegl/buffer/gegl-tile-storage.c: added signal "changed"
	* gegl/buffer/gegl-tile-backend-file.c:
	(load_index): emit changed signal on storage for tiles that have
	changed in the index.
	* gegl/operation/gegl-operation.[ch]: (gegl_operation_invalidate):
	added a function to allow an operation to invalidate a region that it
	already has provided.
	* operations/common/open-buffer.c: propagate changed from the buffer
	to the node.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-index.h: added rev to header and tiles,
	added sketch of collaborative datastructures.
	* gegl/buffer/gegl-buffer-load.c: (gegl_buffer_read_header): made 
	it possible to call with offset == NULL
	* gegl/buffer/gegl-buffer-save.c: (gegl_tile_entry_new),
	(gegl_tile_entry_destroy): do not use slice allocations for entries.
	* gegl/buffer/gegl-tile-backend-file.c: (file_entry_destroy),
	(get_tile), (set_tile), (flush), (load_index), (file_changed),
	(gegl_tile_backend_file_constructor): monitor buffer for changes and
	reload index if revision in header has changed.
	* gegl/buffer/gegl-tile-backend.h: added private pointer to storage a
	backend is member of, allows the backend to send messages through the
	storage's bus.
	* gegl/buffer/gegl-tile-handler-cache.c: (dispose), (command),
	(gegl_tile_handler_cache_invalidate): remove tiles from cache when
	they've changed on disk.
	* gegl/buffer/gegl-tile-source.h: added macro for
	gegl_tile_source_invalidated
	* gegl/buffer/gegl-tile-storage.c: (gegl_tile_storage_constructor):
	store pointer to storage in backend.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/open-buffer.c: added new operation for opening
	an existing GeglBuffer on disk.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile.c: (gegl_tile_void_pyramid): only perform
	voiding if a tile_storage is attached to the tile.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.[ch]: added gegl_buffer_set_extent.
	* gegl/buffer/gegl-buffer-access.c:
	(gegl_buffer_copy), (gegl_buffer_dup): moved here from gegl-buffer.c

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-storage.c: (gegl_tile_storage_constructor):
	some code cleanup.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-save.c:
	(gegl_buffer_header_init): store more verbose ascii information about
	the buffer in the padding zone.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-file.c:
	Create actual file and input/output streams on demand, also added
	alternate codepath for a hacked up GIO that allows simultanous
	readwrite access to existing files.
	(file_entry_read), (file_entry_write), (file_entry_new),
	(write_header), (write_block), (flush), (finalize),
	(gegl_tile_backend_file_constructor), (ensure_exist):

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-handler-zoom.c: (get_tile): make the trimming
	in the previous commit actually compile.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile.h: removed flags from tile, as well as the
	only user the for now deprecated quarter dirtying code. Not storing
	per tile flags simplifies the tile storage backends, adding this back
	can be considered with a working implementation.
	* gegl/buffer/gegl-tile-source.h: 
	* gegl/buffer/gegl-tile-backend-file.c:
	* gegl/buffer/gegl-tile-backend-ram.c:
	* gegl/buffer/gegl-tile-backend-tiledir.c:
	* gegl/buffer/gegl-tile-handler-log.c:
	* gegl/buffer/gegl-tile-handler-zoom.c:
	* gegl/buffer/gegl-tile.c: refactored to use a much smaller recurse
	function and removed defunct quarter dirtying code in favor of voiding
	all smaller versions of a tile.

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile.c: (_gegl_tile_void_pyramid),
	(gegl_tile_void_pyramid), (gegl_tile_void), (gegl_tile_store):

2008-04-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile.c: (gegl_tile_unlock): made the revisions of
	tiles on the mipmap levels also get tile->rev++, making the finalize
	method of tiles cause them to be written to backend storage.
	* gegl/buffer/gegl-tile-handler-cache.c: (command): made the void
	command chain up for z!=0 as well thus deleting (even partially)
	invalidated zoom tiles from the backend.

2008-04-26  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile.h: removed storage_x, storage_y and storage_z
	bits since tiles themselves should only exist in one coordinate
	system, the one of the storage buffer.
	* gegl/buffer/gegl-buffer-access.c: (pset), (pget):
	* gegl/buffer/gegl-buffer.c: (get_tile):
	* gegl/buffer/gegl-tile-handler-zoom.c: (get_tile):
	* gegl/buffer/gegl-tile.c: (gegl_tile_void_pyramid),
	(gegl_tile_store):

2008-04-26  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-handler-cache.c: (dispose), (get_tile),
	(gegl_tile_handler_cache_insert): indentation and dead code removal.

2008-04-26  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/color-temperature.c: added a manual white balance
	corrector that computes the adjustment based on color temperature
	values from Jan Heller.
	* AUTHORS: added Jan Heller.

2008-04-25 João S. O. Bueno <gwidion@mpc.com.br>

	* bindings/pygegl/samples/render-test.py: Updated operation names
	for fractal-explorer and screen.

2008-04-25  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-processors.c:
	(gegl_class_register_alternate_vfunc): moved the logic of selecting
	an implementation to use to method invocation, by replacing the
	default impementation with a dispatcher that handles virtual functions
	with up to 10 arguments.
	(dispatch): the static helper function that dispatches.
	
	This change makes the code less general since it now only can have
	one overridden vfunc per gtype. This should not be a problem for GEGLs
	current use of the infrastructure.

2008-04-25  Øyvind Kolås  <pippin@gimp.org>

	Added a diff based test suite for tracking the stability
	of GeglBuffer's core set of operations.

	* tests/buffer/Makefile:
	* tests/buffer/README:
	* tests/buffer/buffer-test.c:

	The following are reference images for the GeglBuffer tests.
	
	* tests/buffer/reference/buffer_inherit_parent_extent:
	* tests/buffer/reference/buffer_shift_diagonal:
	* tests/buffer/reference/buffer_shift_horizontal:
	* tests/buffer/reference/buffer_shift_vertical:
	* tests/buffer/reference/disabled_abyss:
	* tests/buffer/reference/sub_rect_fills_and_gets:
	* tests/buffer/reference/sub_sub_fill:
	* tests/buffer/reference/test_blank:
	* tests/buffer/reference/test_checkerboard:
	* tests/buffer/reference/test_gegl_buffer_copy:
	* tests/buffer/reference/test_get_buffer_scaled2:

2008-04-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: (gegl_buffer_new_from_format): treat the
	swap locations RAM and ram specially (this means that GEGL cannot use
	a file in the current directory named RAM or ram as it's swap file.

2008-04-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-file.c:
	(gegl_tile_backend_file_constructor): write an initial header before
	trying to open the input stream.

2008-04-24  Øyvind Kolås  <pippin@gimp.org>

	Fixes that makes it possible to reopen a buffer with the same path
	when a buffer in the same process has been flushed using the path
	retrieved from the original buffer.

	* gegl/buffer/gegl-buffer.c: (get_property):
	* gegl/buffer/gegl-tile-backend-file.c: (flush):

2008-04-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (gegl_get_version): add back accidentally removed
	gegl_get_version.

2008-04-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: (get_property): made GeglBuffers return
	the path they are stored at in their path property.

2008-04-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-index.h: removed padding from tile struct,
	since the loader is fault tolerant and only loads the available of
	expected data from disk.
	* gegl/buffer/gegl-buffer-load.c: (read_block): log block size
	discrepancies.

2008-04-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (gegl_post_parse_hook): read GEGL_CACHE_SIZE from
	environment.
	* gegl/gegl-config.c: (gegl_config_init): made the default cache size
	256mb.

2008-04-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-handler-cache.c: roughly obey requested cache
	size.
	* gegl/gegl-debug.h: added CACHE debuging domain.

2008-04-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-config.c: New files for configuration object, that stores
	* gegl/gegl-config.h: the settings that GEGL determines its behavior
	from.

	* gegl/buffer/gegl-buffer.c: use swap from gegl-config
	* gegl/gegl-init.[ch]: initialize GeglConfig from
	default->environment->commandline->application, the control from the
	application might not be fully working for all properties.
	* gegl/gegl.h.in: added gegl_config()
	* gegl/operation/gegl-operation-processors.c:
	(gegl_class_register_alternate_vfunc): determine quality to use from
	gegl_config.
	* gegl/Makefile.am: added new files.

2008-04-23  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/color-reduction.c: added a color reduction
	operation from Hans Petter Jansson <hpj at copyleft.no>
	* AUTHORS: added Hans Petter Jansson.

2008-04-22  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: renamed gegl4float to g4float.
	* gegl/operation/gegl-operation-processors.c:
	(gegl_class_register_alternate_vfunc): code simplification and
	cleanup.

	Migrated with API:
	* operations/common/brightness-contrast.c:
	(gegl_chant_class_init):
	* operations/common/invert.c:
	(gegl_chant_class_init):
	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-porter-duff.rb:

2008-04-22  Øyvind Kolås  <pippin@gimp.org>

	* autogen.sh: tell that we're going to --enable-debug.
	* bin/gegl-node-editor.c: (gegl_node_editor_constructor): fix warning
	about size group by not unreffing them after first use.

2008-04-22  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: fix the component access macros.
	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_flush): store the
	dimensions in the header of the file.
	* gegl/buffer/gegl-buffer-save.c: (gegl_buffer_header_init): do
	not set height/width of buffer in header_init.
	* gegl/buffer/gegl-buffer-load.c: (load_info_destroy),
	(gegl_buffer_read_header): #if 0'd unused code.
	* gegl/buffer/gegl-buffer-private.h: added gegl_buffer_backend call.
	* gegl/buffer/gegl-buffer.c:
	* gegl/buffer/gegl-tile-backend-file.c: 
	(gegl_tile_backend_file_constructor): initialize the header here ..
	(flush): .. instead of here.

2008-04-22  Øyvind Kolås  <pippin@gimp.org>

	Make GeglBuffer able to use a serialized buffer directly as swap, as
	well as synchronize a buffer so that it can be resumed from swap.

	* gegl/buffer/gegl-buffer-load.c:
	(gegl_buffer_read_header): moved magic check to header read.
	(gegl_buffer_open): replaced by GeglBuffer being backed by a
			    serialized GeglBuffer.
	* gegl/buffer/gegl-buffer.c: (gegl_buffer_constructor),
	(gegl_buffer_class_init), (gegl_buffer_new_from_path):
	  made it possible to create buffer using a path.
	* gegl/buffer/gegl-tile-backend-file.c: (flush),
	(gegl_tile_backend_file_constructor): allow opening already
	written swap files.
	* gegl/buffer/gegl-tile-backend.h: provide some private storage to
	store a pointer to the header used to read in a buffer.

2008-04-22  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-index.h: added gegl_buffer_read_header and
	gegl_buffer_read_index declarations.
	* gegl/buffer/gegl-buffer-load.c: 
	(gegl_buffer_read_header), (read_block), (gegl_buffer_read_index),
	(gegl_buffer_open): refactored to make reusable.
	* gegl/buffer/gegl-buffer-private.h: added tile-width and tile-height
	properties.
	* gegl/buffer/gegl-buffer.c: (get_property), (set_property),
	(gegl_buffer_class_init), (gegl_buffer_init): added properties.
	* gegl/buffer/gegl-tile-handler-cache.c: indentation.

2008-04-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-utils.c: removed unused static declarations.

2008-04-21  Øyvind Kolås  <pippin@gimp.org>

	Removed/disabled misc bits of broken mp code that snuck into svn.

	* gegl/graph/gegl-node.c: (gegl_node_get_bounding_box):
	* gegl/process/Makefile.am:
	* gegl/process/gegl-eval-mgr.c: (gegl_eval_mgr_apply):

2008-04-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: made USE_GCC_VECTORS define possible to check
	with both #if and #ifdef.
	* operations/common/brightness-contrast.c: renamed process_sse to
	process_gcc_vectors.

2008-04-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: enable Gegl4float type when compiling with gcc,
	added more macros for working with these vectors including
	Gegl4floatR(vector) and GBA versions to access individual components.

	* gegl/operation/gegl-operation-processors.c:
	(gegl_class_register_alternate_vfunc): enable gcc-vectors for good
	setting.

	* operations/common/brightness-contrast.c: (process_sse),
	(gegl_chant_class_init):
	* operations/common/invert.c: (process_sse),
	(gegl_chant_class_init):
	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-porter-duff.rb: Simplified syntax used
	gcc vectors.

2008-04-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: removed mutex.
	* gegl/buffer/gegl-buffer-load.c: added asserts.
	* gegl/buffer/gegl-buffer-index.h: indentation, added revision,
	reduced size of tile entries to 64bytes. (strictly speaking, padding
	should only be needed for the header with this format, since the sizes
	of blocks on disk are specified (and you should now the sizes of the
	structs you are reading into to avoid reading too much appended
	properties you do not know how to handle.

2008-04-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.c: (gegl_operation_class_init):
	indentation.

2008-04-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-file.c: (file_entry_read),
	(file_entry_write), (file_entry_new), (write_header),
	(write_block), (flush), (finalize),
	(gegl_tile_backend_file_constructor): added debug notes.

2008-04-20  Øyvind Kolås  <pippin@gimp.org>

	* autogen.sh: pass --enable-debug when autogen is used.
	* configure.ac: added check for --enable-debug added sse and mmx
	* gegl/gegl-debug.h: debug infrastructure like the one in clutter.
	* gegl/gegl-init.h: added gegl_get_debug_enabled().
	* gegl/gegl-init.c: (gegl_post_parse_hook), (gegl_arg_debug_cb),
	(gegl_arg_no_debug_cb), (gegl_get_debug_enabled): added debug
	infrastructure.
	* gegl/gegl-utils.[ch]: removed old unused log infrastructure.

2008-04-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-share.c: make compiles with multiprocessors
	work again (it still doesn't work properly though).

2008-04-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-access.c: (gegl_buffer_flush): invoke the
	flush command for the tile infrastructure.
	* gegl/buffer/gegl-buffer-index.h: include guards, and added some of
	the new private functions from gegl-buffer-save.c
	* gegl/buffer/gegl-buffer-load.c: (seekto), (read_header),
	(read_block), (gegl_buffer_load): made the loader a bit more tolerant
	to nonsequential files, not fully tested.
	* gegl/buffer/gegl-buffer-private.h: moved gegl_buffer_flush() ..
	* gegl/buffer/gegl-buffer.h: .. here
	* gegl/buffer/gegl-buffer-save.c: (gegl_tile_entry_new),
	(gegl_tile_entry_destroy), (save_info_destroy),
	(gegl_buffer_header_init), (gegl_buffer_save): made some of the struct
	preparation code sharable.
	* gegl/buffer/gegl-tile-backend-file.c: make use of shared
	types from gegl-buffer-index.h for the tile index.
	* gegl/buffer/gegl-tile-handler-cache.c: (command): tell all tiles in
	our cache to store themself.
	* gegl/buffer/gegl-tile-handler-log.c: added flush command.
	* gegl/buffer/gegl-tile-source.h: added flush command.

2008-04-19  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor-optype.c: (chain_in_operation): removed properties popup
	when entering a new op through the "location bar".

2008-04-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-load.c: (read_header), (read_block),
	(load_info_destroy), (gegl_buffer_load):
	* gegl/buffer/gegl-buffer-save.c: (write_block),
	(save_info_destroy), (gegl_buffer_save): ported to GIO

2008-04-19  Sven Neumann  <sven@gimp.org>

	* operations/common/brightness-contrast.c: formatting.

2008-04-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-index.h: new file with structures for on
	disk serialization of indexes for tiles in files/on swap.
	* gegl/buffer/gegl-buffer-save.[ch]: changed to use new structures
	large amount of sanity code added.
	* gegl/buffer/gegl-buffer-load.[ch]: adapted to use new structures.
	* gegl/buffer/gegl-buffer-private.h: some stuff moved from here to
	index.
	* gegl/buffer/Makefile.am: added gegl-buffer-index.h

2008-04-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-tiledir.c:
	* gegl/buffer/gegl-tile-backend-tiledir.h:
	* gegl/gegl-init.c: (gegl_exit): forgot in rename session.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-gio-tiles.c:
	* gegl/buffer/gegl-tile-backend-gio-tiles.h: renamed to:
	* gegl/buffer/gegl-tile-backend-tiledir.c:
	* gegl/buffer/gegl-tile-backend-tiledir.h:

	* gegl/buffer/gegl-tile-backend-swapfile.c:
	* gegl/buffer/gegl-tile-backend-swapfile.h: renamed to:
	* gegl/buffer/gegl-tile-backend-file.c:
	* gegl/buffer/gegl-tile-backend-file.h:

	* gegl/buffer/Makefile.am:
	* gegl/buffer/gegl-buffer-access.c:
	* gegl/buffer/gegl-buffer-save.c:
	* gegl/buffer/gegl-buffer-save.h:
	* gegl/buffer/gegl-buffer.c: 
	* gegl/buffer/gegl-tile-backend.h:
	* gegl/buffer/gegl-tile-handler-cache.c:
	* gegl/buffer/gegl-tile-source.h:
	* gegl/buffer/gegl-tile-storage.c:  updated accordingly.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-utils.c: (gegl_malloc), (gegl_free): modified custom
	aligned malloc to reserve allocation + align + sizeof(pointer) and
	store the underlying malloc one pointer in front of the returned
	buffer.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-utils.c: (gegl_free): start looking for free marker one
	byte in front of allocation.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-handler-cache.h: moved instance struct ..
	* gegl/buffer/gegl-tile-handler-cache.c: .. to c file since it is all
	private and we do not expect subclasses any time soon.
	(dispose): only dispose tiles belonging to this cache instance
	* gegl/buffer/gegl-tile-handler-log.c: (command): improved formatting.
	* gegl/buffer/gegl-tile-storage.c: (gegl_tile_storage_constructor):
	  added GEGL_TILE_LOG as an environment flag to turn on the commands
	  communicated to the backend.
	* gegl/buffer/gegl-tile.c:
	  (gegl_tile_store): bail early if rev==stored_rev.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-swapfile.[ch]: ported to GIO

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* autogen.sh: add SSE_EXTRA_CFLAGS to CFLAGS.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-processors.c:
	(gegl_class_register_alternate_vfunc): added new more general function
	for runtime overriding of perclass vfuncs, that takes a pointer to the
	class structure and the vfunc to operate on.
	(gegl_operation_class_add_processor): use the new internal function
	internally (still uses hard-coded logic for the GEGL op base classes
	to look up the vfunc pointer.)

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/brightness-contrast.c: (process_sse):
	* operations/common/invert.c: (process_sse): make use of stack
	allocated vector constants.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* operations/generated/other-blend.rb: added gcc-vectorized versions
	of the src-over aliases 'over' and 'normal'

2008-04-18  Manish Singh  <yosh@gimp.org>

	* operations/generated/svg-12-porter-duff.rb: Generate code that
	builds with the non-USE_SSE case too.

	* operations/Makefile-operations.am: Include other CPP flag variables
	so -DHAVE_CONFIG_H gets picked up.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* operations/Makefile-operations.am: add SSE flags for compilation of
	opertions (gcc seems to translate the vector code into non sse code
	when sse compilation is not enabled.)

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: added convenience macros for one, zero, half as
	well as an on stack constructor for constant vectors.
	* operations/generated/svg-12-porter-duff.rb: added SSE versions of
	porter duff ops.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/invert.c: (process_sse): store the alpha in a
	temporary variable since gegl might pass in_buf == out_buf.

2008-04-18  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: added mmx and cpu detection.
	* gegl/Makefile.am:
	* gegl/gegl-cpuaccel.[ch]: added from GIMP.
	* gegl/gegl-plugin.h: include config.h when compiling in-tree (to
	allow checking for USE_SSE in ops.
	* gegl/gegl-utils.[ch]: (gegl_malloc), (gegl_free): added malloc and
	free that aligns on 16byte boundaries.
	* gegl/operation/gegl-operation-point-composer.c:,
	* gegl/operation/gegl-operation-point-filter.c:
	  (process_inner): align allocated buffers on 16byte boundaries to
	  make it possible to process RGBA buffers using SSE.
	* gegl/operation/gegl-operation-processors.c: 
	(gegl_operation_class_add_processor): added category SSE that is
	autoenabled if sse support is compiled in and detected.

	* operations/common/invert.c: (process_sse), 
	* operations/common/brightness-contrast.c: (process_sse), 
	(gegl_chant_class_init): accelerate the invert operation with vector
	maths using SSE.
	(gegl_chant_class_init): accelerate the invert operation with vector
	maths using SSE.

2008-04-17  Øyvind Kolås  <pippin@gimp.org>

	Added infrastructure to support multiple process implementations in
	GEGL operations. Optimized versions can be added with either
	gegl_operation_class_add_processor (class, process_fast, "fast");
	by setting the environment variable GEGL_QUALITY to fast this
	alternate code path will be chosen.

	* gegl/operation/gegl-operation-processors.c:
	(gegl_operation_class_add_processor): added infrastructure.
	* gegl/operation/gegl-operation.h: added function prototype.
	* gegl/operation/Makefile.am: added new file.

	* operations/common/invert.c: (process_fast): added implementation
	with vertical artifacts.
	(gegl_chant_class_init): register the fast version.

2008-04-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: split out bits of functionality to the
	two files below:
	* gegl/buffer/gegl-buffer-access.c: (pset), (pget),
	(gegl_buffer_flush), (gegl_buffer_iterate), (gegl_buffer_set),
	(gegl_buffer_get_scaled), (resample_nearest), (box_filter),
	(resample_boxfilter_u8), (gegl_buffer_get),
	(gegl_buffer_get_abyss), (gegl_buffer_sample),
	(gegl_buffer_sample_cleanup):
	* gegl/buffer/gegl-buffer-share.c: (gegl_buffer_share),
	(gegl_buffer_make_uri), (gegl_buffer_open):

	* gegl/buffer/Makefile.am: updated.

2008-04-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-backend-ram.c: (ram_entry_read),
	(ram_entry_write): s/ramcpy/memcpy/g
	* gegl/gegl-init.c: (gegl_exit): updated api hooks that
	use internal GeglBuffer API for debug output.

2008-04-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/*: Mass rename and typename refactoring.

2008-04-16  Øyvind Kolås  <pippin@gimp.org>

	Made the tile caching in GeglBuffer work more correctly, earlier
	completely fresh tiles as well as generated zoom tiles needed to
	be written to backend/swap before being re-read into the cache.

	Now the code uses a global queue for the tile cache, this can later
	be changed to properly gauge the amount of memory used by the cache
	(shared data should be taken into account then).

	* gegl/buffer/gegl-buffer-load.c:
	* gegl/buffer/gegl-buffer-save.c: fixed includes.
	* gegl/buffer/gegl-buffer-private.h: makde GeglBuffer be a subclass
	of GeglHandler not GeglHandlers.
	* gegl/buffer/gegl-buffer.c: do not create buffers via gegl-allocator
	but create a new storage for each toplevel buffer.
	* gegl/buffer/gegl-handler-cache.[ch]: made all tile caches share a
	global queue.

	* gegl/buffer/gegl-handler-zoom.c: (get_tile):
	* gegl/buffer/gegl-handler-empty.c: (get_tile): add capability to add
	newly created tiles to the relevant tile cache. (for now the cache
	is fetched via g_object_get_data (empty. "cache")

	* gegl/buffer/gegl-storage.c: (gegl_storage_constructor): set cache
	data on empty and zoom handlers.
	* gegl/buffer/gegl-tile.c: (gegl_tile_void): set storage to NULL so
	that a voided tile will not be written to storage.
	* gegl/gegl-init.c: (gegl_exit): call gegl_tile_cache_destroy to
	destroy the global cache queue upon GEGL shutdown.

	* gegl/buffer/gegl-buffer-allocator.c: removed
	* gegl/buffer/gegl-buffer-allocator.h: removed
	* gegl/buffer/Makefile.am:  removed reference to
	gegl-buffer-allocator.*

2008-04-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-gio.c: (finalize): fixed code to nuke
	buffer dir and tile files.

2008-04-15  Sven Neumann  <sven@gimp.org>

	* configure.ac: require glib >= 2.16.1.

2008-04-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-storage.c: remove idle swapper in finalize.

2008-04-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile-gio.c: (gio_entry_read), (gio_entry_write):
	use g_input_stream_read_all and g_output_stream_write_all.

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-storage.c: do not use the experimental GIO swap
	backend by default.

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-handler-cache.c: removed unused function.

	* operations/affine/affine.c: (process):
	* operations/core/shift.c: (process): updated to new property name
	(source not provider).

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	s/Provider/Source/g s/provider/source/g s/PROVIDER/SOURCE/g

	* gegl/buffer/Makefile.am:
	* gegl/buffer/gegl-buffer-allocator.c:
	* gegl/buffer/gegl-buffer-load.c: 
	* gegl/buffer/gegl-buffer-private.h:
	* gegl/buffer/gegl-buffer-save.c:
	* gegl/buffer/gegl-buffer-types.h:
	* gegl/buffer/gegl-buffer.c: 
	* gegl/buffer/gegl-handler-cache.c:
	* gegl/buffer/gegl-handler-empty.c:
	* gegl/buffer/gegl-handler-log.c:
	* gegl/buffer/gegl-handler-zoom.c:
	* gegl/buffer/gegl-handler.c: 
	* gegl/buffer/gegl-handler.h:
	* gegl/buffer/gegl-handlers.c:
	* gegl/buffer/gegl-handlers.h:
	* gegl/buffer/gegl-provider.c:
	* gegl/buffer/gegl-provider.h:
	* gegl/buffer/gegl-source.c: 
	* gegl/buffer/gegl-source.h:
	* gegl/buffer/gegl-storage.c: 
	* gegl/buffer/gegl-tile-backend.c:
	* gegl/buffer/gegl-tile-backend.h:
	* gegl/buffer/gegl-tile-disk.c:
	* gegl/buffer/gegl-tile-gio.c:
	* gegl/buffer/gegl-tile-mem.c:
	* gegl/buffer/gegl-tile.c: 

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	s/Message/Command/g s/message/command/g, added some macros to
	gegl_provider that works as wrappers to use the commands directly
	as if they were functions.

	* gegl/buffer/gegl-buffer-private.h:
	* gegl/buffer/gegl-buffer-save.c:
	* gegl/buffer/gegl-buffer.c:
	* gegl/buffer/gegl-handler-cache.c:
	* gegl/buffer/gegl-handler-empty.c:
	* gegl/buffer/gegl-handler-log.c:
	* gegl/buffer/gegl-handler-zoom.c:
	* gegl/buffer/gegl-handler.c:
	* gegl/buffer/gegl-handler.h:
	* gegl/buffer/gegl-handlers.c:
	* gegl/buffer/gegl-handlers.h:
	* gegl/buffer/gegl-provider.c:
	* gegl/buffer/gegl-provider.h:
	* gegl/buffer/gegl-storage.c:
	* gegl/buffer/gegl-tile-disk.c:
	* gegl/buffer/gegl-tile-gio.c:
	* gegl/buffer/gegl-tile-mem.c:
	* gegl/buffer/gegl-tile.c:

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	Changed the tile message/manipulation bus to return a gpointer instead
	of a gboolean for the calls.
	* gegl/buffer/gegl-provider.c: (message):
	* gegl/buffer/gegl-provider.h:
	* gegl/buffer/gegl-handler-cache.c: (message):
	* gegl/buffer/gegl-handler-log.c: (message):
	* gegl/buffer/gegl-handler-zoom.c:
	* gegl/buffer/gegl-handler.c: (gegl_handler_chain_up):
	* gegl/buffer/gegl-handler.h:
	* gegl/buffer/gegl-handlers.c:
	* gegl/buffer/gegl-storage.c: (gegl_storage_constructor):
	* gegl/buffer/gegl-tile-disk.c: (set_tile), (void_tile),
	(exist_tile), (message):
	* gegl/buffer/gegl-tile-gio.c: (set_tile), (void_tile), (message):
	* gegl/buffer/gegl-tile-mem.c: (message):
	* gegl/buffer/gegl-tile.c: (gegl_tile_store):

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor-optype.c: #include "editor-optype.h"
	* bin/editor.c: (play): remove cruft.
	* bin/gegl-store.h: add some protoypes for the DOM bridge
	used to implement the model.
	* tools/introspect.c: (escape): silenced warning.

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/Makefile.am:
	* gegl/buffer/gegl-id-pool.[ch]: added a data structure to keep track
	of reusable unique integer ids for pointers.

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-handler.[ch]: added new gegl_handler_chain_up
	method to abstract away the chain up call needed.
	* gegl/buffer/gegl-handler-cache.c: (message): chain up
	* gegl/buffer/gegl-handler-log.c: (get_tile), (message): chain up, and
	update log messages.
	* gegl/buffer/gegl-handler-zoom.c: (message): chain up
	* gegl/buffer/gegl-handlers.h: s/TILE_TRAITS/HANDLERS/g
	* gegl/buffer/gegl-storage.c: make it possible to enable logging
	through environment variables.
	* gegl/buffer/gegl-tile-gio.c: (message): added comment.
	* gegl/buffer/gegl-buffer.[ch]: general cleanup

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: back out accidental change.

2008-04-14  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: reverted to a single column summary.

2008-04-13  Øyvind Kolås  <pippin@gimp.org>

	Added a new tile backend that stores individual tiles as files using
	GIO.

	* gegl/buffer/gegl-tile-gio.[ch]: ADDED.
	* gegl/buffer/Makefile.am: added new files to build.
	* configure.ac: depend on GIO.

2008-04-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operations.h: do not include gegl-plugins.h,
	move a couple of internal function declarations ..
	* gegl/operation/gegl-operation.h:  .. here.
	* gegl/process/gegl-need-visitor.c: do not include gegl-operations.h

2008-04-13  Øyvind Kolås  <pippin@gimp.org>

	Stripped of lingering _STORE suffix that should have been removed in
	earlier naming changes.

	* gegl/buffer/gegl-provider.c:
	(gegl_provider_message):
	* gegl/buffer/gegl-storage.c:
	* gegl/buffer/gegl-tile-disk.h:
	* gegl/buffer/gegl-tile-mem.h:

2008-04-13  Étienne Bersac  <bersace03@gmail.com>

	* gegl/property-types/gegl-paramspecs.h: Include needed headers.

	* gegl/operation/gegl-operations.h: Include only installed header.

2008-04-11  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: made configuration summary use two columns.

2008-04-11  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: added AC_PROG_CXX, spotted by skejoe@irc

2008-04-09  Sven Neumann  <sven@gimp.org>

	* bin/gegl-tree-editor.c: made internal functions static.

	* bin/gegl-tree-editor-action.c: include its own header file.

	* bin/gegl-view.[ch]: added missing prototype.

2008-04-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: modified to not generate as many warnings about
	not priorly declared function prototypes.
	* gegl/gegl-dot.c: add function prototype.
	* gegl/gegl-init.c: do not add an erronious pkg-config
	lineto the makefile.
	* gegl/operation/gegl-operation.h: added protoype for
	gegl_list_properties()

	* operations/common/gaussian-blur.c:
	* operations/common/mblur.c:
	* operations/external/ff-load.c:
	* operations/external/png-load.c:
	* operations/external/png-save.c:
	* operations/external/svg-load.c: Fixed lack off function
	declarations/made functions static.

2008-04-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-handlers.c: removed unused static variable
	tprovider (spotted by Mark Czubin).

2008-04-06  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: added a prototype for
	gegl_swap_dir().

	* gegl/gegl-init.c: removed gegl_swap_dir() prototype here.

	* gegl/buffer/gegl-buffer-load.c: include gegl-buffer-load.h.

	* gegl/buffer/gegl-sampler-lanczos.c (lanczos_lookup): don't mix
	code and declarations.

2008-04-06  Sven Neumann  <sven@gimp.org>

	* acinclude.m4: added GEGL_DETECT_CFLAGS() macro.

	* configure.ac: adjust CFLAGS to get some extra compiler warnings.

2008-03-21  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/buffer/gegl-buffer.c (gegl_buffer_set): Make cleaner by
	making the function only have a single point of return.

2008-03-18  Mukund Sivaraman <muks@mukund.org>

	* operations/external/png-save.c:
	* bin/export.c: Close FILEs before returning

2008-03-05  Øyvind Kolås  <pippin@gimp.org>

	* operations/Makefile-common.am:
	* operations/Makefile-operations.am: set GEGL_SWAP=RAM when using gegl
	during build of docs / gallery to avoid writing swap files to the
	builders homedir.

2008-03-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: (gegl_node_blit): removed temporary buffer.

2008-03-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: (render_rectangle): merged buffered
	and unbuffered code paths.

2008-03-02  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: (gegl_buffer_set), (gegl_buffer_get),
	(gegl_buffer_sample): Added a big buffer lock that is a recursive
	static mutex for the multi processor case, this isn't neccesarily
	a final solution but it should be a better catch all for paralell
	experiments using GeglBuffers than the simplistic tile based locks.
	This is a stopgap measure until either the buffer code, or the tile
	backend code resides in a separate thread.

2008-03-01  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-tile.[ch]: (dispose), (gegl_tile_new),
	(gegl_tile_lock), (gegl_tile_unlock): Added a mutex being used when
	writing to tiles.

2008-03-01  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl-node-editor.[ch]: Decouple from the operation-switcher
	code, i.e. the code that knows about all existing
	GEGL-operations. This increases reusability of this component.

	* bin/gegl-tree-editor.c (property_editor_rebuild): Add the
	operation-switcher widget manually rather than having the
	operation-switcher being part of the node editor UI itself.

	* bin/editor-optype.c (popup_properties): Adapt to new
	GeglNodeEditor interface.

2008-03-01  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/module/geglmoduledb.c (gegl_module_db_dump_module): Modify
	to make the DUMP_DB-define work.

2008-03-01  Manish Singh  <yosh@gimp.org>

	* gegl.pc.in: remove GTHREAD_CFLAGS/LIBS references, since configure
	no longer generates them.

2008-02-29  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: modified --enable-mp, it is now disabled by default.
	* gegl/gegl-init.c: (gegl_init): initialize gthread if ENABLE_MP is
	set.
	* gegl/process/gegl-processor.c: (gegl_processor_work): do actual
	processing in auxiliary thread (currently lacks sufficient locking to
	work properly, but when it does work both the GEGL gui and GIMP are
	more responsive.)

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: post release bump of version to 0.0.17

========================== 0.0.16 released ==================================

2008-02-27  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: bumped version to 0.0.16, depend on babl 0.0.20.
	* NEWS: updated version referred to.

2008-02-27  Øyvind Kolås  <pippin@gimp.org>

	* operations/Makefile-common.am: link plug-ins to glib on platforms
	other than win32 as well. (babl is only linked in only on win32)

2008-02-27  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: updated.
	* operations/Makefile-common.am: only link plug-ins to glib, babl and
	friends on win32.

2008-02-27  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (gegl_post_parse_hook): lower BABL error tolerance
	to 0.0001.

2008-02-27  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/gaussian-blur.c: default to "iir" blur method since
	"fir" which is more accurate especially for low blur radiuses seems
	to shift the entire image down and to the left by 1 pixel.

2008-02-27  Michael Schumacher  <schumaml@cvs.gnome.org>

	* operations/affine/Makefile.am: use affine_la_LIBADD instead of
	LDADD. 

2008-02-27  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: depend on babl >= 0.0.18

2008-02-26  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl.h.in: added gegl_node_adopt_child and
	gegl_node_get_parent.
	* gegl/graph/gegl-node.c: (gegl_node_remove_child): added sanity
	assert.
	(gegl_node_get_parent), (gegl_node_adopt_child): added
	(gegl_node_new_child), (gegl_node_create_child): modified to allow a
	NULL parent argument to indicate creation of orphaned nodes.

2008-02-26  Øyvind Kolås  <pippin@gimp.org>

	Applied patch from Deji Akingunola that avoids using $(ext_dir)
	in some of the Makefile.am's which caused DESTDIR to be expanded
	twice. closed bug #518869.

	* operations/affine/Makefile.am:
	* operations/external/Makefile.am:
	* operations/workshop/external/Makefile.am:

2008-02-26  Tor Lillqvist  <tml@novell.com>

	* gegl/gegl.h
	* gegl/gegl.h.in: Rename gegl.h to gegl.h.in and add
	GEGL_MAJOR_VERSION, GEGL_MINOR_VERSION and GEGL_MICRO_VERSION
	macros the values of which are expanded by configure. Add
	declaration for gegl_get_version().

	* gegl/gegl-init.c (gegl_get_version): Implement.

	* confiure.ac: Use gegl.h.in in AC_CONFIG_SRCDIR(). Expand gegl/gegl.h.

	* autogen.sh: Use gegl.h.in here, too.

2008-02-26  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/save-pixbuf.c: (process): do not store linear
	light RGB but gamma corrected RGB (sRGB) for the pixbuf.

2008-02-25  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: fixed test for SDL so that the result can be used to
	conditionally compile the displayt op.

2008-02-25  Øyvind Kolås  <pippin@gimp.org>

	* operations/Makefile-operations-old.am: deleted.
	* operations/Makefile-common.am: added.
	* operations/Makefile.am: reflect above deletion/addition.

	* operations/Makefile-operations.am:
	* operations/affine/Makefile.am:
	* operations/external/Makefile.am:
	* operations/workshop/external/Makefile.am: factored out common
	bits and include Makefile-common.am.

2008-02-25  Øyvind Kolås  <pippin@gimp.org>

	* operations/Makefile-operations.am: added uninstall rule, link with
	libgegl on win32.

	* operations/affine/Makefile.am:
	* operations/external/Makefile.am:
	* operations/workshop/external/Makefile.am: link with libgegl on
	win32.

2008-02-25  Sven Neumann  <sven@gimp.org>

	* docs/gallery/Makefile.am: use a stamp file to avoid needless
	recreation of the image files.

2008-02-25  Øyvind Kolås  <pippin@gimp.org>

	Hopefully making the build more sane and more portable at the same
	time.

	* gegl/Makefile.am: added -export-dynamic to LD_FLAGS since the
	plug-ins needs to be able to link back with gegl at runtime
	* operations/Makefile-operations.am:
	* operations/external/Makefile.am: do not link with the gegl library.

2008-02-25  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-init.c (gegl_post_parse_hook): simplified.

2008-02-25  Sven Neumann  <sven@gimp.org>

	* docs/Makefile.am
	* docs/gallery/Makefile.am: don't execute binaries created in
	.libs directory but run the libtool wrapper script instead.
	Removed LD_PRELOAD hacks which are now not any longer needed.

	* tools/Makefile.am: minor cleanup.

2008-02-24  Étienne Bersac  <bersace03@laposte.net>

	* operations/common/perlin/Makefile.am (EXTRA_DIST): Distribute
	perlin.[hc] files.

	* operations/affine/Makefile.am (affine_la_SOURCES): Add header
	needed to build.

2008-02-22  Michael Natterer  <mitch@gimp.org>

	* operations/Makefile-operations.am
	* operations/affine/Makefile.am
	* operations/external/Makefile.am: clean up includes.

2008-02-22  Sven Neumann  <sven@gimp.org>

	* operations/affine/affine.c: do case-sensitive string comparisons.

2008-02-22  Sven Neumann  <sven@gimp.org>

	* configure.ac
	* operations/external/Makefile.am: added check for GdkPixbuf and
	pass the proper flags to the compiler and linker.

2008-02-22  Michael Natterer  <mitch@gimp.org>

	* svg_huerotate.c
	* svg_luminancetoalpha.c
	* svg_matrix.c
	* svg_saturate.c: renamed...

	* svg-huerotate.c
	* svg-luminancetoalpha.c
	* svg-matrix.c
	* svg-saturate.c: ...to not have underscores.

2008-02-22  Michael Natterer  <mitch@gimp.org>

	* operations/common/Makefile.am: use the new makefile so they work
	on darwin.

2008-02-22  Michael Natterer  <mitch@gimp.org>

	* operations/external/Makefile.am: use '-' instead of '_' in
	module names.

2008-02-22  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/Makefile.am: the text op depends on pangocairo
	not pango and cairo.

2008-02-22  Øyvind Kolås  <pippin@gimp.org>

	* operations/common/Makefile.am:
	* operations/workshop/external/Makefile.am: ADDED.

2008-02-22  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/min-envelope.c:
	* operations/workshop/max-envelope.c: removed.

2008-02-22  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/c2g.c:
	* operations/workshop/envelopes.h:
	* operations/workshop/grey.c:
	* operations/workshop/mblur.c:
	* operations/workshop/stress.c: Moved these to ../common

2008-02-22  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: added operations/workshop/external/Makefile to
	generated makefiles.
	* operations/workshop/ff-save.c:
	* operations/workshop/gluas.c:
	* operations/workshop/gtk-display.c:
	* operations/workshop/line-profile.c: moved into external subdir.

2008-02-22  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac:
	* operations/Makefile.am: moved most ops from misc directories into
	a common directory for gegl ops that do not have extra depenencies.

2008-02-22  Øyvind Kolås  <pippin@gimp.org>

	* operations/external/Makefile.am: added a new libtooled makefile for
	operations with external dependencies.
	* operations/io/Makefile.am: trimmed away unused cruft.

	* operations/io/display.c:
	* operations/io/exr-load.cpp:
	* operations/io/ff-load.c:
	* operations/io/jpg-load.c:
	* operations/io/pixbuf.c:
	* operations/io/png-load.c:
	* operations/io/png-save.c:
	* operations/io/save-pixbuf.c:
	* operations/io/svg-load.c:
	* operations/render/text.c: moved ..
	* operations/external/: .. here

2008-02-22  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac:
	* operations/Makefile.am:
	* operations/external: added new directory for ops with external
	dependencies.

2008-02-21  Øyvind Kolås  <pippin@gimp.org>

	* operations/affine/Makefile.am: it is libtools job to add -fPIC.

2008-02-21  Øyvind Kolås  <pippin@gimp.org>

	* operations/Makefile-operations.am: strip away relink_command line
	from libtool archive, when present, making libtool not think it needs
	to relink the library when installing.

	* operations/blur/Makefile.am:
	* operations/color/Makefile.am:
	* operations/core/Makefile.am:
	* operations/enhance/Makefile.am:
	* operations/generated/Makefile.am:
	* operations/meta/Makefile.am:
	* operations/svg/Makefile.am:
	* operations/transparency/Makefile.am: use the new makefile since it
	now works on linux again.

2008-02-21  Michael Natterer  <mitch@gimp.org>

	* operations/blur/Makefile.am
	* operations/color/Makefile.am
	* operations/core/Makefile.am
	* operations/enhance/Makefile.am
	* operations/generated/Makefile.am
	* operations/meta/Makefile.am
	* operations/svg/Makefile.am
	* operations/transparency/Makefile.am: include the old makefile,
	the new one doesn't work properly on linux :-( More tomorrow.

2008-02-21  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/affine/Makefile.am: Modified to use libtool.

2008-02-21  Michael Natterer  <mitch@gimp.org>

	* configure.ac: uncomment AM_DISABLE_STATIC.

	* operations/Makefile-operations-old.am: the operations makefile
	as it used to be.

	* operations/Makefile.am: distribute it.

	* operations/affine/Makefile.am
	* operations/io/Makefile.am
	* operations/render/Makefile.am: include it. These directories
	build on darwin but the modules are not found.

	* operations/Makefile-operations.am: hacked up to use libtool so
	it works on darwin and possibly many other platforms. Uninstall is
	totally broken at the moment.

2008-02-21  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/stress.c: (prepare): specify RGBA float for
	(cached) output buffer.

2008-02-21  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/ff-save.c: (process):
	* operations/io/ff-load.c: (prepare), (process): tweaked ops with
	with some hacky changes that at least make them interact with ffmpeg.

2008-02-21  Étienne Bersac  <bersace03@laposte.net>

	* operations/io/load-buffer.c: Readd the "buffer" input property
	lost in new chanting transition.

2008-02-20  Øyvind Kolås  <pippin@gimp.org>

	Reverted previous commit as it lead to really broken behavior on all
	platforms.
	* configure.ac:
	* operations/Makefile-operations.am:
	* operations/affine/Makefile.am:
	* operations/io/Makefile.am:
	* operations/render/Makefile.am:
	* operations/workshop/Makefile.am:

2008-02-20  Øyvind Kolås  <pippin@gimp.org>

	Modified makefiles to use libtool instead of directly driving CC.
	* configure.ac: changed darwin shrext to .so.
	* operations/Makefile-operations.am:
	* operations/affine/Makefile.am:
	* operations/io/Makefile.am:
	* operations/render/Makefile.am:
	* operations/workshop/Makefile.am:

2008-02-20  Øyvind Kolås  <pippin@gimp.org>

	* bin/Makefile.am: do not build the custom node-editor's due to
	portability issues.
	* configure.ac: do not generate bin/node-editors/Makefile
	* gegl/Makefile.am: gegl-old-chant.h has been removed.

2008-02-20  Øyvind Kolås  <pippin@gimp.org>

	* bin/Makefile.am: disable build of gegl-node-editors by
	default.

2008-02-20  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/c2g.c: modified to work again.

2008-02-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-old-chant.h: removed, migration to new chanting system
	completed.

2008-02-19  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/gtk-display.c: Updated to new chanting API.
	Reminder: This file has compiler warnings that need to be fixed.

2008-02-19  Sven Neumann  <sven@gimp.org>

	* operations/affine/affine.c (is_intermediate_node): use
	g_ascii_strcasecmp() instead of the deprecated g_strcasecmp().

2008-02-19  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/rawbayer-load.c: Updated to new chanting API.

2008-02-19  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-init.c: fixed broken filename handling.

2008-02-19  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-buffer-allocator.c (gegl_swap_dir): check for
	swap_dir != NULL before accessing it.

2008-02-19  Sven Neumann  <sven@gimp.org>

	* gegl/module/gegldatafiles.c
	* gegl/graph/gegl-node.c
	* gegl/graph/gegl-node-context.c
	* gegl/buffer/gegl-cache.c
	* gegl/buffer/gegl-tile-mem.c
	* gegl/buffer/gegl-buffer.c: organized includes.

	* gegl/buffer/gegl-buffer-load.c
	* gegl/buffer/gegl-buffer-save.c: fixed error handling.

2008-02-19  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-buffer-allocator.c (gegl_swap_dir): rewritten
	in a portable way.

2008-02-19  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-handler.c
	* gegl/buffer/gegl-handlers.c
	* gegl/buffer/gegl-storage.c
	* gegl/buffer/gegl-tile-mem.c
	* gegl/buffer/gegl-tile.c
	* gegl/property-types/gegl-color.c
	* gegl/property-types/gegl-curve.c
	* gegl/property-types/gegl-vector.c: organized includes.

2008-02-19  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-tile-disk.c: organized includes, removed
	trailing whitespace, fixed error handling and indentation.

2008-02-18  Manish Singh  <yosh@gimp.org>

	* configure.ac: fix Lua configure check.

2008-02-18  Michael Schumacher  <schumaml@cvs.gnome.org>

	* gegl/buffer/gegl-tile-disk.c (disk_entry_read): removed debug
	output.	Define O_BINARY if it isn't defined yet.

2008-02-18  Michael Schumacher  <schumaml@cvs.gnome.org>

	* gegl/buffer/gegl-tile-disk.c (gegl_tile_disk_constructor): open
	the file descriptor in binary mode.

2008-02-18  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/generated/Makefile.am: Remove generated .c
	files for maintainer-clean.

2008-02-18  Michael Schumacher  <schumaml@cvs.gnome.org>

	* operations/workshop/envelopes.h (compute_luts): replaced non-portable
	random()*... by suitable g_rand_double_range calls(). 
	Fixes bug #517296. 

2008-02-18  Kevin Cozens  <kcozens@cvs.gnome.org>

	* configure.ac: Check for Lua 5.1.0 or newer.

2008-02-18  Sven Neumann  <sven@gimp.org>

	* configure.ac: use G_DISABLE_DEPRECATED for GLib version < 2.15.

2008-02-18  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-init.c: never include gi18n.h from a library, use
	g18n-lib.h instead.

2008-02-18  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/gegl-xml.c: Include gegl.h to get rid of
	gegl_list_properties() warning.

2008-02-18  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/gegl-init.c: Include gi18n.h to get rid of bindtextdomain()
	warning.

2008-02-18  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/mandelbrot.c: Fixed declaration of process().

2008-02-18  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/buffer/gegl-buffer.c
	* gegl/buffer/gegl-buffer-allocator.c:
	Cast appropriately when passing around Babl formats. Fixes some
	harmless compiler warnings.

2008-02-18  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/grey.c: (operation_class_init): use
	GeglOperationPointFilter not GeglOperationFilter as our superclass in
	class_init.

2008-02-18  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/io/ff-load.c: Wrong argument was passed to init() in
	decode_frame(). Call init() in prepare() instead of using attach hook.

2008-02-18  Øyvind Kolås  <pippin@gimp.org>

	* operations/render/checkerboard.c: make the minimum allowed
	width/height of the checkerboard cells 1px.

2008-02-17  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/io/ff-load.c:
	* operations/workshop/ff-save.c:
	* operations/workshop/gluas.c:
	* operations/workshop/mblur.c: Updated to new chanting API.

2008-02-17  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/difference-of-gaussians.c: moved ..
	* operations/meta/difference-of-gaussians.c: .. here.

2008-02-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.c: (get_invalidated_by_change):
	removed a redirect that seems to interfere with how meta operations
	work.

2008-02-17  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/node-editors/level.c
	* bin/node-editors/whitebalance.c
	* bin/node-editors/unsharp-mask.c
	* bin/node-editors/gaussian-blur.c
	* bin/node-editors/brightness-contrast.c: Fix includes.

2008-02-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (gegl_init): do not intialize the threading
	support of glib, since we do not need it yet.

2008-02-17  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl-node-editor.h: Tiny fix to previous commit...

2008-02-17  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl-node-editor.[ch]: Clean up; Added missing G_BEGIN_DECLS
	in the header, aligned function prototypes and moved documentation
	of functions to the .c file.

2008-02-17  Martin Nordholts  <martinn@svn.gnome.org>

	Added gimp-bin-types.h and gimp-bin-gui-types.h and moved CLI and
	GUI typedefs there.

	* bin/gegl-bin-types.h
	* bin/gegl-bin-gui-types.h: The two new files.

	* bin/gegl.c
	* bin/export.[ch]
	* bin/editor.[ch]
	* bin/gegl-view.[nch]
	* bin/editor-optype.c
	* bin/gegl-store.[ch]
	* bin/gegl-options.[ch]
	* bin/gegl-tree-editor.[ch]
	* bin/gegl-node-editor.[ch]
	* bin/gegl-tree-editor-action.[ch]: Make sure config.h is included
	in .c files and also include the appropriate types-headers as well
	as organize the other #include:s. Remove unneccesary #include:s in
	header files. Don't include the system-gegl.h but the one in the
	source tree. Also did some other minor restructuring.

	* bin/Makefile.am: Added the two new files.

2008-02-17  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl-options.c (parse_args): Applied patch from Fredrik
	Alströmer that makes the --file and -i options to the gegl binary
	work.

2008-02-17  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl-tree-editor.c: Remove obsolete extern declaration.

2008-02-17  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/editor-optype.c: General cleanup and added static function
	proptotypes.

2008-02-16  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/editor-optype.h: New include file to contain the
	gegl_typeeditor_optype() function declaration (renamed from
	typeeditor_optype()).

	* bin/gegl-node-editor.c
	* bin/editor.c
	* bin/editor-optype.c: Use the new include file.

	* bin/Makefile.am: Added the new include file.

2008-02-16  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl-node-editor.c: General code cleanup.

2008-02-16  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl-node-editor.c: Removed dependency to editor.h. No need
	to directly call gegl_gui_flush() when changing operation
	properties for a node since the view will indirectly get updated
	anyway through the GeglNode::invalidated signal.

2008-02-16  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl-node-editor.c: Remove dependency to gegl-view.h.

2008-02-16  Øyvind Kolås  <pippin@gimp.org>

	* bin/node-editors/Makefile.am: link against the custom gui plug-ins
	of the gegl library against libgegl.

2008-02-16  Øyvind Kolås  <pippin@gimp.org>

	* operations/Makefile-operations.am: link the operations against
	libgegl as well.

2008-02-15  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: added check to determine how to compile plug-ins,
	a bit of cleanup.
	* bin/node-editors/Makefile.am:
	* operations/Makefile-operations.am: make it work on darwin as well.

2008-02-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-allocator.c: (gegl_buffer_alloc),
	(gegl_swap_dir): added swapdir lookup function, with empty GEGL_SWAP
	~/.gegl-0.0/swap is now used, set up a symlink to /tmp or /var/tmp if
	you want that kind of behavior. GEGL_SWAP=RAM causes gegl to use
	the old behavior of swapping to RAM.
	* gegl/gegl-init.c: (gegl_init)
	(gegl_exit): use gegl_swap_dir() to get at swap location for cleanup.
	(gegl_post_parse_hook): modified default module search path to
	include ~/.gegl-0.0/plug-ins/, also add a dummy Makefile to this dir
	if none exist.

2008-02-13  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (editor_set_gegl): Force the cache used as
	projection (autogenerated from the node attached to the GeglView) into
	using the pixel format "R'G'B' u8".

2008-02-13  Kevin Cozens  <kcozens@cvs.gnome.org>

	* gegl/gegl-chant.h: Added gegl_chant_parent_class and use it in
	gegl_chant_constructor() to work around borkness which has GType
	being defined differently in C++ than it is in C. Fixed error in
	compilation of exr-load.cpp op file.

	* operations/io/exr-load.cpp: Updated to new chanting API.

2008-02-13  Sven Neumann  <sven@gimp.org>

	* configure.ac
	* gegl/Makefile.am: define GEGL_LOCALEDIR.

	* gegl/gegl-init.c (gegl_init_i18n): call bindtextdomain().

2008-02-13  Sven Neumann  <sven@gimp.org>

	* configure.ac: define GETTEXT_PACKAGE here so it ends up being
	defined in config.h.

	* gegl/gegl-plugin.h: glib/gi18n-lib.h must not be included in
	a public header file.

	* gegl/module/geglmodule.c
	* operations/color/brightness-contrast.c: changed accordingly.

2008-02-12  Øyvind Kolås  <pippin@gimp.org>

	* NEWS:
	* gegl/buffer/gegl-buffer.c: (gegl_buffer_get):
	* operations/meta/layer.c: (prepare), (attach):

2008-02-12  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: start using gettext for translation.
	* gegl/module/geglmodule.c: disabled old hacks for gettext.

	* operations/color/brightness-contrast.c: marked strings for
	translation.

2008-02-12  Øyvind Kolås  <pippin@gimp.org>

	* tools/operation_reference.c: (main): adapt to new stylesheet.

2008-02-12  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/io/Makefile.am: Echo ff-load.so when building the op.

	* docs/gallery/Makefile.am: Use graphviz executable found when
	configure was run.

	* docs/Makefile.am: Use enscript executable found when configure was
	run. Don't install files generated by enscript if enscript was not
	found when configure was run. Install gegl-plugin.h.html if built.

	* configure.ac: No need to AC_SUBST items set in AM_CONDITIONAL.
	Fixed up detection of enscript and graphviz. Added asciidoc and
	graphviz to summary of optional dependencies.

2008-02-12  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-init.c (gegl_post_parse_hook): minor code cleanup.

2008-02-12  Tor Lillqvist  <tml@novell.com>

	* gegl/gegl-init.c (gegl_post_parse_hook): Correct call of
	g_win32_get_package_installation_subdirectory() so that it
	actually finds the location of the gegl DLL, its current name
	being libgegl-0.0-0.dll.

2008-02-12  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-node.c (gegl_node_get_debug_name): don't pass
	NULL to g_snprintf(); some other cleanups.

2008-02-12  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.h: improved indentation.

2008-02-11  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/Makefile.am: removed site specific testing
	cflags.

2008-02-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/difference-of-gaussians.c:
	* operations/workshop/rawbayer-load.c: Updated to new chanting API.

2008-02-11  Sven Neumann  <sven@gimp.org>

	* configure.ac: added check for asciidoc.

	* docs/Makefile.am: only build index.html when asciidoc is available.

2008-02-11  Øyvind Kolås  <pippin@gimp.org>

	* AUTHORS: modified to adhere to ascii doc style.
	* configure.ac: added docs/index-static.txt to list of files to
	generate.
	* tools/create-reference.rb: modified to make toc be an id and not a
	class for CSS.

2008-02-10  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/meta/dropshadow.c:
	* operations/meta/tonemap.c:
	* operations/meta/unsharp-mask.c: Updated to new chanting API.

2008-02-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-source.[ch]: removed context argument
	from subclass specific process().
	* gegl/operation/gegl-operation.h: documentation++.
	* gegl/gegl-plugin.h: updated duplicated bits from headers.
	* gegl/gegl-old-chant.h: updated to reflect changes in API (note that
	the new gegl-chant.h didn't need changes when the classes used change
	:)).

	* operations/render/checkerboard.c:
	* operations/render/color.c:
	* operations/render/fractal-explorer.c:
	* operations/render/noise.c:
	* operations/render/text.c:
	* operations/io/jpg-load.c:
	* operations/io/ff-load.c:
	* operations/io/exr-load.cpp:
	* operations/io/png-load.c: updated to new api.
	* operations/io/svg-load.c: request the pixelformat in prepare,
	updated to new api.

	* operations/io/raw-load.c:
	* operations/io/load-buffer.c:
	* operations/io/magick-load.c:
	* operations/render/introspect.c:
	* operations/io/pixbuf.c: override the process of GeglOperation
	directly, since these chear and don't write into a provided buffer
	(if possible, this should be changed).

2008-02-10  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/io/load-buffer.c:
	* operations/io/magick-load.c:
	* operations/io/raw-load.c: Updated to new chanting API.

2008-02-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: renamed dummy_filler to chant_data, this means
	that operations implemented with the chanting framework has access
	to a location to store a reference to data in the form of a user
	struct that is created on demand and properly cleaned up in finalize.
	The pointer should be accesed like the chanted properties like:
	    o->chant_data.

2008-02-10  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/io/display.c: Updated to new chanting API.

2008-02-10  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: updated default composition/splash with a new one.

2008-02-10  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/graph/gegl-node.[ch]
	* gegl/gegl.h: Make gegl_node_get_operation() take a const node.

2008-02-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.[ch]: moved
	gegl_operation_set_source_region() ..
	* gegl/operation/gegl-operations.c: .. here and made static.
	* gegl/gegl-plugin.h: updated copy from gegl-operation.h

2008-02-09  Øyvind Kolås  <pippin@gimp.org>

	xchg get_required_for_output, get_invalidated_by_change (wrong
	way around i previous commit.)

	32 files changed, 232 insertions(+), 200 deletions(-)

2008-02-09  Øyvind Kolås  <pippin@gimp.org>

	%s/adjust_result_rect/get_cached_region/

	* gegl/gegl-plugin.h:
	* gegl/operation/gegl-operation-source.c:
	(gegl_operation_source_class_init), (get_cached_region):
	* gegl/operation/gegl-operation.c:
	(gegl_operation_get_cached_region):
	* gegl/operation/gegl-operation.h:
	* gegl/process/gegl-cr-visitor.c:
	* operations/render/checkerboard.c:
	* operations/render/color.c:
	* operations/render/fractal-explorer.c:
	* operations/render/noise.c:

2008-02-09  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.c: removed accidental space.
	* operations/io/exr-load.cpp: did replacement for the C++ op as well.

2008-02-09  Øyvind Kolås  <pippin@gimp.org>

	%s/get_defined_region/get_bounding_box/g
	%s/compute_affected_region/get_required_for_output/g
	%s/compute_input_request/get_invalidated_by_change/g

	53 files in 12 dirs

2008-02-09  Øyvind Kolås  <pippin@gimp.org>

	* operations/io/pixbuf.c: modified to be capable of receiving varying
	pixbufs and invalidate properly.
	* operations/workshop/ff-save.c: indentation improvement.

2008-02-09  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/gegl.c (DEFAULT_COMPOSITION): Fix broken default graph, use
	right Fractal Explorer operation name.
	
2008-02-06  Michael Natterer  <mitch@gimp.org>

	* gegl/buffer/gegl-buffer.c: add tons of g_return_if_fail() move
	includes to the start of the file, some formatting fixes

	* operations/io/raw-load.c (get_defined_region): don't dereference
	a NULL buffer.

2008-02-06  Michael Natterer  <mitch@gimp.org>

	* operations/io/exr-load.cpp: remove nick because this one
	uses the old chanting.

2008-02-06  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-chant.h: added nick to chanted properties.

	* operations/blur/box-blur.c
	* operations/blur/gaussian-blur.c
	* operations/color/brightness-contrast.c
	* operations/color/contrast-curve.c
	* operations/color/levels.c
	* operations/color/mono-mixer.c
	* operations/color/threshold.c
	* operations/color/whitebalance.c
	* operations/core/clone.c
	* operations/core/convert-format.c
	* operations/core/crop.c
	* operations/core/shift.c
	* operations/enhance/bilateral-filter.c
	* operations/enhance/snn-mean.c
	* operations/generated/math.rb
	* operations/io/exr-load.cpp
	* operations/io/jpg-load.c
	* operations/io/load.c
	* operations/io/pixbuf.c
	* operations/io/png-load.c
	* operations/io/png-save.c
	* operations/io/save-buffer.c
	* operations/io/save-pixbuf.c
	* operations/io/svg-load.c
	* operations/meta/layer.c
	* operations/render/checkerboard.c
	* operations/render/color.c
	* operations/render/fractal-explorer.c
	* operations/render/introspect.c
	* operations/render/noise.c
	* operations/render/text.c
	* operations/svg/svg_huerotate.c
	* operations/svg/svg_luminancetoalpha.c
	* operations/svg/svg_matrix.c
	* operations/svg/svg_saturate.c
	* operations/transparency/opacity.c
	* operations/workshop/box-max.c
	* operations/workshop/box-min.c
	* operations/workshop/box-percentile.c
	* operations/workshop/c2g.c
	* operations/workshop/demosaic-bimedian.c
	* operations/workshop/demosaic-simple.c
	* operations/workshop/disc-percentile.c
	* operations/workshop/kuwahara-max.c
	* operations/workshop/kuwahara-min.c
	* operations/workshop/kuwahara.c
	* operations/workshop/lens-correct.c
	* operations/workshop/line-profile.c
	* operations/workshop/mandelbrot.c
	* operations/workshop/max-envelope.c
	* operations/workshop/min-envelope.c
	* operations/workshop/snn-percentile.c
	* operations/workshop/stress.c: changed accordingly.

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/demosaic-simple.c: (demosaic): fixed rowstride
	issue introduce by api migration.

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	Applied patch from Bradley Broom fixing bug #510371 - Images with
	"negative x origin are not displayed or output correctly"

	* gegl/buffer/gegl-buffer-allocator.c: (gegl_buffer_alloc): take the
	requested offset into account for the shift.

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* operations/enhance/bilateral-filter.c: adjust for recent changes
	in geometry due to api cleanups.

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* operations/enhance/snn-mean.c: (prepare): specify formats on pads,
	adjust for geometry of input buffer in innerloop.

2008-02-05  Michael Natterer  <mitch@gimp.org>

	* gegl/property-types/gegl-color.[ch]
	* gegl/property-types/gegl-curve.[ch]
	* gegl/property-types/gegl-vector.[ch]: remove #ifdefs around
	macros, make public declaration of param spec type macros
	consistent, remove duplicate macros from .c files, indentation.

2008-02-05  Michael Natterer  <mitch@gimp.org>

	* gegl/property-types/gegl-color.h: indentation.

	* gegl/property-types/gegl-color.c: replace g_assert() by
	g_return_if_fail().

	(gegl_param_spec_color): ref the default color.

	* gegl/property-types/gegl-vector.h: reorder stuff, cleanup.

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/Makefile.am: install gegl-color.h and gegl-curve.h
	* gegl/gegl-plugin.h: removed paramspec declarations.
	* gegl/gegl.h: #include <gegl-color.h> <gegl-curve.h> and
	<gegl-buffer.h>
	* gegl/property-types/gegl-color.h: added paramspec definitions.
	* gegl/property-types/gegl-curve.h: added paramspec definitions.

2008-02-05  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-utils.[ch]: removed gegl_canonicalize_identifier() again.

	* gegl/gegl-chant.h: removed name and nick canonicalization again.

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.h: removed comments making
	gegl_operation_get_format not publicly visible when including the
	header itself (like gegl-plugin.h currently does in the #if 1 case,.)

2008-02-05  Michael Natterer  <mitch@gimp.org>

	* gegl/graph/gegl-node.c: added tons of g_return_if_fail()
	and some minor cleanup.

2008-02-05  Michael Natterer  <mitch@gimp.org>

	* gegl/operation/gegl-operation.c: add G_STRFUNC to a warning and
	made precondition check warn nicer.

2008-02-05  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-utils.[ch]: added format function attributes to the log API.
	Declared local functions as static and removed unused code.

2008-02-05  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-utils.[ch]: sprinkled log functions with const qualifiers.

2008-02-05  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-utils.[ch]: added gegl_canonicalize_identifier().

	* gegl/gegl-chant.h: canonicalize property names used as name and
	nick for param specs.

2008-02-05  Sven Neumann  <sven@gimp.org>

	* operations/render/FractalExplorer.c: renamed to
	* operations/render/fractal-explorer.c

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* operations/generated/math.rb: provide default values for the
	generated ops (made multiply, divide and gamma have 1.0).

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: make GeglParamColor and it's type check public
	(quick hack for now, gegl-color.h should be installed).

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-node-editor-plugin.h: ripped string out of GeglModuleInfo
	struct.

2008-02-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: bumped the GEGL_MODULE_ABI_VERSION to 0x0006 and
	ripped out all the strings from the GeglModuleInfo struct.
	* gegl/gegl-chant.h:
	* gegl/gegl-old-chant.h:
	* gegl/module/geglmodule.c:
	* gegl/module/geglmodule.h:
	* operations/affine/module.c:

2008-02-04  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/gegl.h: Corrections to the overview description of
	properties.

2008-02-04  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/gegl.h: Add terminator-NULL to argument list of second
	gegl_node_link_many() example.

2008-02-04  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/gegl.h: Fixed typo in documentation.

2008-02-04  Øyvind Kolås  <pippin@gimp.org>

	* operations/color/brightness-contrast.c: improved comments describing
	how the chanting system is used.

2008-02-03  Øyvind Kolås  <pippin@gimp.org>

	* operations/Makefile-operations.am: allow ops to include config.h
	in distcheck by allowing includes from top build_dir.

2008-02-03  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: modified to include the headers for
	gegl-operation and it's subclesses (either by #include or directly
	through an ifdef, not sure which direction to take yet)
	* gegl/gegl-chant.h: modified to only include gegl-plugin.h
	* gegl/gegl-old-chant.h: .. here as well.

	* operations/affine/affine.h:
	* operations/color/remap.c:
	* operations/io/load.c:
	* operations/meta/layer.c:
	* operations/render/text.c:
	* tools/operation_reference.c: modified to not include the
	gegl-operation-foo.h's directly, but rely on them being made available
	by gegl-plugin.h

2008-02-02  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: updated with new changes.
	* AUTHORS: added Bradley Broom.

2008-01-31  Sven Neumann  <sven@gimp.org>

	* operations/io/magick-load.c (load_cache): cleanup of filename
	handling. Use g_get_tmp_dir() instead of hardcoding "/tmp".

2008-01-31  Sven Neumann  <sven@gimp.org>

	* operations/io/load.c (prepare): fixed error handling (again).

2008-01-31  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-node.c
	* gegl/property-types/gegl-color.c: don't use sprintf.

2008-01-31  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-dot.c
	* gegl/gegl-xml.c: don't use sprintf.

2008-01-31  Øyvind Kolås  <pippin@gimp.org>

	* operations/io/load.c: migrated to new chanting API.

2008-01-30  Øyvind Kolås  <pippin@gimp.org>

	* operations/render/text.c: migrated to new chanting API.

2008-01-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: updated gegl-chant for meta ops that do not need
	special handling of instance/class struct (not needed for the layer.c
	one for instance).

2008-01-30  Øyvind Kolås  <pippin@gimp.org>

	* operations/meta/layer.c: migrated to new chanting API.

2008-01-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.[ch]: removed
	gegl_operation_class_set_name, removed tickle virtual function.
	* gegl/gegl-old-chant.h: directly implement
	gegl_operation_class_set_name substitution.
	* operations/affine/chant.h: directly implement
	gegl_operation_class_set_name substitution.
	* gegl/gegl-plugin.h: increased GEGL_MODULE_ABI_VERSION to 0x05
	* operations/color/remap.c: (gegl_operation_remap_class_init): set
	operation_class->name directly instead of using deprecated function.

2008-01-29  Kevin Cozens  <kcozens@cvs.gnome.org>

	* bin/editor-optype.c:
	* bin/gegl-store.c: Use g_free() instead of free().

2008-01-29  Sven Neumann  <sven@gimp.org>

	* operations/workshop/hstack.c: define GEGL_CHANT_C_FILE to make
	it compile again.

	* operations/workshop/rawbayer-load.c (load_buffer): fixed string
	handling.

	* operations/workshop/box-max.c
	* operations/workshop/box-min.c
	* operations/workshop/c2g.c
	* operations/workshop/demosaic-bimedian.c
	* operations/workshop/demosaic-simple.c
	* operations/workshop/disc-percentile.c
	* operations/workshop/hstack.c
	* operations/workshop/kuwahara-max.c
	* operations/workshop/kuwahara-min.c
	* operations/workshop/kuwahara.c
	* operations/workshop/lens-correct.c
	* operations/workshop/line-profile.c
	* operations/workshop/max-envelope.c
	* operations/workshop/mblur.c
	* operations/workshop/min-envelope.c
	* operations/workshop/snn-percentile.c
	* operations/workshop/stress.c: use g_new() instead of g_malloc().

2008-01-29  Michael Natterer  <mitch@gimp.org>

	* gegl/operation/gegl-operation-area-filter.c
	* gegl/operation/gegl-operation-composer.c: #include stuff only
	at the beginning of the file, reorder some declarations and
	function definitions, indentation, spacing, blah.

2008-01-29  Sven Neumann  <sven@gimp.org>

	* operations/render/color.c
	* operations/render/text.c
	* operations/render/noise.c: use g_new() instead of g_malloc().

2008-01-29  Sven Neumann  <sven@gimp.org>

	* operations/enhance/bilateral-filter.c
	* operations/enhance/snn-mean.c
	* operations/io/ff-load.c: use g_new() instead of g_malloc().

	* operations/io/load.c (prepare): fixed bug in error handling.
	* operations/meta/layer.c (prepare): fixed the same bug here.

	* operations/io/raw-load.c (load_buffer): fixed string handling.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* operations/blur/box-blur.c
	* operations/blur/gaussian-blur.c
	* operations/color/mono-mixer.c
	* operations/color/remap.c
	* operations/color/stretch-contrast.c: use g_new() instead of
	g_malloc() for readability and type safety.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-node.[ch]: don't export gegl_node_signals array.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* gegl/module/geglmodule.c: allocate GeglModuleInfo using GSlice.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-xml.c (gegl_node_to_xml): allocate SerializeState on
	the stack.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-visitor.c: allocate GeglVisitInfo using GSlice.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* gegl/operation/gegl-extension-handler.c: use a
	value_destroy_func to manage the values stored in the hash-table.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* bin/gegl-store.c: formatting.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* gegl/process/gegl-processor.c (gegl_processor_render): plugged a
	memory leak.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-connection.[ch]: added gegl_connection_destroy()
	and GSlice-allocate the GeglConnection structs.

	* gegl/graph/gegl-node.c: changed accordingly.

2008-01-28  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-chant.h: Allocate the GeglChant0 struct using GSlice.
	Removed redundant G_IS_OBJECT() checks.

2008-01-28  Tor Lillqvist  <tml@novell.com>

	* gegl/operation/Makefile.am (OPERATIONS_headers): Fix typo:
	s/gegl-operations.c/gegl-operations.h/

2008-01-27  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/generated/blend.rb: Updated to new chanting API.

2008-01-27  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/blur/box-blur.c (prepare):
	* operations/blur/gaussian-blur.c (prepare): Set output buffer format.

2008-01-27  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/core/clone.c:
	* operations/core/convert-format.c:
	* operations/core/crop.c:
	* operations/core/shift.c:
	* operations/io/jpg-load.c:
	* operations/io/pixbuf.c:
	* operations/io/png-load.c:
	* operations/io/png-save.c:
	* operations/io/save-buffer.c:
	* operations/io/save-pixbuf.c:
	* operations/io/svg-load.c: Updated to new chanting API.

	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c:
	* operations/color/brightness-contrast.c
	* operations/color/invert.c
	* operations/color/mono-mixer.c
	* operations/color/stretch-contrast.c
	* operations/core/nop.c: Formatting changes.

2008-01-27  Øyvind Kolås  <pippin@gimp.org>

	Got rid of tickling, prepare should suffice for now.

	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c:
	* operations/enhance/bilateral-filter.c:
	* operations/enhance/snn-mean.c:
	* operations/workshop/Makefile.am:
	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c:
	* operations/workshop/box-percentile.c:
	* operations/workshop/c2g.c:
	* operations/workshop/demosaic-bimedian.c:
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/disc-percentile.c:
	* operations/workshop/kuwahara-max.c:
	* operations/workshop/kuwahara-min.c:
	* operations/workshop/kuwahara.c:
	* operations/workshop/max-envelope.c:
	* operations/workshop/min-envelope.c:
	* operations/workshop/snn-percentile.c:
	* operations/workshop/stress.c:

2008-01-26  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/Makefile-operations.am:
	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c: Formatting changes.

	* operations/workshop/box-percentile.c:
	* operations/workshop/c2g.c:
	* operations/workshop/demosaic-bimedian.c:
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/disc-percentile.c:
	* operations/workshop/grey.c:
	* operations/workshop/hstack.c:
	* operations/workshop/kuwahara.c:
	* operations/workshop/kuwahara-max.c:
	* operations/workshop/kuwahara-min.c:
	* operations/workshop/lens-correct.c:
	* operations/workshop/line-profile.c:
	* operations/workshop/mandelbrot.c:
	* operations/workshop/max-envelope.c:
	* operations/workshop/min-envelope.c:
	* operations/workshop/snn-percentile.c:
	* operations/workshop/stress.c: Updated to new chanting API.

2008-01-25  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: added GEGL_CHANT() casting macro for casting
	objects to the chanted instance structure.

2008-01-25  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/enhance/bilateral-filter.c:
	* operations/enhance/snn-mean.c:
	* operations/render/checkerboard.c:
	* operations/render/color.c:
	* operations/render/FractalExplorer.c:
	* operations/render/introspect.c:
	* operations/render/noise.c:
	* operations/svg/svg_huerotate.c:
	* operations/svg/svg_luminancetoalpha.c:
	* operations/svg/svg_matrix.c:
	* operations/svg/svg_saturate.c:
	* operations/transparency/opacity.c: Updated to new chanting API.

2008-01-25  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: fixed mistake in handling of boiler-plate for
	GeglOperationMeta.

2008-01-24  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-blend.rb:
	* operations/generated/svg-12-porter-duff.rb: Normalize _ to -
	in operation name.

2008-01-24  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/generated/math.rb:
	* operations/generated/svg-12-blend.rb: De-tabified.

	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-porter-duff.rb: Fixed error in
	generation of operation_class_init(). De-tabified.

2008-01-24  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/lens-correct.[ch]: added a lens correction
	operation from Bradley Broom <bmbrom@gmail.com>.
	* operations/workshop/demosaic-bimedian.c: updated bimedian filter.
	Also modified the files to use "gegl-old-chant.h" for the chanting
	for now.

2008-01-24  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/generated/math.rb:
	* operations/generated/other-blend.rb:
	* operations/generated/svg-12-blend.rb:
	* operations/generated/svg-12-porter-duff.rb: Updated to generate
	files which use the new chanting API.

2008-01-24  Øyvind Kolås  <pippin@gimp.org>

	* operations/blur/box-blur.c: #include <math.h> to quench compiler
	spew.

2008-01-24  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c: Minor formatting changes and
	function re-ordering for consistency with other updated op files.

	* operations/color/brightness-contrast.c:
	* operations/color/contrast-curve.c:
	* operations/color/invert.c:
	* operations/color/levels.c:
	* operations/color/mono-mixer.c:
	* operations/color/stretch-contrast.c:
	* operations/color/threshold.c:
	* operations/color/value-invert.c:
	* operations/color/whitebalance.c: Updated to new chanting API.

2008-01-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: fixed mistake in handling of boiler-plate for
	GeglOperationPointComposer's.

2008-01-23  Kevin Cozens  <kcozens@cvs.gnome.org>

	* bin/gegl-node-editor.c (type_editor_generic): Use the "changed"
	signal instead of "activate". Makes GEGL GUI more responsive to
	changes in property values.

	* gegl/gegl-chant.h: Deleted GEGL_CHANT_O #define in favour of
	GEGL_CHANT_PROPERTIES to avoid hiding what is being accessed.

	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c:
	* operations/color/mono-mixer.c:
	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c: Updated due to change in gegl-chant.h

2008-01-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: Made the chanting less operation specific.
	* operations/core/nop.c: port to new chant system.

	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c:
	* operations/color/invert.c:
	* operations/color/mono-mixer.c:
	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c: updated to new terser chant system.

2008-01-23  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/blur/gaussian_blur.c:
	* operations/workshop/box_max.c:
	* operations/workshop/box_min.c: updated to new chanting API.

2008-01-23  Øyvind Kolås  <pippin@gimp.org>

	* operations/color/mono-mixer.c: updated to new chanting API.

2008-01-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: use our own GEGL_DEFINE_DYNAMIC_OPERATION instead
	of hacking about with G_DEFINE_DYNAMIC_TYPE.
	* operations/blur/box-blur.c: update to new API.
	* operations/color/invert.c: update to new API.

2008-01-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: allocate and free the properties structure
	manually, tweak the define type macro to generate the class name
	taking the GEGL_CHANT_C_FILE into account.
	* operations/blur/box-blur.c: ported to new chanting API.
	* operations/color/invert.c: ported to new chanting API.

2008-01-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-chant.h: new version of gegl-chant, that overrides less
	of gobject in a slightly more readable manner.

2008-01-23  Øyvind Kolås  <pippin@gimp.org>

	* gegl/Makefile.am: added old-chant.h to list of sources.
	* gegl/gegl-old-chant.h: created a copy of gegl-chant.h
	* operations/*/*.c: include gegl-old-chant.h instead of gegl-chant.h

2008-01-22  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-pad.c (gegl_pad_get_depends_on): iterate over
	the list using a (GSList *) iter instead of an integer index.

	* gegl/buffer/gegl-buffer-save.c: count the tiles while adding
	them instead of requesting the list length.

2008-01-22  Øyvind Kolås  <pippin@gimp.org>

	Removed some public headers, the only way to get all the symbols
	and definitions needed for compiling gegl-plugins or other code
	needing acccess to types related to gegl plug-in infrastructure
	is now by including the catch-all gegl-plugin.h header.

	* gegl/Makefile.am: reduced number of installed headers.
	* gegl/module/geglmoduletypes.h: removed.
	* gegl/gegl-plugin.h: duplicate portions of private api to make it
	public. Moved operation abi version definition and geglmodule
	structure here.

	Modified the rest to accomodate change.
	* gegl/gegl-init.c:
	* gegl/gegl-types.h: 
	* bin/gegl-node-editor-plugin.h:
	* gegl/module/Makefile.am:
	* gegl/module/geglmodule.h:
	* gegl/module/geglmoduledb.c:
	* gegl/module/geglmoduledb.h:
	* gegl/operation/gegl-operation.h:
	* operations/affine/affine.c:
	* operations/affine/chant.h:
	* operations/affine/module.h:

2008-01-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: added some functions that are not present
	in the installed header files that some operations depends on.
	Removing warnings about undefined prototypes for functions.

2008-01-21  Øyvind Kolås  <pippin@gimp.org>

	* operations/io/magick-load.c: define gegl_node_get cache directly in
	file to silence warning about missing prototype.

2008-01-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-plugin.h: include operations/gegl-extension-handler.h as
	well.

	* operations/affine/module.c:
	* operations/color/remap.c:
	* operations/color/threshold.c:
	* operations/color/value-invert.c:
	* operations/core/clone.c:
	* operations/core/crop.c:
	* operations/core/nop.c:
	* operations/core/shift.c:
	* operations/io/load.c:
	* operations/meta/layer.c:
	* operations/render/introspect.c: modified to include an absolute
	minimum of headers directly and rather include either gegl-plugin.h
	or gegl-chant.h (which itself pulls in gegl-plugin.h, gegl-plugin.h
	pulls in gegl.h for most of the gegl related environment and adds
	the extra APIs provided for operation plug-ins.

2008-01-21  Øyvind Kolås  <pippin@gimp.org>

	Started work towards a gegl-plugin.h file which will be similar to
	gegl.h in that it duplicates and documents API from internal header
	files. This file might replace some of the now installed headers as
	we get closer to the next release.

	* gegl/Makefile.am: install gegl-plugin.h
	* gegl/gegl-plugin.h: replaced contents with the installed plugin-api
	related headers.
	* gegl/gegl-chant.h: rewrote to only include gegl-plugin.h
	* gegl/gegl.h: modified multi include guards.
	* gegl/graph/gegl-node.h: modified multi include guards.
	* gegl/operation/gegl-operation.h: added GeglConnection to set of
	types defined here (these typedefs should be moved to gegl-plugin.h)
	* bin/export.c:
	* operations/affine/affine.c: modified to build with gegl-plugin.h as
	the core include.

	* tools/Makefile.am:
	* bin/Makefile.am:
	* bin/node-editors/Makefile.am: modified include paths to respect
	needs of gegl-plugin.h

2008-01-21  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-handler-cache.[ch]: changed to use a GQueue
	instead of a GSList.

2008-01-21  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-buffer-load.c
	* gegl/buffer/gegl-buffer-save.c: don't append to linked lists.
	Instead prepend all items, then reverse the list.

2008-01-21  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-visitor.c (gegl_visitor_bfs_traverse): use
	GQueue instead of GSList when a double-ended queue is needed.

2008-01-21  Sven Neumann  <sven@gimp.org>

	* gegl/process/gegl-processor.c: redid the change that introduces
	the use of GSlice for GeglRectangle; this time without the bug.

2008-01-21  Michael Natterer  <mitch@gimp.org>

	* gegl/graph/gegl-node.h
	* gegl/process/gegl-eval-mgr.h: cosmetic.

	* gegl/buffer/gegl-sampler-cubic.h: no need to inlcude anything but
	the parent class; cleanup.

2008-01-21  Øyvind Kolås  <pippin@gimp.org>

	* operations/color/remap.c: trimmed down headers included to the
	publically installed subset (introduces some warnings).

2008-01-21  Øyvind Kolås  <pippin@gimp.org>

	* AUTHORS: added  Deji Akingunola
	* NEWS: appended more news for 0.0.16 release.

2008-01-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: (gegl_post_parse_hook): moved BABL_ERROR mangling
	of environment variable to be before babl_init().

2008-01-21  Øyvind Kolås  <pippin@gimp.org>

	First shot at installing headers making it possible to build external
	operations, either as plug-ins or static objects in an application
	using GEGL.

	* gegl/Makefile.am: added gegl-chant.h and module/geglmodule*.h to the
	set of headers to be installed in the gegl header base dir.
	* gegl/module/geglmodule.h: added comment about module ABI versions,
	and updated instruction on when this ABI should be incremented. (we
	should probably allow a range of ABIs, one to be incremented on ABI
	addition and the lower threshold to be incremented on ABI change.
	* gegl/module/geglmoduletypes.h: removed invalid header.
	* gegl/gegl-chant.h: added comment at top.
	* gegl/graph/gegl-pad.h: moved definition of GeglPadType ..
	* gegl/gegl-types.h: .. here, as well as reorganized this file a bit
	to guard against multiple inclusion.
	* gegl/gegl.h: added some guards against multiple inclusion.

	The rest of these files were changed to make them compile, there are
	still some warnings about undeclared functions being issued that needs
	sorting out.

	* gegl/buffer/gegl-buffer-allocator.c:
	* gegl/buffer/gegl-buffer-load.c:
	* gegl/buffer/gegl-buffer-save.c:
	* gegl/buffer/gegl-buffer.c:
	* gegl/buffer/gegl-handler-cache.c:
	* gegl/buffer/gegl-region-generic.c:
	* gegl/buffer/gegl-tile.c:
	* gegl/gegl-dot.c:
	* operations/Makefile-operations.am:
	* operations/color/mono-mixer.c:
	* operations/io/exr-load.cpp:
	* operations/io/load-buffer.c:
	* operations/io/load.c:
	* operations/io/png-save.c:
	* operations/io/save-pixbuf.c:
	* operations/render/checkerboard.c:
	* operations/render/introspect.c:

2008-01-20  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: reverted commit to use GSLice for
	GeglRectangle, the user gegl binary started crashing. (commandline
	processing that doesn't reset the rectangle on the processor still
	works fine though.)

2008-01-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c:
	* gegl/graph/gegl-node.c:
	* gegl/process/gegl-need-visitor.c: added #include gegl-operations.h
	since some of the used funcitonality moved there from gegl-operation.h

2008-01-19  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.[ch]: moved some code that doesn't
	belong in the base GeglOperation implementation,.
	* gegl/operation/gegl-operations.[ch]: .. here to a separate file
	pertaining to all operations.
	* gegl/operation/Makefile.am: added gegl-operations.[ch]

2008-01-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/Makefile.am: install operation header files in
	$(includedir)-0.0/operation/
	* gegl/gegl-module.h: do not include gegl-types.h
	* gegl/gegl-types.h: added some ad-hoc guards against multiple
	typedefs.
	* gegl/graph/gegl-node-context.c:
	* gegl/graph/gegl-node.c:
	* gegl/operation/gegl-operation-area-filter.c:
	* gegl/operation/gegl-operation-composer.c:
	* gegl/operation/gegl-operation-filter.c:
	* gegl/operation/gegl-operation-meta.c:
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c:
	* gegl/operation/gegl-operation-sink.c:
	* gegl/operation/gegl-operation-source.c:
	* gegl/operation/gegl-operation.c:
	* gegl/operation/gegl-operation.h:
	* operations/affine/module.c:
	* operations/color/remap.c:
	* operations/core/clone.c:
	* operations/core/crop.c:
	* operations/core/nop.c:
	* operations/core/shift.c: modified to compile with header files
	modified to allow the operation headers being installed.

2008-01-19  Sven Neumann  <sven@gimp.org>

	* gegl/operation/gegl-operation-meta.c: use GSlice for the
	Redirect struct.

2008-01-19  Sven Neumann  <sven@gimp.org>

	* gegl/property-types/gegl-vector.c: use GSlice here as well.

2008-01-19  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-buffer-load.c
	* gegl/buffer/gegl-buffer-save.c: use GSlice for GeglTileEntry.

2008-01-18  Kevin Cozens  <kcozens@cvs.gnome.org>

	* configure.ac: Changed library API version to be based on the
	major/minor number.

	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c: Use gegl_buffer_get_pixel_count()
	instead of getting width/height separately and doing the math.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-buffer-load.c
	* gegl/buffer/gegl-buffer-save.c
	* gegl/buffer/gegl-handler-cache.c
	* gegl/buffer/gegl-tile-disk.c
	* gegl/buffer/gegl-tile-mem.c
	* gegl/graph/gegl-node-context.c
	* gegl/gegl-instrument.c: use GSlice in some more places.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-storage.c (get_property): always set the value.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-tile-backend.c: made "tile-width",
	"tile-height" and "format" construct-only properties.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-buffer-load.c (gegl_buffer_load): fixed pointer
	type.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/gegl-xml.c (gegl_node_new_from_xml): destroy the hash
	table.  Allocate ParseData on the stack. Optimized use of GList.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* bin/gegl.c (main): removed a redundant call to g_strdup().

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-storage.c
	* gegl/buffer/gegl-buffer.c: minor cleanups, mainly formatting.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-tile-backend.h: don't needlessly use a void
	pointer for BablFormat.

	* gegl/buffer/gegl-tile-backend.c (get_property): actually
	implement the getter for the "format" property.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/buffer/gegl-tile.c: don't use GSlice for the tile data.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/process/gegl-processor.c: use GSlice for GeglRectangle.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* docs/Makefile.am
	* docs/gallery/Makefile.am: don't use export to pass environment
	variables, just pass them directly.

2008-01-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/Makefile.am:
	* gegl/gegl-init.c: made GEGL_PATH depend on libdir and not prefix,
	makes GEGL find it's ops also on 64bit systems. Patch from
	Deji Akingunola fixes bug #510038.

2008-01-18  Sven Neumann  <sven@gimp.org>

	* gegl/process/gegl-processor.c: moved variables to inner scopes
	and removed some redundant casts.

2008-01-17  Øyvind Kolås  <pippin@gimp.org>

	Added gegl/buffer to the include paths of quite a few makefiles.

	* bin/node-editors/Makefile.am:
	* gegl/Makefile.am:
	* gegl/graph/Makefile.am:
	* gegl/process/Makefile.am:
	* tools/Makefile.am:

2008-01-17  Øyvind Kolås  <pippin@gimp.org>

	Reorganized all installed header files to end up in the same top-level
	folder. Please clean out your installed gegl headers before doing 
	make install. External applications or libraries using GeglBuffer
	should strip the include down to <gegl-buffer.h>.

	* bin/Makefile.am:
	* bin/gegl-node-editor.c:
	* gegl/Makefile.am:
	* gegl/buffer/Makefile.am:
	* gegl/gegl.h:
	* gegl/operation/Makefile.am:
	* gegl/operation/gegl-operation.h:
	* gegl/property-types/Makefile.am:

2008-01-17  Michael Natterer  <mitch@gimp.org>

	* gegl/operation/gegl-operation-area-filter.h
	* gegl/operation/gegl-operation-composer.h
	* gegl/operation/gegl-operation-filter.h
	* gegl/operation/gegl-operation-meta.h
	* gegl/operation/gegl-operation-point-composer.h: remove all
	includes except the parent class (which includes everything we
	need).

2008-01-17  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/Makefile.am: applied modified patch from Deji
	Akingunola which fixes syntax of 'if' used in the ff-save target.

2008-01-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.h: removed unused defines.

2008-01-17  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/Makefile.am: applied patch from Deji Akingunola
	making the build of ff-save dependenton presence of ffmpeg libraries.

2008-01-17  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.h: prepend gegl/ to the include path
	for gegl/buffer/gegl-buffer.h which is needed when compiling against
	installed headers.

2008-01-16  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation.h: include "buffer/gegl-buffer.h"
	instead of "buffer/gegl-buffer-types.h" since the latter will not be
	installed and gegl-operation.h will be.

2008-01-16  Michael Natterer  <mitch@gimp.org>

	* operations/core/shift.c: minor indentation fix in class_init().

2008-01-16  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-node.c (gegl_node_get_bounding_box): don't leak id.

2008-01-15  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node-context.c: (gegl_node_context_get_target):
	Improve development debug message about mising format, and fall back
	to RGBA float if no format is specified on the output pad.

2008-01-13  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/demosaic-bimedian.c: Added a bimedian
	demosaicing filter contributed by Bradley Broom <bmbroom@gmail.com>.

2008-01-12  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/io/ff-load.c: Added video to GEGL_CHANT_CATEGORIES.

	* operations/workshop/demosaic-simple.c: Use prepare() to set
	format for output buffer.

2008-01-10  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/Makefile.am: Don't rm compiled operation files here.
	* operations/Makefile-operations.am: Delete them here.

	* operations/generated/Makefile.am: Added Ruby files to EXTRA_DIST.

2008-01-10  Sven Neumann  <sven@gimp.org>

	* operations/generated/Makefile.am: don't override automake
	targets, use MAINTAINERCLEANFILES instead.

2008-01-09  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/generated/Makefile.am: Remove generated .c files in
	maintainer-clean-generic.

	* gegl/gegl-chant.h: Removed context argument from GEGL_CHANT_COMPOSER.

	* operations/workshop/min-envelope.c:
	* operations/workshop/max-envelope.c:
	* operations/workshop/kuwahara.c:
	* operations/workshop/box-min.c:
	* operations/workshop/disc-percentile.c:
	* operations/workshop/c2g.c:
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/gluas.c:
	* operations/workshop/box-max.c:
	* operations/workshop/hstack.c:
	* operations/workshop/box-percentile.c:
	* operations/workshop/mblur.c:
	* operations/workshop/stress.c:
	* operations/workshop/kuwahara-min.c:
	* operations/workshop/line-profile.c:
	* operations/workshop/kuwahara-max.c:
	* operations/workshop/snn-percentile.c:
	* operations/workshop/ff-save.c:
	* operations/workshop/gtk-display.c: removed context_id from
	arguments on process function.

2007-01-09  Hans Breuer  <hans@breuer.org>

	* gegl/gegl-init.h : use PACKAGE_NAME rather than undefined PACKAGE for
	g_win32_get_package_installation_subdirectory(). Also don't do an
	explicit inclusion of gwin32.h, it is available by <glib-object.h>

2008-01-09  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/mandelbrot.c: do not compute all of mandelbrot
	in first processing go, as well as reduce the defined reigon.

2008-01-08  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/render/FractalExplorer.c (process): Use g_object_get to
	determine pixel size instead of using a hard-coded value.

	The files listed below were updated due to changes in the API, and to
	make them compile. There is no guarantee they actually work. There are
	probably some reference counting issues that also need to be fixed.

	* gegl/gegl-chant.h: Added missing process() prototype for
	GEGL_CHANT_COMPOSER

	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c:
	* operations/workshop/box-percentile.c:
	* operations/workshop/c2g.c:
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/disc-percentile.c:
	* operations/workshop/ff-save.c:
	* operations/workshop/gluas.c:
	* operations/workshop/gtk-display.c:
	* operations/workshop/hstack.c:
	* operations/workshop/kuwahara-max.c:
	* operations/workshop/kuwahara-min.c:
	* operations/workshop/kuwahara.c:
	* operations/workshop/line-profile.c:
	* operations/workshop/mandelbrot.c:
	* operations/workshop/max-envelope.c:
	* operations/workshop/mblur.c:
	* operations/workshop/min-envelope.c:
	* operations/workshop/rawbayer-load.c:
	* operations/workshop/snn-percentile.c:
	* operations/workshop/stress.c: Updated to new API.

	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c:
	* operations/workshop/box-percentile.c:
	* operations/workshop/c2g.c:
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/disc-percentile.c:
	* operations/workshop/kuwahara.c:
	* operations/workshop/kuwahara-max.c:
	* operations/workshop/kuwahara-min.c:
	* operations/workshop/snn-percentile.c: s/"inputt"/"input"/

2008-01-08  Manish Singh  <yosh@gimp.org>

	* operations/io/display.c: removed context_id arg from process
	function here too.

2008-01-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-composer.[ch]: removed context_id from
	arguments on process function.
	* gegl/operation/gegl-operation-filter.[ch]: .. same
	* gegl/operation/gegl-operation-sink.[ch]: .. and same.

	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c: adapt to above change.
	* gegl/gegl-chant.h: reflect above change.

	* operations/affine/affine.c:
	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c:
	* operations/color/mono-mixer.c:
	* operations/color/stretch-contrast.c:
	* operations/enhance/bilateral-filter.c:
	* operations/enhance/snn-mean.c:
	* operations/io/png-save.c:
	* operations/io/save-buffer.c:
	* operations/io/save-pixbuf.c: moved to new API.

2008-01-08  Øyvind Kolås  <pippin@gimp.org>

	* operations/workshop/stress.c: moved to newer API.
	* operations/color/remap.c: unchanted.

2008-01-08  Øyvind Kolås  <pippin@gimp.org>

	* operations/core/crop.c: use doubles not floats ..
	* operations/core/shift.c: .. like the rest of the GEGL ops.

2008-01-08  Øyvind Kolås  <pippin@gimp.org>

	* operations/core/crop.c: turned into a non chanted operation that
	derives directly from GeglOperation instead of GeglOperationFilter.

2008-01-08  Øyvind Kolås  <pippin@gimp.org>

	* operations/core/clone.c: turned into a non chanted operation that
	derives directly from GeglOperation instead of GeglOperationFilter.
	* operations/core/nop.c: removed erronious buffer reference.
	* operations/core/shift.c: removed erronious buffer reference.

2008-01-07  Øyvind Kolås  <pippin@gimp.org>

	* operations/core/shift.c: (gegl_operation_shift_class_init): set
	categories.
	* operations/core/nop.c: turned into a non chanted operation that
	derives directly from GeglOperation instead of GeglOperationFilter.

2008-01-07  Øyvind Kolås  <pippin@gimp.org>

	%s/GEGL_PAD_OUTPUT/GEGL_PARAM_PAD_OUTPUT/
	%s/GEGL_PAD_INPUT/GEGL_PARAM_PAD_INPUT/

	* gegl/gegl-chant.h:
	* gegl/graph/gegl-pad.c:
	* gegl/graph/gegl-pad.h:
	* gegl/operation/gegl-operation-composer.c:
	* gegl/operation/gegl-operation-filter.c:
	* gegl/operation/gegl-operation-sink.c:
	* gegl/operation/gegl-operation-source.c:
	* operations/affine/chant.h:
	* operations/color/remap.c:
	* operations/core/shift.c:

2008-01-08  Michael Natterer  <mitch@gimp.org>

	* operations/core/shift.c: more cleanup.

2008-01-07  Øyvind Kolås  <pippin@gimp.org>

	* AUTHORS: added Hans Breuer
	* NEWS: updated a bit.

2008-01-07  Øyvind Kolås  <pippin@gimp.org>

	* operations/core/shift.c: (detect): fixed regression in hit
	detection.

2008-01-08  Michael Natterer  <mitch@gimp.org>

	* operations/core/shift.c: cleanup, use G_DEFINE_DYNAMIC_TYPE().

2008-01-07  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: depend on glib-2.14.1 or newer.

2008-01-07  Øyvind Kolås  <pippin@gimp.org>

	* operations/affine/affine.c: (process): do not unref the input (that
	is done in the GeglOperationFilter superclass.

2008-01-07  Øyvind Kolås  <pippin@gimp.org>

	* operations/core/shift.c: turned into a non chanted operation that
	derives directly from GeglOperation instead of GeglOperationFilter.

2008-01-07  Michael Natterer  <mitch@gimp.org>

	* gegl/graph/gegl-pad.[ch] (struct GeglPad): changed member "format"
	from "gpointer" to "const Babl*".

	(gegl_pad_get_format)
	(gegl_pad_set_format): changed gpointer to const Babl* too.

	* gegl/operation/gegl-operation.[ch] (gegl_operation_set_format):
	constified Babl* parameter.

	(gegl_operation_get_format): new function.

	* gegl/graph/gegl-node.c
	* gegl/graph/gegl-node-context.c
	* gegl/operation/gegl-operation-point-filter.c
	* gegl/operation/gegl-operation-point-composer.c: changed
	accordingly (constified Babl*).

2008-01-06  Kevin Cozens  <kcozens@cvs.gnome.org>

	* gegl/gegl-init.c: Made variable module_db global to file. Unref it
	in gegl_exit().

	* gegl/module/geglmoduledb.c: (valid_module_name): Use G_MODULE_SUFFIX
	instead of a hard-coded suffix.

	* gegl/property-types/gegl-color.c (value_set_default):
	* gegl/property-types/gegl-curve.c (value_set_default):
	* gegl/property-types/gegl-vector.c (value_set_default): Removed call
	to g_object_ref() that was causing a ref count error.

2008-01-07  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node-context.c: added some extra debug output for
	missing formats on pads (to be ignored for some core ops for now, but
	gives better guidance when things crash.)

	* gegl/operation/gegl-operation-composer.[ch]
	* gegl/operation/gegl-operation-filter.[ch]:
	* gegl/operation/gegl-operation-sink.[ch]:
	* gegl/operation/gegl-operation-source.[ch]: added the buffers being
	read from/written to as arguments of the process functions in the base
	classes for the common operation types.

	The rest of the files modified were modifications to update to newer
	API.
	* gegl/gegl-chant.h:
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c:
	* operations/affine/affine.c:
	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c:
	* operations/color/mono-mixer.c:
	* operations/color/remap.c:
	* operations/color/stretch-contrast.c:
	* operations/core/clone.c:
	* operations/core/crop.c:
	* operations/core/nop.c:
	* operations/core/shift.c:
	* operations/enhance/bilateral-filter.c:
	* operations/enhance/snn-mean.c:
	* operations/io/display.c:
	* operations/io/exr-load.cpp:
	* operations/io/ff-load.c:
	* operations/io/jpg-load.c:
	* operations/io/load-buffer.c:
	* operations/io/magick-load.c:
	* operations/io/pixbuf.c:
	* operations/io/png-load.c:
	* operations/io/png-save.c:
	* operations/io/raw-load.c:
	* operations/io/save-buffer.c:
	* operations/io/save-pixbuf.c:
	* operations/io/svg-load.c:
	* operations/render/FractalExplorer.c:
	* operations/render/checkerboard.c:
	* operations/render/color.c:
	* operations/render/introspect.c:
	* operations/render/noise.c:
	* operations/render/text.c:
	* operations/workshop/stress.c:

2008-01-06  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/ff-save.c (process): Updated due to changes in
	API. Added FIXME as a reminder to replace the deprecated img_convert()
	with sws_scale().

2008-01-06  Michael Natterer  <mitch@gimp.org>

	* gegl/buffer/gegl-handler-cache.c
	* gegl/buffer/gegl-handler-empty.c
	* gegl/buffer/gegl-handler-log.c
	* gegl/buffer/gegl-handler-zoom.c
	* gegl/buffer/gegl-handler.c
	* gegl/buffer/gegl-handler.h
	* gegl/buffer/gegl-handlers.c
	* gegl/buffer/gegl-provider.h
	* gegl/buffer/gegl-tile-backend.c: some forgotten
	s/TILE_STORE/PROVIDER/ and s/TILE_TRAIT/HANDLER/ plus some
	cleanups.

2008-01-06  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-eval-visitor.c: (visit_pad): added some comments.

2008-01-06  Michael Natterer  <mitch@gimp.org>

	* gegl/buffer/gegl-buffer-allocator.h
	* gegl/buffer/gegl-buffer-load.h
	* gegl/buffer/gegl-buffer-private.h
	* gegl/buffer/gegl-buffer-save.h
	* gegl/buffer/gegl-buffer-types.h
	* gegl/buffer/gegl-buffer.h
	* gegl/buffer/gegl-cache.h
	* gegl/buffer/gegl-handler-cache.h
	* gegl/buffer/gegl-handler-empty.h
	* gegl/buffer/gegl-handler-log.h
	* gegl/buffer/gegl-handler-zoom.h
	* gegl/buffer/gegl-handler.h
	* gegl/buffer/gegl-handlers.h
	* gegl/buffer/gegl-provider.h
	* gegl/buffer/gegl-region-generic.h
	* gegl/buffer/gegl-region.h
	* gegl/buffer/gegl-sampler-lanczos.h
	* gegl/buffer/gegl-sampler-linear.h
	* gegl/buffer/gegl-sampler-nearest.h
	* gegl/buffer/gegl-sampler.h
	* gegl/buffer/gegl-storage.h
	* gegl/buffer/gegl-tile-backend.h
	* gegl/buffer/gegl-tile-disk.h
	* gegl/buffer/gegl-tile-mem.h
	* gegl/buffer/gegl-tile.h
	* gegl/operation/gegl-extension-handler.h
	* gegl/operation/gegl-operation-area-filter.h
	* gegl/operation/gegl-operation-composer.h
	* gegl/operation/gegl-operation-filter.h
	* gegl/operation/gegl-operation-meta.h
	* gegl/operation/gegl-operation-point-composer.h
	* gegl/operation/gegl-operation-point-filter.h
	* gegl/operation/gegl-operation-sink.h
	* gegl/operation/gegl-operation-source.h
	* gegl/operation/gegl-operation.h
	* gegl/property-types/gegl-color.h
	* gegl/property-types/gegl-curve.h: header cleanup: added missing
	GEGL_IS_FOO() macros, unified include guards, indentation, remove
	tons of includes, remove trailing whitespace, stuff...

2008-01-06  Michael Natterer  <mitch@gimp.org>

	* gegl/buffer/gegl-buffer-save.c: #include "config.h"

2007-01-06  Hans Breuer  <hans@breuer.org>

	[porting to build with win32/msvc, see bug #507288]

	* gegl/buffer/gegl-buffer-allocator.c : use HAVE_UNISTD_H, include 
	process.h for win32 and declare variables at the start of the 
	block (C89 requirement)
	* gegl/buffer/gegl-buffer-load.c : use HAVE_UNISTD_H and 
	#include <io.h> on win32 
	* gegl/buffer/gegl-buffer-save.c : -"-, define S_IRUSR
	* gegl/buffer/gegl-buffer.c gegl/buffer/gegl-sampler-linear.c
	gegl/buffer/gegl-sampler-nearest.c : declare variables at the start 
	of a block
	* gegl/buffer/gegl-provider.c gegl/process/gegl-processor.c : use 
	G_STRFUNC rather than raw gcc __func__
	* gegl/buffer/gegl-tile-disk.c : #include "config.h" at the beginning 
	of the file, use HAVE_UNISTD_H, <io.h> some conditional defines 
	like #define ftruncate(f,d) g_win32_ftruncate(f,d)
	* gegl/buffer/gegl-tile-mem.c gegl/buffer/gegl-tile.c : 
	#include config.h, use HAVE_UNISTD_H
	* gegl/gegl-init.c : on win32 resolve module directory at runtime, 
	not compile time
	* gegl/gegl-utils.[ch] : a 'pure' inline function can not be 
	exported as well, either _gegl_float_epsilon_equal needs to be implemented 
	in the header or not be inline 
	* gegl/gegl-xml.c : #include "config.h", define PATH_MAX if needed
	* gegl/graph/gegl-node.c : use G_STRFUNC
	* gegl/module/gegldatafiles.c : #include "config.h" and define 
	S_ISREG etc

	* gegl/gegl-chant.h operations/color/remap.c : use G_MODULE_EXPORT to mark gegl_module_query and
	gegl_module_register for export
	
	* gegl/operations/affine/affine.c : s/strcasecmp/g_strcasecmp/
	* gegl/operations/affine/module.[ch] : use G_MODULE_EXPORT
	* gegl/operations/core/convert-format.c 
	  gegl/operations/workshop/mblur.c : c99ism - mixed declaration and
	  implementation
	* gegl/operations/enhance/bilateral-filter.c : use g_alloca() instead 
	of a gcc-only dynamic sized array on the stack
	* gegl/operations/generated/math.rb : define powf() for msvc build
	* gegl/operations/io/raw-load.c : use HAVE_UNISTD_H and define 
	popen/pclose for msvc

	* tools/operation_reference.c : config.h and HAVE_UNISTD_H

	* bin/gegl.c : work-around another msvc limitation (C2026:
	string too big, trailing characters truncated) In fact it is more
	a line-too-long limit.
	* bin/editor.c : define PATH_MAX
	* bin/gegl-node-editor.c : HAVE_UNISTD_H
	* bin/gegl-node-editor.c : if (0) is not enough for msvc to get rid of
	the unresolved StockIcon(), use #if 0

2008-01-05  Manish Singh  <yosh@gimp.org>

	* operations/affine/affine.c: update compute_affected_region()
	implementation here too.

2008-01-05  Michael Natterer  <mitch@gimp.org>

	* gegl/buffer/gegl-buffer-private.h
	* gegl/buffer/gegl-buffer-save.[ch]
	* gegl/buffer/gegl-cache.[ch]
	* gegl/buffer/gegl-region-generic.c
	* gegl/buffer/gegl-region.h
	* gegl/gegl.h
	* gegl/graph/gegl-node.[ch]
	* gegl/operation/gegl-operation.[ch]
	* gegl/process/gegl-processor.[ch]: clean up signal code, made
	GeglRectangle parameters const, add some g_return_if_fail() and
	changed some g_assert() into g_return_if_fail(), some formatting
	cleanup.

2008-01-05  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: (gegl_node_new_processor),
	set the need rect on the "loose" GeglNodeContext. This makes
	the contents of the gallery render correctly again.

2008-01-05  Michael Natterer  <mitch@gimp.org>

	* operations/core/crop.c
	* operations/core/shift.c
	* operations/color/remap.c: forgot compute_affected_region()
	implementations in these files.

2008-01-05  Michael Natterer  <mitch@gimp.org>

	* gegl/operation/gegl-operation.[ch] (compute_affected_region):
	changed "GeglRectangle input" parameter
	to "const GeglRectangle *input_region".

	* gegl/operation/gegl-operation-area-filter.c
	* gegl/graph/gegl-node.c: changed accordingly.

2008-01-05  Øyvind Kolås  <pippin@gimp.org>

	Made the process methods of operations take a GeglNodeContext instead
	of a context_id, this GeglNodeContext contains the logic to perform
	concurrent bookkeeping of data on pads of nodes.

	* gegl/gegl-chant.h:
	* gegl/graph/gegl-node-context.[ch]:
	* gegl/operation/gegl-operation-composer.[ch]:
	* gegl/operation/gegl-operation-filter.[ch]:
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c:
	* gegl/operation/gegl-operation-sink.[ch]:
	* gegl/operation/gegl-operation-source.[ch]:
	* gegl/operation/gegl-operation.c:
	* gegl/operation/gegl-operation.h:
	* gegl/process/gegl-eval-visitor.c:
	* gegl/process/gegl-processor.c:

	* operations/affine/affine.c:
	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c:
	* operations/color/mono-mixer.c:
	* operations/color/remap.c:
	* operations/color/stretch-contrast.c:
	* operations/core/clone.c:
	* operations/core/crop.c:
	* operations/core/nop.c:
	* operations/core/shift.c:
	* operations/enhance/bilateral-filter.c:
	* operations/enhance/snn-mean.c:
	* operations/io/display.c:
	* operations/io/exr-load.cpp:
	* operations/io/ff-load.c:
	* operations/io/jpg-load.c:
	* operations/io/load-buffer.c:
	* operations/io/magick-load.c:
	* operations/io/pixbuf.c:
	* operations/io/png-load.c:
	* operations/io/png-save.c:
	* operations/io/raw-load.c:
	* operations/io/save-buffer.c:
	* operations/io/save-pixbuf.c:
	* operations/io/svg-load.c:
	* operations/render/FractalExplorer.c:
	* operations/render/checkerboard.c:
	* operations/render/color.c:
	* operations/render/introspect.c:
	* operations/render/noise.c:
	* operations/render/text.c:
	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c:
	* operations/workshop/box-percentile.c:
	* operations/workshop/c2g.c:
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/disc-percentile.c:
	* operations/workshop/gluas.c:
	* operations/workshop/gtk-display.c:
	* operations/workshop/hstack.c:
	* operations/workshop/kuwahara-max.c:
	* operations/workshop/kuwahara-min.c:
	* operations/workshop/kuwahara.c:
	* operations/workshop/line-profile.c:
	* operations/workshop/mandelbrot.c:
	* operations/workshop/max-envelope.c:
	* operations/workshop/mblur.c:
	* operations/workshop/min-envelope.c:
	* operations/workshop/rawbayer-load.c:
	* operations/workshop/snn-percentile.c:
	* operations/workshop/stress.c:

2008-01-05  Øyvind Kolås  <pippin@gimp.org>

	Renamed GeglNodeDynamic to GeglNodeContext.

	* gegl/gegl-types.h:
	* gegl/graph/Makefile.am:
	* gegl/graph/gegl-node-context.c:
	* gegl/graph/gegl-node-context.h:
	* gegl/graph/gegl-node-dynamic.c:
	* gegl/graph/gegl-node-dynamic.h:
	* gegl/graph/gegl-node.c: 
	* gegl/graph/gegl-node.h:
	* gegl/operation/gegl-operation.c:
	* gegl/operation/gegl-operation.h:
	* gegl/process/gegl-cr-visitor.c: 
	* gegl/process/gegl-debug-rect-visitor.c: 
	* gegl/process/gegl-eval-mgr.c: 
	* gegl/process/gegl-eval-visitor.c:
	* gegl/process/gegl-finish-visitor.c:
	* gegl/process/gegl-prepare-visitor.c:
	* gegl/process/gegl-processor.c: 

2008-01-04  Manish Singh  <yosh@gimp.org>

	* operations/io/display.c
	* operations/io/ff-load.c: Updated to match recent API changes.

2008-01-03  Øyvind Kolås  <pippin@gimp.org>

	Removed context_id argument from prepare method, added const
	GeglRectangle *result to base process and many of the process
	protoypes in other base classes to simplify logic in operations.

	* gegl/gegl-chant.h:
	* gegl/operation/gegl-operation-filter.c:
	* gegl/operation/gegl-operation-composer.c:
	* gegl/operation/gegl-operation-filter.h:
	* gegl/operation/gegl-operation-area-filter.c:
	* gegl/operation/gegl-operation-composer.h:
	* gegl/operation/gegl-operation-source.c:
	* gegl/operation/gegl-operation.c:
	* gegl/operation/gegl-operation-sink.c:
	* gegl/operation/gegl-operation-source.h:
	* gegl/operation/gegl-operation.h:
	* gegl/operation/gegl-operation-sink.h:
	* gegl/operation/gegl-operation-point-filter.c:
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/process/gegl-eval-visitor.c:
	* gegl/process/gegl-prepare-visitor.c:
	* gegl/process/gegl-eval-mgr.c:
	* gegl/process/gegl-processor.c:
	* operations/render/color.c:
	* operations/render/text.c:
	* operations/render/introspect.c:
	* operations/render/checkerboard.c:
	* operations/render/FractalExplorer.c:
	* operations/render/noise.c:
	* operations/svg/svg_huerotate.c:
	* operations/svg/svg_luminancetoalpha.c:
	* operations/svg/svg_matrix.c:
	* operations/svg/svg_saturate.c:
	* operations/enhance/bilateral-filter.c:
	* operations/enhance/snn-mean.c:
	* operations/blur/box-blur.c:
	* operations/blur/gaussian-blur.c:
	* operations/meta/layer.c:
	* operations/io/png-load.c:
	* operations/io/save-buffer.c:
	* operations/io/raw-load.c:
	* operations/io/magick-load.c:
	* operations/io/exr-load.cpp:
	* operations/io/svg-load.c:
	* operations/io/load.c:
	* operations/io/png-save.c:
	* operations/io/load-buffer.c:
	* operations/io/save-pixbuf.c:
	* operations/io/pixbuf.c:
	* operations/io/jpg-load.c:
	* operations/core/clone.c:
	* operations/core/crop.c:
	* operations/core/convert-format.c:
	* operations/core/nop.c:
	* operations/core/shift.c:
	* operations/affine/affine.c:
	* operations/transparency/opacity.c:
	* operations/workshop/min-envelope.c:
	* operations/workshop/max-envelope.c:
	* operations/workshop/kuwahara.c:
	* operations/workshop/grey.c:
	* operations/workshop/box-min.c:
	* operations/workshop/disc-percentile.c:
	* operations/workshop/box-max.c:
	* operations/workshop/c2g.c:
	* operations/workshop/gluas.c:
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/hstack.c:
	* operations/workshop/generated/blend.rb:
	* operations/workshop/box-percentile.c:
	* operations/workshop/mblur.c:
	* operations/workshop/stress.c:
	* operations/workshop/kuwahara-min.c:
	* operations/workshop/line-profile.c:
	* operations/workshop/kuwahara-max.c:
	* operations/workshop/snn-percentile.c:
	* operations/workshop/mandelbrot.c:
	* operations/workshop/ff-save.c:
	* operations/workshop/gtk-display.c:
	* operations/workshop/rawbayer-load.c:
	* operations/generated/svg-12-blend.rb:
	* operations/generated/other-blend.rb:
	* operations/generated/math.rb:
	* operations/generated/svg-12-porter-duff.rb:
	* operations/color/contrast-curve.c:
	* operations/color/brightness-contrast.c:
	* operations/color/remap.c:
	* operations/color/whitebalance.c:
	* operations/color/stretch-contrast.c:
	* operations/color/mono-mixer.c:
	* operations/color/threshold.c:

2008-01-03  Michael Natterer  <mitch@gimp.org>

	* gegl/buffer/gegl-sampler-cubic.h
	* gegl/buffer/gegl-sampler-lanczos.h
	* gegl/buffer/gegl-sampler-linear.h
	* gegl/buffer/gegl-sampler-nearest.h
	* gegl/operation/gegl-operation-area-filter.h
	* gegl/operation/gegl-operation-composer.h
	* gegl/operation/gegl-operation-filter.h
	* gegl/operation/gegl-operation-meta.h
	* gegl/operation/gegl-operation-point-composer.h
	* gegl/operation/gegl-operation-point-filter.h
	* gegl/operation/gegl-operation-sink.h
	* gegl/operation/gegl-operation-source.h: use G_BEGIN/END_DECLS,
	renamed parent members to "parent_instance" and "parent_class",
	removed lots of useless includes, some formatting cleanup.

2007-12-30  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/gluas.c (set_rgba_pixel): Updated due to change
	in gegl_buffer_set. Pass GEGL_AUTO_ROWSTRIDE in gegl_buffer_set() call.

2007-12-30  Kevin Cozens  <kcozens@cvs.gnome.org>

	* bin/node-editors/Makefile.am:
	* operations/Makefile.am:
	* operations/workshop/Makefile.am: Use SHREXT instead of
	hard-coded ".so".

2007-12-30  Michael Natterer  <mitch@gimp.org>

	* gegl/graph/gegl-node.c (gegl_node_set_valist): don't forget to
	unset the GValues after setting the property.

2007-12-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: Changed processing chunks size to
	256*256.

2007-12-30  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.c: (gegl_node_blit): make it possible to call
	with a NULL buffer (if only the side-effects of processing is
	desired).
	* gegl/process/gegl-eval-mgr.c: (gegl_eval_mgr_apply): pull on the
	input instead of output when it seems like we're operating on a sink
	that accepts incremental consumption of data.
	* gegl/process/gegl-eval-visitor.c: (visit_pad): do processing on for
	sink op on the input pad.
	* gegl/process/gegl-processor.c: added code path to allow processing
	of subregions. The logic in this file needs refactoring and
	simplification, with paralellization in mind.

2007-12-30  Øyvind Kolås  <pippin@gimp.org>
	
	Made it possible for subclasses of GeglOperationSink to specify
	whether they need all data in one go or not.

	* gegl/operation/gegl-operation-sink.h: added needs_full boolean to
	class structure.
	* gegl/operation/gegl-operation-sink.c: added
	gegl_operation_sink_needs_full query method.

	* operations/io/display.c: 
	* operations/io/png-save.c:
	* operations/io/save-buffer.c:
	* operations/io/save-pixbuf.c:
	* operations/workshop/ff-save.c: Updated writing operations that need
	the full buffer to say so.

2007-12-30  Michael Natterer  <mitch@gimp.org>

	* gegl/graph/gegl-node.c: made "operation" a read/write property.

2007-12-29  Michael Natterer  <mitch@gimp.org>

	* gegl/gegl.h: added GEGEL_IS_FOO() type checking macros for the
	public object types.

2007-12-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.c: (gegl_buffer_set): pass the rowstride as
	rowstride, not the power of 2 zoom level.

2007-12-29  Manish Singh  <yosh@gimp.org>

	* operations/io/ff-load.c: update to match new API.

2007-12-29  Øyvind Kolås  <pippin@gimp.org>

	* operations/io/exr-load.cpp: updated with GEGL_AUTO_ROWSTRIDE.

2007-12-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.h: documentation update for rowstride in
	gegl_buffer_set/_get.

2007-12-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.[ch]: added rowstride parameter to
	gegl_buffer_set, changing it to be GEGL_AUTO_ROWSTRIDE should 
	preserve previous behaviour.

	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c: 
	* gegl/process/gegl-processor.c: 
	* operations/affine/affine.c: 
	* operations/blur/box-blur.c: 
	* operations/blur/gaussian-blur.c:
	* operations/color/mono-mixer.c:
	* operations/color/remap.c: 
	* operations/color/stretch-contrast.c:
	* operations/enhance/bilateral-filter.c:
	* operations/enhance/snn-mean.c:
	* operations/io/jpg-load.c: 
	* operations/io/pixbuf.c:
	* operations/io/png-load.c:
	* operations/io/raw-load.c:
	* operations/io/svg-load.c: 
	* operations/render/FractalExplorer.c:
	* operations/render/checkerboard.c: 
	* operations/render/color.c: 
	* operations/render/noise.c: 
	* operations/render/text.c: added GEGL_AUTO_ROWSTRIDE to instances of
	gegl_buffer_set.

	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c: 
	* operations/workshop/box-percentile.c: 
	* operations/workshop/c2g.c: 
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/disc-percentile.c: 
	* operations/workshop/gtk-display.c: 
	* operations/workshop/hstack.c:
	* operations/workshop/kuwahara-max.c: 
	* operations/workshop/kuwahara-min.c: 
	* operations/workshop/kuwahara.c: 
	* operations/workshop/line-profile.c:
	* operations/workshop/mandelbrot.c: 
	* operations/workshop/max-envelope.c: 
	* operations/workshop/mblur.c: 
	* operations/workshop/min-envelope.c:
	* operations/workshop/rawbayer-load.c:
	* operations/workshop/snn-percentile.c: 
	* operations/workshop/stress.c:  updated for constified
	GeglRectangles, babl formats and added rowstride to gegl_buffer_set.

2007-12-29  Sven Neumann  <sven@gimp.org>

	* gegl/graph/gegl-node.c (set_property): pass NULL as varargs to
	gegl_node_set_op_class() instead of using an uninitialized variable.

2007-12-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-composer.c:
	* gegl/operation/gegl-operation-filter.c:
	* gegl/operation/gegl-operation-meta.c:
	* gegl/operation/gegl-operation-point-composer.c:
	* gegl/operation/gegl-operation-point-filter.c:
	* gegl/operation/gegl-operation-sink.c:
	* gegl/operation/gegl-operation-sink.h:
	* gegl/operation/gegl-operation-source.c:
	* gegl/operation/gegl-operation-source.h:
	* gegl/operation/gegl-operation.c:
	* gegl/operation/gegl-operation.h: Modified includes in headers to
	facilitate a copy of the GEGL headers living in GIMP.

2007-12-29  Michael Natterer  <mitch@gimp.org>

	* gegl/operation/gegl-operation-area-filter.c
	* gegl/operation/gegl-operation-composer.c
	* gegl/operation/gegl-operation-filter.c
	* gegl/operation/gegl-operation-point-composer.c
	* gegl/operation/gegl-operation-point-filter.c
	* gegl/operation/gegl-operation-sink.c
	* gegl/operation/gegl-operation-source.c
	* gegl/operation/gegl-operation.[ch]
	* operations/affine/affine.c
	* operations/color/mono-mixer.c
	* operations/color/remap.c
	* operations/color/stretch-contrast.c
	* operations/core/shift.c
	* operations/enhance/bilateral-filter.c
	* operations/enhance/snn-mean.c
	* operations/io/display.c
	* operations/io/png-save.c
	* operations/io/save-buffer.c
	* operations/render/FractalExplorer.c
	* operations/render/checkerboard.c
	* operations/render/checkerboard.c
	* operations/render/color.c
	* operations/render/noise.c
	* operations/render/text.c
	* operations/render/text.c: constified some API using GeglRectangle.

2007-12-29  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-vector.[ch]: added stand-in path
	implementation ripped from horizon for point storage.

2007-12-29  Øyvind Kolås  <pippin@gimp.org>

	* bin/export.c:
	* gegl/buffer/gegl-buffer-allocator.c:
	* gegl/buffer/gegl-buffer-allocator.h:
	* gegl/buffer/gegl-buffer-private.h:
	* gegl/buffer/gegl-buffer.c:
	* gegl/buffer/gegl-buffer.h:
	* gegl/buffer/gegl-cache.h:
	* gegl/gegl-chant.h:
	* gegl/gegl-init.c:
	* gegl/gegl-plugin.h:
	* gegl/gegl-types.h:
	* gegl/gegl.h:
	* gegl/graph/gegl-node.c:
	* gegl/graph/gegl-node.h:
	* gegl/operation/gegl-operation.c:
	* gegl/operation/gegl-operation.h:
	* gegl/process/gegl-processor.c:
	* gegl/property-types/Makefile.am:
	* gegl/property-types/gegl-paramspecs.c:
	* operations/io/png-save.c: 
	* operations/io/save-pixbuf.c:
	* operations/render/Makefile.am:
	* operations/workshop/Makefile.am: constified BablFormats.

2007-12-28  Michael Natterer  <mitch@gimp.org>

	* gegl/operation/gegl-operation-sink.c (process): remove semicolon
	after if().

	Some general formatting cleanup.

2007-12-28  Manish Singh  <yosh@gimp.org>

	* configure.ac: support some alternate forms of detecting lua.

2007-12-28  Øyvind Kolås  <pippin@gimp.org>

	* operations/io/save-buffer.c: reindented.

2007-12-28  Øyvind Kolås  <pippin@gimp.org>

	* operations/io/save-buffer.c: (process): resolved warning: ISO C90
	forbids mixed declarations and code.

2007-12-21  Kevin Cozens  <kcozens@cvs.gnome.org>

	* gegl/operation/gegl-operation.h:
	* gegl/operation/gegl-operation.c (gegl_operation_gtype_cleanup):
	Added cleanup function for gtype_hash. Fixes bug #481730.

	* gegl/gegl-init.c (gegl_exit): Call new cleanup function.

2007-12-21  Kevin Cozens  <kcozens@cvs.gnome.org>

	* gegl/graph/gegl-node.c: Applied patch from Deji Akingunola which
	fixes bug #498784 (compilation error on Alpha).

2007-12-20  Kevin Cozens  <kcozens@cvs.gnome.org>

	* gegl/buffer/gegl-buffer-allocator.c
	* gegl/process/gegl-eval-mgr.c: Use g_getenv instead of getenv.

2007-12-20  Sven Neumann  <sven@gimp.org>

	* gegl.pc.in: fixed spelling of GEGL and description.

2007-12-12  Kevin Cozens  <kcozens@cvs.gnome.org>

	* tools/operation_reference.c: Minor changes to improve formatting
	of generated HTML.

2007-12-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/gluas.c: Applied patch from Deji Akingunola.
	which completes build failure fixes. See bug #502554.

2007-12-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/Makefile-operations.am: Add any .h files to EXTRA_DIST
	as this is included by the Makefile's in all operations directories.

	* operations/affine/Makefile.am:
	* operations/workshop/Makefile.am: Don't add .h files to EXTRA_DIST.

2007-12-11  Étienne Bersac  <bersace03@laposte.net>

	* operations/io/save-buffer.c: Use gegl_buffer_create_sub_buffer
	in order to get proper buffer extent.

2007-12-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.[ch]: made s/GeglNodePriv/GeglNodePrivate/,
	also moved opaque typedef to header.

2007-12-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-node.[ch]: removed gegl_node_disable cache, the
	cache is a per instance singleton, and the lifetime should be 
	that of the node.
	* bin/editor.c: (cb_recompute): if#0'd out use of
	gegl_node_disable_cache.

2007-12-08  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/workshop/Makefile.am: Added EXTRA_DIST to include header
	files found in the directory when a tarball is created.

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: commented away last bit of Introspection related code.

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl.c: added missing authors from GEGL splash.

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: post release bump of version to 0.0.15

========================== 0.0.14 released ==================================

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* configure.ac: bumped version to 0.0.14

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: stubbed and commented away the introspection action
	from the menus.

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* bin/editor.c: (cb_about): adjust text in about dialog for license
	change.
	* operations/render/color.c: changed documentation string for value
	property.
	* operations/render/noise.c: do not attempt rendering all of the
	perlin-noise space.

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* NEWS: added news summary for 0.0.14.
	* AUTHORS: added Tor Lillqvist.

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* bin/gegl-view.c: (finalize), (task_monitor): stop the idle timeout
	when the view is destroyed.

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl-init.c: include gegl-extension-handler.h

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-extension-handler.[ch]:
	(gegl_extension_handler_cleanup) explicitly specify void
	as parameter list.

2007-12-08  Øyvind Kolås  <pippin@gimp.org>

	* gegl/process/gegl-processor.c: Changed processing block 256x256.

2007-12-03  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/graph/gegl-node.c
	(gegl_node_add_child)
	(gegl_node_remove_child): Use more explicit names for variables
	holding private data for `self' and `child'. Also fixed a
	copy-paste mistake in gegl_node_remove_child() introduced when
	merging gegl-graph.c with gegl-node.c.

2007-11-29  Øyvind Kolås  <pippin@gimp.org>

	Renamed GeglInterpolator (and related subclasses) GeglSampler.

2007-11-27  Manish Singh  <yosh@gimp.org>

	* gegl/gegl-chant.h: setting GeglColors and GeglCurves should
	use g_value_dup_object so a ref is taken on the passed in object.

2007-11-27  Manish Singh  <yosh@gimp.org>

	* gegl/gegl-xml.c: don't call g_file_get_contents on the same file
	twice, and make sure declarations are before statements.

2007-11-27  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/graph/gegl-node.h: Cosmetics on the function propotyopes
	merged from gegl-graph.h.

2007-11-27  Martin Nordholts  <martinn@svn.gnome.org>

	* gegl/graph/gegl-node.[ch]: Made the `cache' member of GeglNode
	public and the rest of the private-marked members
	g_type_class_add_private() managed. Also merged gegl-graph.[ch]
	into here.

	* gegl/graph/gegl-graph.[ch]: Removed.

	* gegl/graph/Makefile.am: Removed gegl-graph.[ch].

	* gegl/gegl-xml.c:
	* gegl/gegl-plugin.h:
	* gegl/operation/gegl-operation.c: Removed gegl-graph.h reference.

2007-11-27  Øyvind Kolås  <pippin@gimp.org>

	Applied patch from  Jesper de Jong fixing bug #481593.

	* gegl/operation/gegl-extension-handler.[ch]:
	(gegl_extension_handler_cleanup): added cleanup function
	for list of file handler associations.
	* gegl/gegl-init.c: (gegl_exit): call cleanup function upon quit.

2007-11-26  Øyvind Kolås  <pippin@gimp.org>

	* bin/node-editors/Makefile.am: do not install the custom gui's for
	some apps by default. (point GEGL_PATH to this dir in addition to the
	regular GEGL_PATH, or move the .so's to GEGL_PATH to enable them.) The
	reason they are removed is that they result in unresolved symbols when
	loaded by other GEGL using apps than the sample binary.

2007-11-26  Øyvind Kolås  <pippin@gimp.org>

	* AUTHORS: added Shlomi Fish to list of people contributing
	documentation.

2007-11-25  Kevin Cozens  <kcozens@cvs.gnome.org>

	'make distcheck' works once again with this set of changes.

	* configure.ac: Added --enable-workshop to allow optional building
	of workshop operations. Updated results to show whether workshop
	will be built, and if Lua is available.

	* bin/Makefile.am: Don't build files in node-editors directory if
	GTK+ is not available.

	* bin/node-editors/Makefile.am: Don't include /gui at end of the
	install commands since it is already in ext_dir.

	* operations/Makefile.am: Only include workshop sub-directory when
	configure was run with --enable-workshop option.

	* operations/workshop/Makefile.am: Use LUA_CFLAGS and LUA_LIBS
	determined during ./configure instead of calling lua-config.

2007-11-25  Martin Nordholts  <martinn@svn.gnome.org>

	* bin/editor.c (cb_zoom_in, cb_zoom_out): Fix zooming when using
	menu/keys. Zoom straight in/out without panning.

2007-11-25  Øyvind Kolås  <pippin@gimp.org>

	* bin/Makefile.am:
	* bin/node-editors/Makefile.am: Build and install the cairo based
	custom GUIs for editing the properties of some operations.

2007-11-24  Øyvind Kolås  <pippin@gimp.org>

	API renaming:
	gegl_parse_file -> gegl_node_new_from_file
	gegl_parse_xml -> gegl_node_new_from_xml
	gegl_to_xml -> gegl_node_to_xml

	* gegl/gegl.h:
	* gegl/gegl-xml.c:
	* gegl/gegl-xml.h:
	* operations/io/magick-load.c: (load_cache):
	* bin/editor.c:
	* bin/gegl.c:

2007-11-24  Manish Singh  <yosh@gimp.org>

	* operations/color/contrast-curve.c: convert to match GeglCurve API
	change to use gdoubles.

2007-11-24  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-curve.[ch]: (gegl_curve_new): switched to use
	gdoubles in public api instead of floats.
	* gegl/gegl.h: updated this copy of the function prototypes as well.
	* gegl/gegl-xml.c: (xml_curve): updated to use doubles instead of
	floats.

2007-11-21  Øyvind Kolås  <pippin@gimp.org>

	* gegl/property-types/gegl-curve.[ch]: reindented, removed C++ style
	comments.

2007-11-19  Shlomi Fish  <shlomif@iglu.org.il>

	* gegl/gegl.h: fixed "an CSS style color string." into "a CSS-style color 
	string." in the documentation.

2007-11-19  Shlomi Fish  <shlomif@iglu.org.il>

	* docs/index-static.html.in: fixed "GEGLs" into "GEGL's" and "GIMPs"
	into "GIMP's" in the homepage.

2007-11-18  Shlomi Fish  <shlomif@iglu.org.il>

	* gegl/gegl.h: clarified a sentence in the docs for gegl_node_process.
	Thanks to pippin for suggesting a better sentence, which I revised.

2007-11-18  Shlomi Fish  <shlomif@iglu.org.il>
	
	* gegl/gegl.h: fixed the formatting of "--" to "---" to make sure it
	is formatted as a code block.

2007-11-18  Øyvind Kolås  <pippin@gimp.org>

	* gegl/gegl.h: fixed it's typo (from rindolf)
	* gegl/buffer/gegl-buffer.h: documented getter macros. fixed it's type
	(from rindolf)

2007-11-13  Kevin Cozens  <kcozens@cvs.gnome.org>

	* docs/Makefile.am: Additional fixes needed for distcheck.

2007-11-13  Kevin Cozens  <kcozens@cvs.gnome.org>

	* configure.ac
	* Makefile.am: Changed method used to make building of docs optional.
	Fix needed for distcheck.

2007-11-14  Øyvind Kolås  <pippin@gimp.org>

	* tools/introspect.c:
	- make the generated markup valid XHTML 1.0 Transitional.
	- Use the devhelp css (to work around what is probably
	a rendering glitch in gecko.)

2007-11-13  Øyvind Kolås  <pippin@gimp.org>

	Moved bilateral-filter, ssn-mean, contrast-curve, mono-mixer and
	value-invert from the workshop to be official operations for the
	next release.

	* configure.ac: added enhance Makefile.am
	* operations/Makefile.am: added enhance subdir
	* operations/enhance/: added directory.
	* operations/enhance/Makefile.am: added
	* operations/workshop/bilateral-filter.c: moved ...
	* operations/enhance/bilateral-filter.c: ... here
	* operations/workshop/snn-mean.c: moved ...
	* operations/enhance/snn-mean.c: ... here
	* operations/workshop/contrast-curve.c: moved ...
	* operations/color/contrast-curve.c: ... here
	* operations/workshop/mono-mixer.c: moved ...
	* operations/color/mono-mixer.c: ... here
	* operations/workshop/value-invert.c: moved ...
	* operations/color/value-invert.c: ... here

2007-11-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-composer.c: (fast_paths):
	silence gcc about potentially unintialized variable.

2007-11-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer.[ch]: renamed gegl_buffer_extent to
	gegl_buffer_get_extent. Made marked GeglRectangle parameters of
	GeglRectangle methods as const. renamed gegl_buffer_x gegl_buffer_y
	gegl_buffer_width gegl_buffer_height and gegl_buffer_pixel_count to
	to containt _get_ as well.

	* operations/affine/affine.c:
	* operations/blur/box-blur.c: 
	* operations/blur/gaussian-blur.c:
	* operations/color/stretch-contrast.c:
	* operations/io/exr-load.cpp:
	* operations/io/load-buffer.c:
	* operations/io/raw-load.c: 
	* operations/render/introspect.c:
	* operations/workshop/bilateral-filter.c:
	* operations/workshop/box-max.c:
	* operations/workshop/box-min.c:
	* operations/workshop/box-percentile.c: 
	* operations/workshop/c2g.c: 
	* operations/workshop/demosaic-simple.c:
	* operations/workshop/disc-percentile.c:
	* operations/workshop/hstack.c:
	* operations/workshop/kuwahara-max.c:
	* operations/workshop/kuwahara-min.c:
	* operations/workshop/kuwahara.c: 
	* operations/workshop/max-envelope.c:
	* operations/workshop/min-envelope.c:
	* operations/workshop/rawbayer-load.c: 
	* operations/workshop/snn-mean.c: 
	* operations/workshop/snn-percentile.c: 
	* operations/workshop/stress.c: 

2007-11-13  Øyvind Kolås  <pippin@gimp.org>

	* tools/create-reference.rb: modified to write a gegl.devhelp file
	into the current directory in addition to generating the requested
	html document.

2007-11-13  Kevin Cozens  <kcozens@cvs.gnome.org>

	* bin/gegl-node-editor.c: Left align label for colour button. Center
	colour button in second column.

2007-11-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/operation/gegl-operation-point-composer.c:
	(gegl_operation_point_composer_class_init): disable caching
	for the over-op for now.

2007-11-13  Øyvind Kolås  <pippin@gimp.org>

	Removed type-checking from casts directly involved in the tile-bus.

	* gegl/buffer/gegl-handler.c: (get_tile), (message):
	* gegl/buffer/gegl-handlers.c: (get_tile), (message):
	* gegl/buffer/gegl-provider.c: (gegl_provider_get_tile),
	(gegl_provider_message):

2007-11-13  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: added ->storage field to cache
	the GeglStorage of a buffer.
	* gegl/buffer/gegl-buffer.c:
	  (get_tile): replace type-checked casts, replace lookup of storage
	  with the cached version in the buffer itself.
	(gegl_buffer_iterate): lookup the tile_width and tile_height on cached
	GeglStorage instead of traversing buffer chain to get at storage.
	* gegl/buffer/gegl-buffer-allocator.c: (gegl_buffer_alloc): make
	direct use of the buffer->storage.
	* gegl/buffer/gegl-buffer-save.c: (gegl_buffer_save): make direct use
	of buffer->storage.

2007-11-12  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-buffer-private.h: added minimum and maximum x,y and
	z tile indices valid for a buffer.
	* gegl/buffer/gegl-buffer.c: (get_tile): check if the currently gotten
	tile exceeds the current limits.
	(gegl_buffer_init): start out with 0,0,0,0,0 for the tile inidices
	extents.
	(gegl_buffer_void): avoid sending TILE_VOID messages down the tile bus
	unnecesarily.

2007-11-12  Øyvind Kolås  <pippin@gimp.org>

	* operations/meta/layer.c: (prepare), (attach), (class_init):
	copied the implementation of the load op into the layer op instead
	of creating a separate GEGL instance for loading the buffer (and
	keeping it around). This is an intermediate solution until the layer
	meta-op can invoke the layer-op directly as one of it's children.

2007-11-12  Kevin Cozens  <kcozens@cvs.gnome.org>

	* operations/meta/layer.c: (refresh_cache): unref the created buffer
	here since node_blit increments ref count twice.

2007-11-12  Øyvind Kolås  <pippin@gimp.org>

	* gegl/graph/gegl-graph.c: (gegl_node_get_pad_proxy): unref
	the created proxy node, since gegl_node_add_child increments
	the reference count (and should hold the only reference).

2007-11-11  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-cache.c: (gegl_cache_class_init): added dispose
	as well as finalize.
	(dispose): unreference node we rely on.
	(set_property): do not add a reference to the node the cache is based
	on, this reference made the dispose of nodes with caches not being
	called at all.

2007-11-11  Øyvind Kolås  <pippin@gimp.org>
	
	* replaced civic address for FSF with URL to
	<http://www.gnu.org/licenses> in copyright statements at top of source
	files.

2007-11-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	* bin/gegl-node-editor.c: Use check boxes for boolean parameters.

2007-11-11  Øyvind Kolås  <pippin@gimp.org>

	* operations/generated/other-blend.rb: made "over" op refuse caching
	due to fast-path optimization in gegl-operation-point-composer for the
	"over" op that conflict with the caching system.

2007-11-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-cache.c: (gegl_cache_computed): emit the right
	signal (invalidated was being emitted).

2007-11-10  Øyvind Kolås  <pippin@gimp.org>

	* operations/meta/layer.c: (refresh_cache): removed reference to
	deprecated property "cache" for the load op.

2007-11-10  Øyvind Kolås  <pippin@gimp.org>

	* gegl/buffer/gegl-cache.[ch]: moved all signal
	related hooks to the .c file. Assed gegl_cache_computed() which
	triggers the computed signal of the cache.
	* gegl/process/gegl-eval-visitor.c: (visit_pad): use
	gegl_cache_computed()
	* gegl/process/gegl-processor.c: (render_rectangle): use
	gegl_cache_computed()

2007-11-10  Øyvind Kolås  <pippin@gimp.org>

	* operations/io/load.c: (class_init): simplified code, set as
	non-caching (the actual loaders used by the meta-op "load" do the
	needed caching, as well as expansion of result rects in the default
	implementations in the GeglOperationSource base class.

2007-11-09  Øyvind Kolås  <pippin@gimp.org>

	Upgraded GEGL from (L)GPLv2 to (L)GPLv3. The library itself and the
	operations are under LGPLv3 and the sample programs using the GEGL
	library are licensed under GPLv3. Copyright statements in all files
	have been updated to reflect this change, the permission to use leter
